#ifndef _array_1_client_h_
#define _array_1_client_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <flick/pres/sun.h>

#ifndef _typedef___data64
#define _typedef___data64
typedef int data64[16];
#endif /* _typedef___data64 */

void flick_marshal_stub_data64(flick_marshal_stream_t _stream, const data64 *_data);

void flick_unmarshal_stub_data64(flick_marshal_stream_t _stream, data64 *_data);

#ifndef _typedef___data128
#define _typedef___data128
typedef int data128[32];
#endif /* _typedef___data128 */

void flick_marshal_stub_data128(flick_marshal_stream_t _stream, const data128 *_data);

void flick_unmarshal_stub_data128(flick_marshal_stream_t _stream, data128 *_data);

#ifndef _typedef___data256
#define _typedef___data256
typedef int data256[64];
#endif /* _typedef___data256 */

void flick_marshal_stub_data256(flick_marshal_stream_t _stream, const data256 *_data);

void flick_unmarshal_stub_data256(flick_marshal_stream_t _stream, data256 *_data);

#ifndef _typedef___data512
#define _typedef___data512
typedef int data512[128];
#endif /* _typedef___data512 */

void flick_marshal_stub_data512(flick_marshal_stream_t _stream, const data512 *_data);

void flick_unmarshal_stub_data512(flick_marshal_stream_t _stream, data512 *_data);

#ifndef _typedef___data1K
#define _typedef___data1K
typedef int data1K[256];
#endif /* _typedef___data1K */

void flick_marshal_stub_data1K(flick_marshal_stream_t _stream, const data1K *_data);

void flick_unmarshal_stub_data1K(flick_marshal_stream_t _stream, data1K *_data);

#ifndef _typedef___data2K
#define _typedef___data2K
typedef int data2K[512];
#endif /* _typedef___data2K */

void flick_marshal_stub_data2K(flick_marshal_stream_t _stream, const data2K *_data);

void flick_unmarshal_stub_data2K(flick_marshal_stream_t _stream, data2K *_data);

#ifndef _typedef___data4K
#define _typedef___data4K
typedef int data4K[1024];
#endif /* _typedef___data4K */

void flick_marshal_stub_data4K(flick_marshal_stream_t _stream, const data4K *_data);

void flick_unmarshal_stub_data4K(flick_marshal_stream_t _stream, data4K *_data);

#ifndef _typedef___data8K
#define _typedef___data8K
typedef int data8K[2048];
#endif /* _typedef___data8K */

void flick_marshal_stub_data8K(flick_marshal_stream_t _stream, const data8K *_data);

void flick_unmarshal_stub_data8K(flick_marshal_stream_t _stream, data8K *_data);

#ifndef _typedef___data16K
#define _typedef___data16K
typedef int data16K[4096];
#endif /* _typedef___data16K */

void flick_marshal_stub_data16K(flick_marshal_stream_t _stream, const data16K *_data);

void flick_unmarshal_stub_data16K(flick_marshal_stream_t _stream, data16K *_data);

#ifndef _typedef___data32K
#define _typedef___data32K
typedef int data32K[8192];
#endif /* _typedef___data32K */

void flick_marshal_stub_data32K(flick_marshal_stream_t _stream, const data32K *_data);

void flick_unmarshal_stub_data32K(flick_marshal_stream_t _stream, data32K *_data);

#ifndef _typedef___data64K
#define _typedef___data64K
typedef int data64K[16384];
#endif /* _typedef___data64K */

void flick_marshal_stub_data64K(flick_marshal_stream_t _stream, const data64K *_data);

void flick_unmarshal_stub_data64K(flick_marshal_stream_t _stream, data64K *_data);

#define prog ((unsigned long int) 3465)

#define vers ((unsigned long int) 1234)

#define op64 ((unsigned long int) 1)

int *op64_1234(data64 arg, CLIENT *_obj);

#define op128 ((unsigned long int) 2)

int *op128_1234(data128 arg, CLIENT *_obj);

#define op256 ((unsigned long int) 3)

int *op256_1234(data256 arg, CLIENT *_obj);

#define op512 ((unsigned long int) 4)

int *op512_1234(data512 arg, CLIENT *_obj);

#define op1K ((unsigned long int) 5)

int *op1k_1234(data1K arg, CLIENT *_obj);

#define op2K ((unsigned long int) 6)

int *op2k_1234(data2K arg, CLIENT *_obj);

#define op4K ((unsigned long int) 7)

int *op4k_1234(data4K arg, CLIENT *_obj);

#define op8K ((unsigned long int) 8)

int *op8k_1234(data8K arg, CLIENT *_obj);

#define op16K ((unsigned long int) 9)

int *op16k_1234(data16K arg, CLIENT *_obj);

#define op32K ((unsigned long int) 10)

int *op32k_1234(data32K arg, CLIENT *_obj);

#define op64K ((unsigned long int) 11)

int *op64k_1234(data64K arg, CLIENT *_obj);

#endif /* _array_1_client_h_ */
