#include "mig-arrays-client.h"

kern_return_t rpc_64_in(mach_port_t target, t64B foo)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    unsigned *_t1_internal;

    flick_fluke_encode_new_glob(68);
    flick_fluke_encode_new_chunk(68);
    flick_fluke_encode_signed32(0, 123002);
    /* Begin encode phase on parameters */
    _t1_internal = (unsigned *)foo;
    flick_fluke_encode_bcopy(4, _t1_internal, 4 * 16);
    flick_fluke_encode_end_chunk(68);
    flick_fluke_encode_end_glob(68);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          break;
        }
      default:
        {
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(4);
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t rpc_128_in(mach_port_t target, t128B foo)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    unsigned *_t3_internal;

    flick_fluke_encode_new_glob(132);
    flick_fluke_encode_new_chunk(132);
    flick_fluke_encode_signed32(0, 123003);
    /* Begin encode phase on parameters */
    _t3_internal = (unsigned *)foo;
    flick_fluke_encode_bcopy(4, _t3_internal, 4 * 32);
    flick_fluke_encode_end_chunk(132);
    flick_fluke_encode_end_glob(132);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          break;
        }
      default:
        {
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(4);
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t rpc_256_in(mach_port_t target, t256B foo)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    unsigned *_t5_internal;

    flick_fluke_encode_new_glob(260);
    flick_fluke_encode_new_chunk(260);
    flick_fluke_encode_signed32(0, 123004);
    /* Begin encode phase on parameters */
    _t5_internal = (unsigned *)foo;
    flick_fluke_encode_bcopy(4, _t5_internal, 4 * 64);
    flick_fluke_encode_end_chunk(260);
    flick_fluke_encode_end_glob(260);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          break;
        }
      default:
        {
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(4);
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t rpc_512_in(mach_port_t target, t512B foo)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    unsigned *_t7_internal;

    flick_fluke_encode_new_glob(516);
    flick_fluke_encode_new_chunk(516);
    flick_fluke_encode_signed32(0, 123005);
    /* Begin encode phase on parameters */
    _t7_internal = (unsigned *)foo;
    flick_fluke_encode_bcopy(4, _t7_internal, 4 * 128);
    flick_fluke_encode_end_chunk(516);
    flick_fluke_encode_end_glob(516);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          break;
        }
      default:
        {
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(4);
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t rpc_1K_in(mach_port_t target, t1K data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    unsigned *_t9_internal;

    flick_fluke_encode_new_glob(1028);
    flick_fluke_encode_new_chunk(1028);
    flick_fluke_encode_signed32(0, 123006);
    /* Begin encode phase on parameters */
    _t9_internal = (unsigned *)data;
    flick_fluke_encode_bcopy(4, _t9_internal, 4 * 256);
    flick_fluke_encode_end_chunk(1028);
    flick_fluke_encode_end_glob(1028);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          break;
        }
      default:
        {
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(4);
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t rpc_2K_in(mach_port_t target, t2K data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    unsigned *_t11_internal;

    flick_fluke_encode_new_glob(2052);
    flick_fluke_encode_new_chunk(2052);
    flick_fluke_encode_signed32(0, 123007);
    /* Begin encode phase on parameters */
    _t11_internal = (unsigned *)data;
    flick_fluke_encode_bcopy(4, _t11_internal, 4 * 512);
    flick_fluke_encode_end_chunk(2052);
    flick_fluke_encode_end_glob(2052);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          break;
        }
      default:
        {
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(4);
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t rpc_4K_in(mach_port_t target, t4K data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    unsigned *_t13_internal;

    flick_fluke_encode_new_glob(4100);
    flick_fluke_encode_new_chunk(4100);
    flick_fluke_encode_signed32(0, 123008);
    /* Begin encode phase on parameters */
    _t13_internal = (unsigned *)data;
    flick_fluke_encode_bcopy(4, _t13_internal, 4 * 1024);
    flick_fluke_encode_end_chunk(4100);
    flick_fluke_encode_end_glob(4100);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          break;
        }
      default:
        {
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(4);
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t rpc_8K_in(mach_port_t target, t8K data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    unsigned *_t15_internal;

    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_signed32(0, 123009);
    /* Begin encode phase on parameters */
    _t15_internal = (unsigned *)data;
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_new_glob(8192);
    flick_fluke_encode_new_chunk(8192);
    flick_fluke_encode_bcopy(0, _t15_internal, 4 * 2048);
    flick_fluke_encode_end_chunk(8192);
    flick_fluke_encode_end_glob(8192);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          break;
        }
      default:
        {
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(4);
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t rpc_16K_in(mach_port_t target, t16K data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    unsigned *_t17_internal;

    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_signed32(0, 123010);
    /* Begin encode phase on parameters */
    _t17_internal = (unsigned *)data;
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_new_glob(4 * 4096);
    flick_fluke_encode_new_chunk(16384);
    flick_fluke_encode_bcopy(0, _t17_internal, 4 * 4096);
    flick_fluke_encode_end_chunk(16384);
    flick_fluke_encode_end_glob(4 * 4096);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          break;
        }
      default:
        {
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(4);
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t rpc_32K_in(mach_port_t target, t32K data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    unsigned *_t19_internal;

    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_signed32(0, 123011);
    /* Begin encode phase on parameters */
    _t19_internal = (unsigned *)data;
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_new_glob(4 * 8192);
    flick_fluke_encode_new_chunk(32768);
    flick_fluke_encode_bcopy(0, _t19_internal, 4 * 8192);
    flick_fluke_encode_end_chunk(32768);
    flick_fluke_encode_end_glob(4 * 8192);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          break;
        }
      default:
        {
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(4);
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t rpc_64K_in(mach_port_t target, t64K data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    unsigned *_t21_internal;

    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_signed32(0, 123012);
    /* Begin encode phase on parameters */
    _t21_internal = (unsigned *)data;
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_new_glob(4 * 16384);
    flick_fluke_encode_new_chunk(65536);
    flick_fluke_encode_bcopy(0, _t21_internal, 4 * 16384);
    flick_fluke_encode_end_chunk(65536);
    flick_fluke_encode_end_glob(4 * 16384);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          break;
        }
      default:
        {
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(4);
  }
  flick_fluke_client_end_decode();
  return _return;
}

