#include "mig-types-client.h"

kern_return_t snd(mach_port_t target, char _char, byte _byte, bool _bool, shortshort _short8, short _short16, int _int, long int _long, signed int _signed, unsigned int _unsigned, float _float, double _double)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(40);
    flick_fluke_encode_new_chunk(40);
    flick_fluke_encode_signed32(0, 4440000);
    /* Begin encode phase on parameters */
    flick_fluke_encode_char8(4, _char);
    flick_fluke_encode_signed8(5, _byte);
    flick_fluke_encode_unsigned8(6, _bool);
    flick_fluke_encode_signed8(7, _short8);
    flick_fluke_encode_signed16(8, _short16);
    flick_fluke_encode_signed32(12, _int);
    flick_fluke_encode_signed32(16, _long);
    flick_fluke_encode_signed32(20, _signed);
    flick_fluke_encode_signed32(24, _unsigned);
    flick_fluke_encode_float32(28, _float);
    flick_fluke_encode_float64(32, _double);
    flick_fluke_encode_end_chunk(40);
    flick_fluke_encode_end_glob(40);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          break;
        }
      default:
        {
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(4);
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t rcv(mach_port_t target, char *_char, byte *_byte, bool *_bool, shortshort *_short8, short *_short16, int *_int, long int *_long, signed int *_signed, unsigned int *_unsigned, float *_float, double *_double)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_signed32(0, 4440001);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(40);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(36);
          flick_fluke_decode_char8(0, *_char);
          flick_fluke_decode_signed8(1, *_byte);
          flick_fluke_decode_unsigned8(2, *_bool);
          flick_fluke_decode_signed8(3, *_short8);
          flick_fluke_decode_signed16(4, *_short16);
          flick_fluke_decode_signed32(8, *_int);
          flick_fluke_decode_signed32(12, *_long);
          flick_fluke_decode_signed32(16, *_signed);
          flick_fluke_decode_signed32(20, *_unsigned);
          flick_fluke_decode_float32(24, *_float);
          flick_fluke_decode_float64(28, *_double);
          flick_fluke_decode_end_chunk(36);
          break;
        }
      default:
        {
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(40);
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t sndArr(mach_port_t target, charA _charA, byteA _byteA, boolA _boolA, shortshortA _short8A, shortA _short16A, intA _intA, longA _longA, signedA _signedA, unsignedA _unsignedA, floatA _floatA, doubleA _doubleA)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    char *_t11_internal;
    byte *_t12_internal;
    bool *_t13_internal;
    shortshort *_t14_internal;
    short *_t15_internal;
    int *_t16_internal;
    long *_t17_internal;
    signed *_t18_internal;
    unsigned *_t19_internal;
    float *_t20_internal;
    double *_t21_internal;

    flick_fluke_encode_new_glob(312);
    flick_fluke_encode_new_chunk(312);
    flick_fluke_encode_signed32(0, 4440002);
    /* Begin encode phase on parameters */
    _t11_internal = (char *)_charA;
    flick_fluke_encode_bcopy(4, _t11_internal, 1 * 9);
    _t12_internal = (byte *)_byteA;
    flick_fluke_encode_bcopy(13, _t12_internal, 1 * 9);
    _t13_internal = (bool *)_boolA;
    flick_fluke_encode_bcopy(22, _t13_internal, 1 * 9);
    _t14_internal = (shortshort *)_short8A;
    flick_fluke_encode_bcopy(31, _t14_internal, 1 * 9);
    _t15_internal = (short *)_short16A;
    flick_fluke_encode_bcopy(40, _t15_internal, 2 * 9);
    _t16_internal = (int *)_intA;
    flick_fluke_encode_bcopy(60, _t16_internal, 4 * 9);
    _t17_internal = (long *)_longA;
    flick_fluke_encode_bcopy(96, _t17_internal, 4 * 9);
    _t18_internal = (signed *)_signedA;
    flick_fluke_encode_bcopy(132, _t18_internal, 4 * 9);
    _t19_internal = (unsigned *)_unsignedA;
    flick_fluke_encode_bcopy(168, _t19_internal, 4 * 9);
    _t20_internal = (float *)_floatA;
    flick_fluke_encode_bcopy(204, _t20_internal, 4 * 9);
    _t21_internal = (double *)_doubleA;
    flick_fluke_encode_bcopy(240, _t21_internal, 8 * 9);
    flick_fluke_encode_end_chunk(312);
    flick_fluke_encode_end_glob(312);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          /* Begin decode phase on parameters */
          break;
        }
      default:
        {
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(4);
  }
  flick_fluke_client_end_decode();
  return _return;
}

kern_return_t rcvArr(mach_port_t target, charA _charA, byteA _byteA, boolA _boolA, shortshortA _short8A, shortA _short16A, intA _intA, longA _longA, signedA _signedA, unsignedA _unsignedA, floatA _floatA, doubleA _doubleA)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_signed32(0, 4440003);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(target, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(312);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_unsigned32(0, _return);
    flick_fluke_decode_end_chunk(4);
    switch (_return)
      {
      case KERN_SUCCESS:
        {
          char *_t44_internal;
          flick_unsigned8_t _t45_array_length;
          byte *_t46_internal;
          flick_unsigned8_t _t47_array_length;
          bool *_t48_internal;
          flick_unsigned8_t _t49_array_length;
          shortshort *_t50_internal;
          flick_unsigned8_t _t51_array_length;
          short *_t52_internal;
          flick_unsigned8_t _t53_array_length;
          int *_t54_internal;
          flick_unsigned8_t _t55_array_length;
          long *_t56_internal;
          flick_unsigned8_t _t57_array_length;
          signed *_t58_internal;
          flick_unsigned8_t _t59_array_length;
          unsigned *_t60_internal;
          flick_unsigned8_t _t61_array_length;
          float *_t62_internal;
          flick_unsigned8_t _t63_array_length;
          double *_t64_internal;
          flick_unsigned8_t _t65_array_length;

          /* Begin decode phase on parameters */
          _t44_internal = (char *)_charA;
          _t45_array_length = 9;
          flick_fluke_decode_new_chunk(308);
          flick_fluke_decode_bcopy(0, _t44_internal, 1 * _t45_array_length);
          _t46_internal = (byte *)_byteA;
          _t47_array_length = 9;
          flick_fluke_decode_bcopy(9, _t46_internal, 1 * _t47_array_length);
          _t48_internal = (bool *)_boolA;
          _t49_array_length = 9;
          flick_fluke_decode_bcopy(18, _t48_internal, 1 * _t49_array_length);
          _t50_internal = (shortshort *)_short8A;
          _t51_array_length = 9;
          flick_fluke_decode_bcopy(27, _t50_internal, 1 * _t51_array_length);
          _t52_internal = (short *)_short16A;
          _t53_array_length = 9;
          flick_fluke_decode_bcopy(36, _t52_internal, 2 * _t53_array_length);
          _t54_internal = (int *)_intA;
          _t55_array_length = 9;
          flick_fluke_decode_bcopy(56, _t54_internal, 4 * _t55_array_length);
          _t56_internal = (long *)_longA;
          _t57_array_length = 9;
          flick_fluke_decode_bcopy(92, _t56_internal, 4 * _t57_array_length);
          _t58_internal = (signed *)_signedA;
          _t59_array_length = 9;
          flick_fluke_decode_bcopy(128, _t58_internal, 4 * _t59_array_length);
          _t60_internal = (unsigned *)_unsignedA;
          _t61_array_length = 9;
          flick_fluke_decode_bcopy(164, _t60_internal, 4 * _t61_array_length);
          _t62_internal = (float *)_floatA;
          _t63_array_length = 9;
          flick_fluke_decode_bcopy(200, _t62_internal, 4 * _t63_array_length);
          _t64_internal = (double *)_doubleA;
          _t65_array_length = 9;
          flick_fluke_decode_bcopy(236, _t64_internal, 8 * _t65_array_length);
          flick_fluke_decode_end_chunk(308);
          break;
        }
      default:
        {
          flick_mig_decode_system_exception("no data available", fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(312);
  }
  flick_fluke_client_end_decode();
  return _return;
}

