#include "simple-server.h"

void flick_marshal_stub_vec10(flick_marshal_stream_t _stream, const vec10 *_data)
{
  flick_fluke_encode_new_glob(44);
  flick_fluke_encode_new_chunk(4 + 4 * _data->_length);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_bcopy(4, _data->_buffer, 4 * _data->_length);
  mom_flick_free(_data->_buffer);
  flick_fluke_encode_end_chunk(4 + 4 * _data->_length);
  flick_fluke_encode_end_glob(44);
}

void flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
  flick_fluke_decode_new_glob(44);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_new_chunk(4 * _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(oskit_s32_t ));
  flick_fluke_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_fluke_decode_end_chunk(4 * _data->_length);
  flick_fluke_decode_end_glob(44);
}

void flick_marshal_stub_simple(flick_marshal_stream_t _stream, const simple *_data)
{
}

void flick_unmarshal_stub_simple(flick_marshal_stream_t _stream, simple *_data)
{
}

mom_dispatch_action_t simple_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t4_switch_tag;

    flick_fluke_decode_new_glob(12);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t4_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t4_switch_tag)
      {
      case req_simple_op:
        {
          {
            simple *_obj;
            oskit_s32_t _local_a;
            mom_ref_t *_local_b;
            oskit_s32_t *_local_c;
            mom_exc_t *_ev;
            oskit_s32_t _return = 0;
            mom_ref_t _t5_storage;
            oskit_s32_t _t6_storage;
            mom_exc_t _t7_storage;

            _obj = (simple *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _local_a);
            _local_b = &_t5_storage;
            _local_c = &_t6_storage;
            flick_fluke_decode_signed32(4, *_local_c);
            _ev = &_t7_storage;
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(12);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = simple_server_op(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(16);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(12);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_port32(4, *_local_b, 0);
                  flick_fluke_encode_signed32(8, *_local_c);
                  flick_fluke_encode_end_chunk(12);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(16);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(12);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
void flick_marshal_stub_simple2(flick_marshal_stream_t _stream, const simple2 *_data)
{
}

void flick_unmarshal_stub_simple2(flick_marshal_stream_t _stream, simple2 *_data)
{
}

mom_dispatch_action_t simple2_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t14_switch_tag;

    flick_fluke_decode_new_glob(12);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t14_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t14_switch_tag)
      {
      case req_simple2_op2:
        {
          {
            simple2 *_obj;
            oskit_s32_t _local_a;
            mom_ref_t _local_b;
            mom_ref_t *_local_c;
            mom_exc_t *_ev;
            oskit_s32_t _return = 0;
            mom_ref_t _t15_storage;
            mom_exc_t _t16_storage;

            _obj = (simple2 *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _local_a);
            flick_fluke_decode_port32(4, _local_b, 1);
            _local_c = &_t15_storage;
            _ev = &_t16_storage;
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(12);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = simple2_server_op2(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(12);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(8);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_port32(4, *_local_c, 0);
                  flick_fluke_encode_end_chunk(8);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(12);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_simple_op:
        {
          {
            simple2 *_obj;
            oskit_s32_t _local_a;
            mom_ref_t *_local_b;
            oskit_s32_t *_local_c;
            mom_exc_t *_ev;
            oskit_s32_t _return = 0;
            mom_ref_t _t17_storage;
            oskit_s32_t _t18_storage;
            mom_exc_t _t19_storage;

            _obj = (simple2 *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _local_a);
            _local_b = &_t17_storage;
            _local_c = &_t18_storage;
            flick_fluke_decode_signed32(4, *_local_c);
            _ev = &_t19_storage;
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(12);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = simple2_server_op(_obj, _local_a, _local_b, _local_c, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(16);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(12);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_port32(4, *_local_b, 0);
                  flick_fluke_encode_signed32(8, *_local_c);
                  flick_fluke_encode_end_chunk(12);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(16);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(12);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
