#ifndef _structplain__server_h_
#define _structplain__server_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <flick/pres/mom.h>

#ifndef _typedef___coord
#define _typedef___coord
typedef struct coord {
  oskit_s16_t row;
  oskit_s16_t col;
} coord;
#endif /* _typedef___coord */

void flick_marshal_stub_coord(flick_marshal_stream_t _stream, const coord *_data);

void flick_unmarshal_stub_coord(flick_marshal_stream_t _stream, coord *_data);

#include <fluke/flick.h>

#ifndef _typedef___geom
#define _typedef___geom
typedef struct geom_struct geom;
#endif /* _typedef___geom */

void flick_marshal_stub_geom(flick_marshal_stream_t _stream, const geom *_data);

void flick_unmarshal_stub_geom(flick_marshal_stream_t _stream, geom *_data);

mom_dispatch_action_t geom_server(void *_dispatch_object, mom_dispatch_data_t *_dispatch_data);

oskit_s16_t geom_server_dist(geom *_obj, const coord *a, const coord *b, mom_exc_t *_ev);

#endif /* _structplain__server_h_ */
