#ifndef _turtle_server_client_h_
#define _turtle_server_client_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <flick/pres/mom.h>

#include <fluke/flick.h>

oskit_s32_t Server_SetSize(mom_ref_t _obj, oskit_s32_t width, oskit_s32_t height, mom_exc_t *_ev);

oskit_s32_t Server_AddWall(mom_ref_t _obj, oskit_s32_t startx, oskit_s32_t starty, oskit_s32_t endx, oskit_s32_t endy, mom_exc_t *_ev);

oskit_s32_t Server_DelWall(mom_ref_t _obj, oskit_s32_t startx, oskit_s32_t starty, oskit_s32_t endx, oskit_s32_t endy, mom_exc_t *_ev);

oskit_s32_t Server_AddRect(mom_ref_t _obj, oskit_s32_t left, oskit_s32_t top, oskit_s32_t right, oskit_s32_t bottom, oskit_s32_t color, mom_exc_t *_ev);

oskit_s32_t Server_DelRect(mom_ref_t _obj, oskit_s32_t left, oskit_s32_t top, oskit_s32_t right, oskit_s32_t bottom, mom_exc_t *_ev);

oskit_s32_t Server_SetTurtle(mom_ref_t _obj, oskit_s32_t x, oskit_s32_t y, oskit_s32_t angle, mom_exc_t *_ev);

oskit_s32_t Server_GetTurtle(mom_ref_t _obj, oskit_s32_t *x, oskit_s32_t *y, oskit_s32_t *angle, mom_exc_t *_ev);

#endif /* _turtle_server_client_h_ */
