#include "turtle-server-server.h"

void flick_marshal_stub_Server(flick_marshal_stream_t _stream, const Server *_data)
{
}

void flick_unmarshal_stub_Server(flick_marshal_stream_t _stream, Server *_data)
{
}

mom_dispatch_action_t Server_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t11_switch_tag;

    flick_fluke_decode_new_glob(24);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t11_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t11_switch_tag)
      {
      case req_Server_SetSize:
        {
          {
            Server *_obj;
            oskit_s32_t _local_width;
            oskit_s32_t _local_height;
            mom_exc_t *_ev;
            oskit_s32_t _return = 0;
            mom_exc_t _t12_storage;

            _obj = (Server *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _local_width);
            flick_fluke_decode_signed32(4, _local_height);
            _ev = &_t12_storage;
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(24);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = Server_server_SetSize(_obj, _local_width, _local_height, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_Server_AddWall:
        {
          {
            Server *_obj;
            oskit_s32_t _local_startx;
            oskit_s32_t _local_starty;
            oskit_s32_t _local_endx;
            oskit_s32_t _local_endy;
            mom_exc_t *_ev;
            oskit_s32_t _return = 0;
            mom_exc_t _t13_storage;

            _obj = (Server *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(16);
            flick_fluke_decode_signed32(0, _local_startx);
            flick_fluke_decode_signed32(4, _local_starty);
            flick_fluke_decode_signed32(8, _local_endx);
            flick_fluke_decode_signed32(12, _local_endy);
            _ev = &_t13_storage;
            flick_fluke_decode_end_chunk(16);
            flick_fluke_decode_end_glob(24);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = Server_server_AddWall(_obj, _local_startx, _local_starty, _local_endx, _local_endy, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_Server_DelWall:
        {
          {
            Server *_obj;
            oskit_s32_t _local_startx;
            oskit_s32_t _local_starty;
            oskit_s32_t _local_endx;
            oskit_s32_t _local_endy;
            mom_exc_t *_ev;
            oskit_s32_t _return = 0;
            mom_exc_t _t14_storage;

            _obj = (Server *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(16);
            flick_fluke_decode_signed32(0, _local_startx);
            flick_fluke_decode_signed32(4, _local_starty);
            flick_fluke_decode_signed32(8, _local_endx);
            flick_fluke_decode_signed32(12, _local_endy);
            _ev = &_t14_storage;
            flick_fluke_decode_end_chunk(16);
            flick_fluke_decode_end_glob(24);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = Server_server_DelWall(_obj, _local_startx, _local_starty, _local_endx, _local_endy, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_Server_AddRect:
        {
          {
            Server *_obj;
            oskit_s32_t _local_left;
            oskit_s32_t _local_top;
            oskit_s32_t _local_right;
            oskit_s32_t _local_bottom;
            oskit_s32_t _local_color;
            mom_exc_t *_ev;
            oskit_s32_t _return = 0;
            mom_exc_t _t15_storage;

            _obj = (Server *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(20);
            flick_fluke_decode_signed32(0, _local_left);
            flick_fluke_decode_signed32(4, _local_top);
            flick_fluke_decode_signed32(8, _local_right);
            flick_fluke_decode_signed32(12, _local_bottom);
            flick_fluke_decode_signed32(16, _local_color);
            _ev = &_t15_storage;
            flick_fluke_decode_end_chunk(20);
            flick_fluke_decode_end_glob(24);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = Server_server_AddRect(_obj, _local_left, _local_top, _local_right, _local_bottom, _local_color, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_Server_DelRect:
        {
          {
            Server *_obj;
            oskit_s32_t _local_left;
            oskit_s32_t _local_top;
            oskit_s32_t _local_right;
            oskit_s32_t _local_bottom;
            mom_exc_t *_ev;
            oskit_s32_t _return = 0;
            mom_exc_t _t16_storage;

            _obj = (Server *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(16);
            flick_fluke_decode_signed32(0, _local_left);
            flick_fluke_decode_signed32(4, _local_top);
            flick_fluke_decode_signed32(8, _local_right);
            flick_fluke_decode_signed32(12, _local_bottom);
            _ev = &_t16_storage;
            flick_fluke_decode_end_chunk(16);
            flick_fluke_decode_end_glob(24);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = Server_server_DelRect(_obj, _local_left, _local_top, _local_right, _local_bottom, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_Server_SetTurtle:
        {
          {
            Server *_obj;
            oskit_s32_t _local_x;
            oskit_s32_t _local_y;
            oskit_s32_t _local_angle;
            mom_exc_t *_ev;
            oskit_s32_t _return = 0;
            mom_exc_t _t17_storage;

            _obj = (Server *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(12);
            flick_fluke_decode_signed32(0, _local_x);
            flick_fluke_decode_signed32(4, _local_y);
            flick_fluke_decode_signed32(8, _local_angle);
            _ev = &_t17_storage;
            flick_fluke_decode_end_chunk(12);
            flick_fluke_decode_end_glob(24);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = Server_server_SetTurtle(_obj, _local_x, _local_y, _local_angle, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_Server_GetTurtle:
        {
          {
            Server *_obj;
            oskit_s32_t *_local_x;
            oskit_s32_t *_local_y;
            oskit_s32_t *_local_angle;
            mom_exc_t *_ev;
            oskit_s32_t _return = 0;
            oskit_s32_t _t18_storage;
            oskit_s32_t _t19_storage;
            oskit_s32_t _t20_storage;
            mom_exc_t _t21_storage;

            _obj = (Server *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_x = &_t18_storage;
            _local_y = &_t19_storage;
            _local_angle = &_t20_storage;
            _ev = &_t21_storage;
            flick_fluke_decode_end_glob(24);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = Server_server_GetTurtle(_obj, _local_x, _local_y, _local_angle, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(20);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(16);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_signed32(4, *_local_x);
                  flick_fluke_encode_signed32(8, *_local_y);
                  flick_fluke_encode_signed32(12, *_local_angle);
                  flick_fluke_encode_end_chunk(16);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(20);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(24);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
