#include "complex-1-client.h"

void flick_marshal_stub_sexnage(flick_marshal_stream_t _stream, const struct sexnage *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_char8(0, _data->sex);
  flick_cdr_encode_float32(4, _data->age);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_sexnage(flick_marshal_stream_t _stream, struct sexnage *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_char8(0, _data->sex);
  flick_cdr_decode_float32(4, _data->age);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_sexnage_swap(flick_marshal_stream_t _stream, struct sexnage *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_char8(0, _data->sex);
  flick_cdr_swap_decode_float32(4, _data->age);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_person(flick_marshal_stream_t _stream, const struct person *_data)
{
  flick_cdr_encode_string(_data->name, null_flick_free, iiop, 50);
  flick_iiop_encode_new_glob(23);
  flick_iiop_encode_new_chunk_align(20, 2, 0, 0);
  flick_cdr_encode_signed32(0, _data->zip);
  flick_cdr_encode_char8(4, _data->a);
  flick_cdr_encode_signed32(8, _data->ssn);
  flick_cdr_encode_char8(12, _data->sa.sex);
  flick_cdr_encode_float32(16, _data->sa.age);
  flick_iiop_encode_end_chunk(20);
  flick_iiop_encode_end_glob(23);
}

void flick_unmarshal_stub_person(flick_marshal_stream_t _stream, struct person *_data)
{
  flick_cdr_decode_string(_data->name, sun_flick_alloc, iiop, 50);
  flick_iiop_decode_new_glob(23);
  flick_iiop_decode_new_chunk_align(20, 2, 0, 0);
  flick_cdr_decode_signed32(0, _data->zip);
  flick_cdr_decode_char8(4, _data->a);
  flick_cdr_decode_signed32(8, _data->ssn);
  flick_cdr_decode_char8(12, _data->sa.sex);
  flick_cdr_decode_float32(16, _data->sa.age);
  flick_iiop_decode_end_chunk(20);
  flick_iiop_decode_end_glob(23);
}

void flick_unmarshal_stub_person_swap(flick_marshal_stream_t _stream, struct person *_data)
{
  flick_cdr_swap_decode_string(_data->name, sun_flick_alloc, iiop, 50);
  flick_iiop_decode_new_glob(23);
  flick_iiop_decode_new_chunk_align(20, 2, 0, 0);
  flick_cdr_swap_decode_signed32(0, _data->zip);
  flick_cdr_swap_decode_char8(4, _data->a);
  flick_cdr_swap_decode_signed32(8, _data->ssn);
  flick_cdr_swap_decode_char8(12, _data->sa.sex);
  flick_cdr_swap_decode_float32(16, _data->sa.age);
  flick_iiop_decode_end_chunk(20);
  flick_iiop_decode_end_glob(23);
}

void flick_marshal_stub_people(flick_marshal_stream_t _stream, const people *_data)
{
  unsigned long int _t0_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->people_len);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  for (_t0_array_iter = 0; _t0_array_iter < _data->people_len; _t0_array_iter++)
    {
      flick_cdr_encode_string(_data->people_val[_t0_array_iter].name, null_flick_free, iiop, 50);
      flick_iiop_encode_new_glob(23);
      flick_iiop_encode_new_chunk_align(20, 2, 0, 0);
      flick_cdr_encode_signed32(0, _data->people_val[_t0_array_iter].zip);
      flick_cdr_encode_char8(4, _data->people_val[_t0_array_iter].a);
      flick_cdr_encode_signed32(8, _data->people_val[_t0_array_iter].ssn);
      flick_cdr_encode_char8(12, _data->people_val[_t0_array_iter].sa.sex);
      flick_cdr_encode_float32(16, _data->people_val[_t0_array_iter].sa.age);
      flick_iiop_encode_end_chunk(20);
      flick_iiop_encode_end_glob(23);
    }
}

void flick_unmarshal_stub_people(flick_marshal_stream_t _stream, people *_data)
{
  unsigned long int _t1_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->people_len);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  _data->people_val = sun_flick_alloc(_data->people_len * sizeof(struct person ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->people_len; _t1_array_iter++)
    {
      flick_cdr_decode_string(_data->people_val[_t1_array_iter].name, sun_flick_alloc, iiop, 50);
      flick_iiop_decode_new_glob(23);
      flick_iiop_decode_new_chunk_align(20, 2, 0, 0);
      flick_cdr_decode_signed32(0, _data->people_val[_t1_array_iter].zip);
      flick_cdr_decode_char8(4, _data->people_val[_t1_array_iter].a);
      flick_cdr_decode_signed32(8, _data->people_val[_t1_array_iter].ssn);
      flick_cdr_decode_char8(12, _data->people_val[_t1_array_iter].sa.sex);
      flick_cdr_decode_float32(16, _data->people_val[_t1_array_iter].sa.age);
      flick_iiop_decode_end_chunk(20);
      flick_iiop_decode_end_glob(23);
    }
}

void flick_unmarshal_stub_people_swap(flick_marshal_stream_t _stream, people *_data)
{
  unsigned long int _t2_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->people_len);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  _data->people_val = sun_flick_alloc(_data->people_len * sizeof(struct person ));
  for (_t2_array_iter = 0; _t2_array_iter < _data->people_len; _t2_array_iter++)
    {
      flick_cdr_swap_decode_string(_data->people_val[_t2_array_iter].name, sun_flick_alloc, iiop, 50);
      flick_iiop_decode_new_glob(23);
      flick_iiop_decode_new_chunk_align(20, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->people_val[_t2_array_iter].zip);
      flick_cdr_swap_decode_char8(4, _data->people_val[_t2_array_iter].a);
      flick_cdr_swap_decode_signed32(8, _data->people_val[_t2_array_iter].ssn);
      flick_cdr_swap_decode_char8(12, _data->people_val[_t2_array_iter].sa.sex);
      flick_cdr_swap_decode_float32(16, _data->people_val[_t2_array_iter].sa.age);
      flick_iiop_decode_end_chunk(20);
      flick_iiop_decode_end_glob(23);
    }
}

double *op_2(people *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  double *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    unsigned long int _t4_array_iter;

    flick_iiop_encode_new_glob(12);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_unsigned32(0, 1);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, arg->people_len);
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
    for (_t4_array_iter = 0; _t4_array_iter < arg->people_len; _t4_array_iter++)
      {
        flick_cdr_encode_string(arg->people_val[_t4_array_iter].name, null_flick_free, iiop, 50);
        flick_iiop_encode_new_glob(23);
        flick_iiop_encode_new_chunk_align(20, 2, 0, 0);
        flick_cdr_encode_signed32(0, arg->people_val[_t4_array_iter].zip);
        flick_cdr_encode_char8(4, arg->people_val[_t4_array_iter].a);
        flick_cdr_encode_signed32(8, arg->people_val[_t4_array_iter].ssn);
        flick_cdr_encode_char8(12, arg->people_val[_t4_array_iter].sa.sex);
        flick_cdr_encode_float32(16, arg->people_val[_t4_array_iter].sa.age);
        flick_iiop_encode_end_chunk(20);
        flick_iiop_encode_end_glob(23);
      }
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(16);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static double _t8_storage;

            /* Begin decode phase on parameters */
            _return = &_t8_storage;
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, *_return);
            flick_iiop_decode_end_chunk(8);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(16);
    }
  } else {
    {
      flick_iiop_decode_new_glob(16);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static double _t6_storage;

            /* Begin decode phase on parameters */
            _return = &_t6_storage;
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_decode_float64(0, *_return);
            flick_iiop_decode_end_chunk(8);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(16);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

