#include "constant-6-client.h"

void flick_marshal_stub_mush(flick_marshal_stream_t _stream, const struct mush *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->x);
  flick_iiop_encode_end_chunk(4);
  switch (_data->x)
    {
    case 1:
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->mush_u.foo);
        flick_iiop_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->mush_u.bar);
        flick_iiop_encode_end_chunk(4);
        break;
      }
    default:
      {
        flick_sun_encode_mu_error(return, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
        break;
      }
    }
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_mush(flick_marshal_stream_t _stream, struct mush *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->x);
  flick_iiop_decode_end_chunk(4);
  switch (_data->x)
    {
    case 1:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->mush_u.foo);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->mush_u.bar);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    default:
      {
        flick_sun_decode_mu_error(return, FLICK_ERROR_STRUCT_UNION, cdr, iiop);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_mush_swap(flick_marshal_stream_t _stream, struct mush *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->x);
  flick_iiop_decode_end_chunk(4);
  switch (_data->x)
    {
    case 1:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->mush_u.foo);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->mush_u.bar);
        flick_iiop_decode_end_chunk(4);
        break;
      }
    default:
      {
        flick_sun_decode_mu_error(return, FLICK_ERROR_STRUCT_UNION, cdr_swap, iiop);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
}

