#ifndef _mig_arrays_client_h_
#define _mig_arrays_client_h_

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>
#include <flick/pres/mig.h>

#include "mig-arrays.h"

kern_return_t rpc_64_in(mach_port_t target, t64B foo);

kern_return_t rpc_128_in(mach_port_t target, t128B foo);

kern_return_t rpc_256_in(mach_port_t target, t256B foo);

kern_return_t rpc_512_in(mach_port_t target, t512B foo);

kern_return_t rpc_1K_in(mach_port_t target, t1K data);

kern_return_t rpc_2K_in(mach_port_t target, t2K data);

kern_return_t rpc_4K_in(mach_port_t target, t4K data);

kern_return_t rpc_8K_in(mach_port_t target, t8K data);

kern_return_t rpc_16K_in(mach_port_t target, t16K data);

kern_return_t rpc_32K_in(mach_port_t target, t32K data);

kern_return_t rpc_64K_in(mach_port_t target, t64K data);

#endif /* _mig_arrays_client_h_ */
