#include "program-2-client.h"

void flick_marshal_stub_parm(flick_marshal_stream_t _stream, const struct parm *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->data.data_len);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(4 * _data->data.data_len);
  flick_iiop_encode_new_chunk(4 * _data->data.data_len);
  flick_cdr_encode_bcopy(0, _data->data.data_val, 4 * _data->data.data_len);
  flick_iiop_encode_end_chunk(4 * _data->data.data_len);
  flick_iiop_encode_end_glob(4 * _data->data.data_len);
}

void flick_unmarshal_stub_parm(flick_marshal_stream_t _stream, struct parm *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->data.data_len);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(4 * _data->data.data_len);
  flick_iiop_decode_new_chunk(4 * _data->data.data_len);
  _data->data.data_val = sun_flick_alloc(_data->data.data_len * sizeof(int ));
  flick_cdr_decode_bcopy(0, _data->data.data_val, 4 * _data->data.data_len);
  flick_iiop_decode_end_chunk(4 * _data->data.data_len);
  flick_iiop_decode_end_glob(4 * _data->data.data_len);
}

void flick_unmarshal_stub_parm_swap(flick_marshal_stream_t _stream, struct parm *_data)
{
  unsigned long int _t0_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->data.data_len);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(4 * _data->data.data_len);
  _data->data.data_val = sun_flick_alloc(_data->data.data_len * sizeof(int ));
  for (_t0_array_iter = 0; _t0_array_iter < _data->data.data_len; _t0_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->data.data_val[_t0_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(4 * _data->data.data_len);
}

int *op_1(struct parm *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(12);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_unsigned32(0, 10);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, arg->data.data_len);
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
    flick_iiop_encode_new_glob(4 * arg->data.data_len);
    flick_iiop_encode_new_chunk(4 * arg->data.data_len);
    flick_cdr_encode_bcopy(0, arg->data.data_val, 4 * arg->data.data_len);
    flick_iiop_encode_end_chunk(4 * arg->data.data_len);
    flick_iiop_encode_end_glob(4 * arg->data.data_len);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t4_storage;

            /* Begin decode phase on parameters */
            _return = &_t4_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, flick_errno);
      flick_iiop_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t2_storage;

            /* Begin decode phase on parameters */
            _return = &_t2_storage;
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *_return);
            flick_iiop_decode_end_chunk(4);
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", cdr, iiop);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(8);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

