#include "IIOP-client.h"

void flick_marshal_stub_Version(flick_marshal_stream_t _stream, const struct Version *_data)
{
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(16);
  flick_mach3mig_encode_char8(0, _data->major);
  flick_mach3mig_encode_char8(8, _data->minor);
  flick_mach3mig_encode_end_chunk(16);
  flick_mach3mig_encode_end_glob(16);
}

void flick_unmarshal_stub_Version(flick_marshal_stream_t _stream, struct Version *_data)
{
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(16);
  flick_mach3mig_decode_char8(0, _data->major);
  flick_mach3mig_decode_char8(8, _data->minor);
  flick_mach3mig_decode_end_chunk(16);
  flick_mach3mig_decode_end_glob(16);
}

void flick_marshal_stub_IOP_ServiceID(flick_marshal_stream_t _stream, const IOP_ServiceID *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_unsigned32(0, *_data);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_IOP_ServiceID(flick_marshal_stream_t _stream, IOP_ServiceID *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_unsigned32(0, *_data);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void flick_marshal_stub_IOP_ServiceContext(flick_marshal_stream_t _stream, const struct IOP_ServiceContext *_data)
{
  flick_mach3mig_encode_new_glob(28);
  flick_mach3mig_encode_new_chunk(28);
  flick_mach3mig_encode_unsigned32(0, _data->context_id);
  flick_mach3mig_encode_unsigned32(8, _data->context_data._length);
  flick_mach3mig_array_encode_unsigned8_type(16, _data->context_data._length, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(28);
  flick_mach3mig_array_encode_end_glob(28);
  flick_mach3mig_array_encode_new_glob(1 * _data->context_data._length);
  flick_mach3mig_array_encode_new_chunk(1 * _data->context_data._length);
  flick_mach3mig_array_encode_bcopy(0, _data->context_data._buffer, 1 * _data->context_data._length);
  flick_mach3mig_array_encode_end_chunk(1 * _data->context_data._length);
  flick_mach3mig_array_encode_end_glob(1 * _data->context_data._length);
  flick_mach3mig_encode_new_glob(3);
  flick_mach3mig_encode_new_chunk_align(0, 2, 0, 0);
  flick_mach3mig_encode_end_chunk(0);
  flick_mach3mig_encode_end_glob(3);
}

void flick_unmarshal_stub_IOP_ServiceContext(flick_marshal_stream_t _stream, struct IOP_ServiceContext *_data)
{
  flick_mach3mig_decode_new_glob(28);
  flick_mach3mig_decode_new_chunk(28);
  flick_mach3mig_decode_unsigned32(0, _data->context_id);
  flick_mach3mig_decode_unsigned32(8, _data->context_data._length);
  flick_mach3mig_array_decode_unsigned8_type(16, _data->context_data._length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(28);
  flick_mach3mig_array_decode_end_glob(28);
  flick_mach3mig_array_decode_new_glob(1 * _data->context_data._length);
  flick_mach3mig_array_decode_new_chunk(1 * _data->context_data._length);
  _data->context_data._buffer = CORBA_flick_alloc(_data->context_data._length * sizeof(CORBA_octet ));
  flick_mach3mig_array_decode_bcopy(0, _data->context_data._buffer, 1 * _data->context_data._length);
  flick_mach3mig_array_decode_end_chunk(1 * _data->context_data._length);
  flick_mach3mig_array_decode_end_glob(1 * _data->context_data._length);
  flick_mach3mig_decode_new_glob(3);
  flick_mach3mig_decode_new_chunk_align(0, 2, 0, 0);
  flick_mach3mig_decode_end_chunk(0);
  flick_mach3mig_decode_end_glob(3);
}

void flick_marshal_stub_IOP_ServiceContextList(flick_marshal_stream_t _stream, const IOP_ServiceContextList *_data)
{
  unsigned long int _t0_array_iter;

  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_unsigned32(0, _data->_length);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_mach3mig_encode_new_glob(28);
      flick_mach3mig_encode_new_chunk(28);
      flick_mach3mig_encode_unsigned32(0, _data->_buffer[_t0_array_iter].context_id);
      flick_mach3mig_encode_unsigned32(8, _data->_buffer[_t0_array_iter].context_data._length);
      flick_mach3mig_array_encode_unsigned8_type(16, _data->_buffer[_t0_array_iter].context_data._length, 1, _long_type);
      flick_mach3mig_array_encode_end_chunk(28);
      flick_mach3mig_array_encode_end_glob(28);
      flick_mach3mig_array_encode_new_glob(1 * _data->_buffer[_t0_array_iter].context_data._length);
      flick_mach3mig_array_encode_new_chunk(1 * _data->_buffer[_t0_array_iter].context_data._length);
      flick_mach3mig_array_encode_bcopy(0, _data->_buffer[_t0_array_iter].context_data._buffer, 1 * _data->_buffer[_t0_array_iter].context_data._length);
      flick_mach3mig_array_encode_end_chunk(1 * _data->_buffer[_t0_array_iter].context_data._length);
      flick_mach3mig_array_encode_end_glob(1 * _data->_buffer[_t0_array_iter].context_data._length);
      flick_mach3mig_encode_new_glob(3);
      flick_mach3mig_encode_new_chunk_align(0, 2, 0, 0);
      flick_mach3mig_encode_end_chunk(0);
      flick_mach3mig_encode_end_glob(3);
    }
}

void flick_unmarshal_stub_IOP_ServiceContextList(flick_marshal_stream_t _stream, IOP_ServiceContextList *_data)
{
  unsigned long int _t1_array_iter;

  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_unsigned32(0, _data->_length);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct IOP_ServiceContext ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_mach3mig_decode_new_glob(28);
      flick_mach3mig_decode_new_chunk(28);
      flick_mach3mig_decode_unsigned32(0, _data->_buffer[_t1_array_iter].context_id);
      flick_mach3mig_decode_unsigned32(8, _data->_buffer[_t1_array_iter].context_data._length);
      flick_mach3mig_array_decode_unsigned8_type(16, _data->_buffer[_t1_array_iter].context_data._length, 1, _long_type);
      flick_mach3mig_array_decode_end_chunk(28);
      flick_mach3mig_array_decode_end_glob(28);
      flick_mach3mig_array_decode_new_glob(1 * _data->_buffer[_t1_array_iter].context_data._length);
      flick_mach3mig_array_decode_new_chunk(1 * _data->_buffer[_t1_array_iter].context_data._length);
      _data->_buffer[_t1_array_iter].context_data._buffer = CORBA_flick_alloc(_data->_buffer[_t1_array_iter].context_data._length * sizeof(CORBA_octet ));
      flick_mach3mig_array_decode_bcopy(0, _data->_buffer[_t1_array_iter].context_data._buffer, 1 * _data->_buffer[_t1_array_iter].context_data._length);
      flick_mach3mig_array_decode_end_chunk(1 * _data->_buffer[_t1_array_iter].context_data._length);
      flick_mach3mig_array_decode_end_glob(1 * _data->_buffer[_t1_array_iter].context_data._length);
      flick_mach3mig_decode_new_glob(3);
      flick_mach3mig_decode_new_chunk_align(0, 2, 0, 0);
      flick_mach3mig_decode_end_chunk(0);
      flick_mach3mig_decode_end_glob(3);
    }
}

void flick_marshal_stub_GIOP_Principal(flick_marshal_stream_t _stream, const GIOP_Principal *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_GIOP_Principal(flick_marshal_stream_t _stream, GIOP_Principal *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void flick_marshal_stub_GIOP_MsgType(flick_marshal_stream_t _stream, const GIOP_MsgType *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_unsigned32(0, *_data);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_GIOP_MsgType(flick_marshal_stream_t _stream, GIOP_MsgType *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_unsigned32(0, *_data);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void flick_marshal_stub_GIOP_MessageHeader(flick_marshal_stream_t _stream, const struct GIOP_MessageHeader *_data)
{
  flick_mach3mig_array_encode_new_glob(48);
  flick_mach3mig_array_encode_new_chunk(48);
  flick_mach3mig_array_encode_char8_type(0, 4, 1, _type);
  flick_mach3mig_array_encode_bcopy(4, _data->magic, 1 * 4);
  flick_mach3mig_encode_char8(8, _data->GIOP_version.major);
  flick_mach3mig_encode_char8(16, _data->GIOP_version.minor);
  flick_mach3mig_encode_boolean(24, _data->byte_order);
  flick_mach3mig_encode_unsigned8(32, _data->message_type);
  flick_mach3mig_encode_unsigned32(40, _data->message_size);
  flick_mach3mig_encode_end_chunk(48);
  flick_mach3mig_encode_end_glob(48);
}

void flick_unmarshal_stub_GIOP_MessageHeader(flick_marshal_stream_t _stream, struct GIOP_MessageHeader *_data)
{
  flick_unsigned8_t _t2_array_length;

  _t2_array_length = 4;
  flick_mach3mig_array_decode_new_glob(48);
  flick_mach3mig_array_decode_new_chunk(48);
  flick_mach3mig_array_decode_char8_type(0, _t2_array_length, 1, _type);
  flick_mach3mig_array_decode_bcopy(4, _data->magic, 1 * _t2_array_length);
  flick_mach3mig_decode_char8(8, _data->GIOP_version.major);
  flick_mach3mig_decode_char8(16, _data->GIOP_version.minor);
  flick_mach3mig_decode_boolean(24, _data->byte_order);
  flick_mach3mig_decode_unsigned8(32, _data->message_type);
  flick_mach3mig_decode_unsigned32(40, _data->message_size);
  flick_mach3mig_decode_end_chunk(48);
  flick_mach3mig_decode_end_glob(48);
}

void flick_marshal_stub_GIOP_RequestHeader(flick_marshal_stream_t _stream, const struct GIOP_RequestHeader *_data)
{
  unsigned long int _t3_array_iter;

  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_unsigned32(0, _data->service_context._length);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
  for (_t3_array_iter = 0; _t3_array_iter < _data->service_context._length; _t3_array_iter++)
    {
      flick_mach3mig_encode_new_glob(28);
      flick_mach3mig_encode_new_chunk(28);
      flick_mach3mig_encode_unsigned32(0, _data->service_context._buffer[_t3_array_iter].context_id);
      flick_mach3mig_encode_unsigned32(8, _data->service_context._buffer[_t3_array_iter].context_data._length);
      flick_mach3mig_array_encode_unsigned8_type(16, _data->service_context._buffer[_t3_array_iter].context_data._length, 1, _long_type);
      flick_mach3mig_array_encode_end_chunk(28);
      flick_mach3mig_array_encode_end_glob(28);
      flick_mach3mig_array_encode_new_glob(1 * _data->service_context._buffer[_t3_array_iter].context_data._length);
      flick_mach3mig_array_encode_new_chunk(1 * _data->service_context._buffer[_t3_array_iter].context_data._length);
      flick_mach3mig_array_encode_bcopy(0, _data->service_context._buffer[_t3_array_iter].context_data._buffer, 1 * _data->service_context._buffer[_t3_array_iter].context_data._length);
      flick_mach3mig_array_encode_end_chunk(1 * _data->service_context._buffer[_t3_array_iter].context_data._length);
      flick_mach3mig_array_encode_end_glob(1 * _data->service_context._buffer[_t3_array_iter].context_data._length);
      flick_mach3mig_encode_new_glob(3);
      flick_mach3mig_encode_new_chunk_align(0, 2, 0, 0);
      flick_mach3mig_encode_end_chunk(0);
      flick_mach3mig_encode_end_glob(3);
    }
  flick_mach3mig_encode_new_glob(36);
  flick_mach3mig_encode_new_chunk(36);
  flick_mach3mig_encode_unsigned32(0, _data->request_id);
  flick_mach3mig_encode_boolean(8, _data->response_expected);
  flick_mach3mig_encode_unsigned32(16, _data->object_key._length);
  flick_mach3mig_array_encode_unsigned8_type(24, _data->object_key._length, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(36);
  flick_mach3mig_array_encode_end_glob(36);
  flick_mach3mig_array_encode_new_glob(1 * _data->object_key._length);
  flick_mach3mig_array_encode_new_chunk(1 * _data->object_key._length);
  flick_mach3mig_array_encode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_mach3mig_array_encode_end_chunk(1 * _data->object_key._length);
  flick_mach3mig_array_encode_end_glob(1 * _data->object_key._length);
  flick_mach3mig_encode_new_glob(3);
  flick_mach3mig_encode_new_chunk_align(0, 2, 0, 0);
  flick_mach3mig_encode_end_chunk(0);
  flick_mach3mig_encode_end_glob(3);
  flick_mach3mig_encode_longstring(_data->operation, null_flick_free, mach3mig);
  flick_mach3mig_encode_new_glob(11);
  flick_mach3mig_encode_new_chunk_align(8, 2, 0, 0);
  flick_mach3mig_encode_port32(0, _data->requesting_principal, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(11);
}

void flick_unmarshal_stub_GIOP_RequestHeader(flick_marshal_stream_t _stream, struct GIOP_RequestHeader *_data)
{
  unsigned long int _t4_array_iter;

  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_unsigned32(0, _data->service_context._length);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
  _data->service_context._buffer = CORBA_flick_alloc(_data->service_context._length * sizeof(struct IOP_ServiceContext ));
  for (_t4_array_iter = 0; _t4_array_iter < _data->service_context._length; _t4_array_iter++)
    {
      flick_mach3mig_decode_new_glob(28);
      flick_mach3mig_decode_new_chunk(28);
      flick_mach3mig_decode_unsigned32(0, _data->service_context._buffer[_t4_array_iter].context_id);
      flick_mach3mig_decode_unsigned32(8, _data->service_context._buffer[_t4_array_iter].context_data._length);
      flick_mach3mig_array_decode_unsigned8_type(16, _data->service_context._buffer[_t4_array_iter].context_data._length, 1, _long_type);
      flick_mach3mig_array_decode_end_chunk(28);
      flick_mach3mig_array_decode_end_glob(28);
      flick_mach3mig_array_decode_new_glob(1 * _data->service_context._buffer[_t4_array_iter].context_data._length);
      flick_mach3mig_array_decode_new_chunk(1 * _data->service_context._buffer[_t4_array_iter].context_data._length);
      _data->service_context._buffer[_t4_array_iter].context_data._buffer = CORBA_flick_alloc(_data->service_context._buffer[_t4_array_iter].context_data._length * sizeof(CORBA_octet ));
      flick_mach3mig_array_decode_bcopy(0, _data->service_context._buffer[_t4_array_iter].context_data._buffer, 1 * _data->service_context._buffer[_t4_array_iter].context_data._length);
      flick_mach3mig_array_decode_end_chunk(1 * _data->service_context._buffer[_t4_array_iter].context_data._length);
      flick_mach3mig_array_decode_end_glob(1 * _data->service_context._buffer[_t4_array_iter].context_data._length);
      flick_mach3mig_decode_new_glob(3);
      flick_mach3mig_decode_new_chunk_align(0, 2, 0, 0);
      flick_mach3mig_decode_end_chunk(0);
      flick_mach3mig_decode_end_glob(3);
    }
  flick_mach3mig_decode_new_glob(36);
  flick_mach3mig_decode_new_chunk(36);
  flick_mach3mig_decode_unsigned32(0, _data->request_id);
  flick_mach3mig_decode_boolean(8, _data->response_expected);
  flick_mach3mig_decode_unsigned32(16, _data->object_key._length);
  flick_mach3mig_array_decode_unsigned8_type(24, _data->object_key._length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(36);
  flick_mach3mig_array_decode_end_glob(36);
  flick_mach3mig_array_decode_new_glob(1 * _data->object_key._length);
  flick_mach3mig_array_decode_new_chunk(1 * _data->object_key._length);
  _data->object_key._buffer = CORBA_flick_alloc(_data->object_key._length * sizeof(CORBA_octet ));
  flick_mach3mig_array_decode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_mach3mig_array_decode_end_chunk(1 * _data->object_key._length);
  flick_mach3mig_array_decode_end_glob(1 * _data->object_key._length);
  flick_mach3mig_decode_new_glob(3);
  flick_mach3mig_decode_new_chunk_align(0, 2, 0, 0);
  flick_mach3mig_decode_end_chunk(0);
  flick_mach3mig_decode_end_glob(3);
  flick_mach3mig_decode_longstring(_data->operation, CORBA_flick_alloc, mach3mig);
  flick_mach3mig_decode_new_glob(11);
  flick_mach3mig_decode_new_chunk_align(8, 2, 0, 0);
  flick_mach3mig_decode_port32(0, _data->requesting_principal, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(11);
}

void flick_marshal_stub_GIOP_ReplyStatusType(flick_marshal_stream_t _stream, const GIOP_ReplyStatusType *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_unsigned32(0, *_data);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_GIOP_ReplyStatusType(flick_marshal_stream_t _stream, GIOP_ReplyStatusType *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_unsigned32(0, *_data);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void flick_marshal_stub_GIOP_ReplyHeader(flick_marshal_stream_t _stream, const struct GIOP_ReplyHeader *_data)
{
  unsigned long int _t5_array_iter;

  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_unsigned32(0, _data->server_context._length);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
  for (_t5_array_iter = 0; _t5_array_iter < _data->server_context._length; _t5_array_iter++)
    {
      flick_mach3mig_encode_new_glob(28);
      flick_mach3mig_encode_new_chunk(28);
      flick_mach3mig_encode_unsigned32(0, _data->server_context._buffer[_t5_array_iter].context_id);
      flick_mach3mig_encode_unsigned32(8, _data->server_context._buffer[_t5_array_iter].context_data._length);
      flick_mach3mig_array_encode_unsigned8_type(16, _data->server_context._buffer[_t5_array_iter].context_data._length, 1, _long_type);
      flick_mach3mig_array_encode_end_chunk(28);
      flick_mach3mig_array_encode_end_glob(28);
      flick_mach3mig_array_encode_new_glob(1 * _data->server_context._buffer[_t5_array_iter].context_data._length);
      flick_mach3mig_array_encode_new_chunk(1 * _data->server_context._buffer[_t5_array_iter].context_data._length);
      flick_mach3mig_array_encode_bcopy(0, _data->server_context._buffer[_t5_array_iter].context_data._buffer, 1 * _data->server_context._buffer[_t5_array_iter].context_data._length);
      flick_mach3mig_array_encode_end_chunk(1 * _data->server_context._buffer[_t5_array_iter].context_data._length);
      flick_mach3mig_array_encode_end_glob(1 * _data->server_context._buffer[_t5_array_iter].context_data._length);
      flick_mach3mig_encode_new_glob(3);
      flick_mach3mig_encode_new_chunk_align(0, 2, 0, 0);
      flick_mach3mig_encode_end_chunk(0);
      flick_mach3mig_encode_end_glob(3);
    }
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(16);
  flick_mach3mig_encode_unsigned32(0, _data->request_id);
  flick_mach3mig_encode_unsigned32(8, _data->reply_status);
  flick_mach3mig_encode_end_chunk(16);
  flick_mach3mig_encode_end_glob(16);
}

void flick_unmarshal_stub_GIOP_ReplyHeader(flick_marshal_stream_t _stream, struct GIOP_ReplyHeader *_data)
{
  unsigned long int _t6_array_iter;

  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_unsigned32(0, _data->server_context._length);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
  _data->server_context._buffer = CORBA_flick_alloc(_data->server_context._length * sizeof(struct IOP_ServiceContext ));
  for (_t6_array_iter = 0; _t6_array_iter < _data->server_context._length; _t6_array_iter++)
    {
      flick_mach3mig_decode_new_glob(28);
      flick_mach3mig_decode_new_chunk(28);
      flick_mach3mig_decode_unsigned32(0, _data->server_context._buffer[_t6_array_iter].context_id);
      flick_mach3mig_decode_unsigned32(8, _data->server_context._buffer[_t6_array_iter].context_data._length);
      flick_mach3mig_array_decode_unsigned8_type(16, _data->server_context._buffer[_t6_array_iter].context_data._length, 1, _long_type);
      flick_mach3mig_array_decode_end_chunk(28);
      flick_mach3mig_array_decode_end_glob(28);
      flick_mach3mig_array_decode_new_glob(1 * _data->server_context._buffer[_t6_array_iter].context_data._length);
      flick_mach3mig_array_decode_new_chunk(1 * _data->server_context._buffer[_t6_array_iter].context_data._length);
      _data->server_context._buffer[_t6_array_iter].context_data._buffer = CORBA_flick_alloc(_data->server_context._buffer[_t6_array_iter].context_data._length * sizeof(CORBA_octet ));
      flick_mach3mig_array_decode_bcopy(0, _data->server_context._buffer[_t6_array_iter].context_data._buffer, 1 * _data->server_context._buffer[_t6_array_iter].context_data._length);
      flick_mach3mig_array_decode_end_chunk(1 * _data->server_context._buffer[_t6_array_iter].context_data._length);
      flick_mach3mig_array_decode_end_glob(1 * _data->server_context._buffer[_t6_array_iter].context_data._length);
      flick_mach3mig_decode_new_glob(3);
      flick_mach3mig_decode_new_chunk_align(0, 2, 0, 0);
      flick_mach3mig_decode_end_chunk(0);
      flick_mach3mig_decode_end_glob(3);
    }
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(16);
  flick_mach3mig_decode_unsigned32(0, _data->request_id);
  flick_mach3mig_decode_unsigned32(8, _data->reply_status);
  flick_mach3mig_decode_end_chunk(16);
  flick_mach3mig_decode_end_glob(16);
}

void flick_marshal_stub_GIOP_CancelRequestHeader(flick_marshal_stream_t _stream, const struct GIOP_CancelRequestHeader *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_unsigned32(0, _data->request_id);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_GIOP_CancelRequestHeader(flick_marshal_stream_t _stream, struct GIOP_CancelRequestHeader *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_unsigned32(0, _data->request_id);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void flick_marshal_stub_GIOP_LocateRequestHeader(flick_marshal_stream_t _stream, const struct GIOP_LocateRequestHeader *_data)
{
  flick_mach3mig_encode_new_glob(28);
  flick_mach3mig_encode_new_chunk(28);
  flick_mach3mig_encode_unsigned32(0, _data->request_id);
  flick_mach3mig_encode_unsigned32(8, _data->object_key._length);
  flick_mach3mig_array_encode_unsigned8_type(16, _data->object_key._length, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(28);
  flick_mach3mig_array_encode_end_glob(28);
  flick_mach3mig_array_encode_new_glob(1 * _data->object_key._length);
  flick_mach3mig_array_encode_new_chunk(1 * _data->object_key._length);
  flick_mach3mig_array_encode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_mach3mig_array_encode_end_chunk(1 * _data->object_key._length);
  flick_mach3mig_array_encode_end_glob(1 * _data->object_key._length);
  flick_mach3mig_encode_new_glob(3);
  flick_mach3mig_encode_new_chunk_align(0, 2, 0, 0);
  flick_mach3mig_encode_end_chunk(0);
  flick_mach3mig_encode_end_glob(3);
}

void flick_unmarshal_stub_GIOP_LocateRequestHeader(flick_marshal_stream_t _stream, struct GIOP_LocateRequestHeader *_data)
{
  flick_mach3mig_decode_new_glob(28);
  flick_mach3mig_decode_new_chunk(28);
  flick_mach3mig_decode_unsigned32(0, _data->request_id);
  flick_mach3mig_decode_unsigned32(8, _data->object_key._length);
  flick_mach3mig_array_decode_unsigned8_type(16, _data->object_key._length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(28);
  flick_mach3mig_array_decode_end_glob(28);
  flick_mach3mig_array_decode_new_glob(1 * _data->object_key._length);
  flick_mach3mig_array_decode_new_chunk(1 * _data->object_key._length);
  _data->object_key._buffer = CORBA_flick_alloc(_data->object_key._length * sizeof(CORBA_octet ));
  flick_mach3mig_array_decode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_mach3mig_array_decode_end_chunk(1 * _data->object_key._length);
  flick_mach3mig_array_decode_end_glob(1 * _data->object_key._length);
  flick_mach3mig_decode_new_glob(3);
  flick_mach3mig_decode_new_chunk_align(0, 2, 0, 0);
  flick_mach3mig_decode_end_chunk(0);
  flick_mach3mig_decode_end_glob(3);
}

void flick_marshal_stub_GIOP_LocateStatusType(flick_marshal_stream_t _stream, const GIOP_LocateStatusType *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_unsigned32(0, *_data);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_GIOP_LocateStatusType(flick_marshal_stream_t _stream, GIOP_LocateStatusType *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_unsigned32(0, *_data);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void flick_marshal_stub_GIOP_LocateReplyHeader(flick_marshal_stream_t _stream, const struct GIOP_LocateReplyHeader *_data)
{
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(16);
  flick_mach3mig_encode_unsigned32(0, _data->request_id);
  flick_mach3mig_encode_unsigned32(8, _data->locate_status);
  flick_mach3mig_encode_end_chunk(16);
  flick_mach3mig_encode_end_glob(16);
}

void flick_unmarshal_stub_GIOP_LocateReplyHeader(flick_marshal_stream_t _stream, struct GIOP_LocateReplyHeader *_data)
{
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(16);
  flick_mach3mig_decode_unsigned32(0, _data->request_id);
  flick_mach3mig_decode_unsigned32(8, _data->locate_status);
  flick_mach3mig_decode_end_chunk(16);
  flick_mach3mig_decode_end_glob(16);
}

void flick_marshal_stub_IIOP_ProfileBody(flick_marshal_stream_t _stream, const struct IIOP_ProfileBody *_data)
{
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(16);
  flick_mach3mig_encode_char8(0, _data->iiop_version.major);
  flick_mach3mig_encode_char8(8, _data->iiop_version.minor);
  flick_mach3mig_encode_end_chunk(16);
  flick_mach3mig_encode_end_glob(16);
  flick_mach3mig_encode_longstring(_data->host, null_flick_free, mach3mig);
  flick_mach3mig_encode_new_glob(31);
  flick_mach3mig_encode_new_chunk_align(28, 2, 0, 0);
  flick_mach3mig_encode_unsigned16(0, _data->port);
  flick_mach3mig_encode_unsigned32(8, _data->object_key._length);
  flick_mach3mig_array_encode_unsigned8_type(16, _data->object_key._length, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(28);
  flick_mach3mig_array_encode_end_glob(31);
  flick_mach3mig_array_encode_new_glob(1 * _data->object_key._length);
  flick_mach3mig_array_encode_new_chunk(1 * _data->object_key._length);
  flick_mach3mig_array_encode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_mach3mig_array_encode_end_chunk(1 * _data->object_key._length);
  flick_mach3mig_array_encode_end_glob(1 * _data->object_key._length);
  flick_mach3mig_encode_new_glob(3);
  flick_mach3mig_encode_new_chunk_align(0, 2, 0, 0);
  flick_mach3mig_encode_end_chunk(0);
  flick_mach3mig_encode_end_glob(3);
}

void flick_unmarshal_stub_IIOP_ProfileBody(flick_marshal_stream_t _stream, struct IIOP_ProfileBody *_data)
{
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(16);
  flick_mach3mig_decode_char8(0, _data->iiop_version.major);
  flick_mach3mig_decode_char8(8, _data->iiop_version.minor);
  flick_mach3mig_decode_end_chunk(16);
  flick_mach3mig_decode_end_glob(16);
  flick_mach3mig_decode_longstring(_data->host, CORBA_flick_alloc, mach3mig);
  flick_mach3mig_decode_new_glob(31);
  flick_mach3mig_decode_new_chunk_align(28, 2, 0, 0);
  flick_mach3mig_decode_unsigned16(0, _data->port);
  flick_mach3mig_decode_unsigned32(8, _data->object_key._length);
  flick_mach3mig_array_decode_unsigned8_type(16, _data->object_key._length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(28);
  flick_mach3mig_array_decode_end_glob(31);
  flick_mach3mig_array_decode_new_glob(1 * _data->object_key._length);
  flick_mach3mig_array_decode_new_chunk(1 * _data->object_key._length);
  _data->object_key._buffer = CORBA_flick_alloc(_data->object_key._length * sizeof(CORBA_octet ));
  flick_mach3mig_array_decode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_mach3mig_array_decode_end_chunk(1 * _data->object_key._length);
  flick_mach3mig_array_decode_end_glob(1 * _data->object_key._length);
  flick_mach3mig_decode_new_glob(3);
  flick_mach3mig_decode_new_chunk_align(0, 2, 0, 0);
  flick_mach3mig_decode_end_chunk(0);
  flick_mach3mig_decode_end_glob(3);
}

