#include "array-1-client.h"

void flick_marshal_stub_data64(flick_marshal_stream_t _stream, const data64 *_data)
{
  flick_mach3mig_array_encode_new_glob(68);
  flick_mach3mig_array_encode_new_chunk(68);
  flick_mach3mig_array_encode_signed32_type(0, 16, 1, _type);
  flick_mach3mig_array_encode_bcopy(4, *_data, 4 * 16);
  flick_mach3mig_encode_end_chunk(68);
  flick_mach3mig_encode_end_glob(68);
}

void flick_unmarshal_stub_data64(flick_marshal_stream_t _stream, data64 *_data)
{
  flick_unsigned8_t _t0_array_length;

  _t0_array_length = 16;
  flick_mach3mig_array_decode_new_glob(68);
  flick_mach3mig_array_decode_new_chunk(68);
  flick_mach3mig_array_decode_signed32_type(0, _t0_array_length, 1, _type);
  flick_mach3mig_array_decode_bcopy(4, *_data, 4 * _t0_array_length);
  flick_mach3mig_decode_end_chunk(68);
  flick_mach3mig_decode_end_glob(68);
}

void flick_marshal_stub_data128(flick_marshal_stream_t _stream, const data128 *_data)
{
  flick_mach3mig_array_encode_new_glob(132);
  flick_mach3mig_array_encode_new_chunk(132);
  flick_mach3mig_array_encode_signed32_type(0, 32, 1, _type);
  flick_mach3mig_array_encode_bcopy(4, *_data, 4 * 32);
  flick_mach3mig_encode_end_chunk(132);
  flick_mach3mig_encode_end_glob(132);
}

void flick_unmarshal_stub_data128(flick_marshal_stream_t _stream, data128 *_data)
{
  flick_unsigned8_t _t1_array_length;

  _t1_array_length = 32;
  flick_mach3mig_array_decode_new_glob(132);
  flick_mach3mig_array_decode_new_chunk(132);
  flick_mach3mig_array_decode_signed32_type(0, _t1_array_length, 1, _type);
  flick_mach3mig_array_decode_bcopy(4, *_data, 4 * _t1_array_length);
  flick_mach3mig_decode_end_chunk(132);
  flick_mach3mig_decode_end_glob(132);
}

void flick_marshal_stub_data256(flick_marshal_stream_t _stream, const data256 *_data)
{
  flick_mach3mig_array_encode_new_glob(260);
  flick_mach3mig_array_encode_new_chunk(260);
  flick_mach3mig_array_encode_signed32_type(0, 64, 1, _type);
  flick_mach3mig_array_encode_bcopy(4, *_data, 4 * 64);
  flick_mach3mig_encode_end_chunk(260);
  flick_mach3mig_encode_end_glob(260);
}

void flick_unmarshal_stub_data256(flick_marshal_stream_t _stream, data256 *_data)
{
  flick_unsigned8_t _t2_array_length;

  _t2_array_length = 64;
  flick_mach3mig_array_decode_new_glob(260);
  flick_mach3mig_array_decode_new_chunk(260);
  flick_mach3mig_array_decode_signed32_type(0, _t2_array_length, 1, _type);
  flick_mach3mig_array_decode_bcopy(4, *_data, 4 * _t2_array_length);
  flick_mach3mig_decode_end_chunk(260);
  flick_mach3mig_decode_end_glob(260);
}

void flick_marshal_stub_data512(flick_marshal_stream_t _stream, const data512 *_data)
{
  flick_mach3mig_array_encode_new_glob(516);
  flick_mach3mig_array_encode_new_chunk(516);
  flick_mach3mig_array_encode_signed32_type(0, 128, 1, _type);
  flick_mach3mig_array_encode_bcopy(4, *_data, 4 * 128);
  flick_mach3mig_encode_end_chunk(516);
  flick_mach3mig_encode_end_glob(516);
}

void flick_unmarshal_stub_data512(flick_marshal_stream_t _stream, data512 *_data)
{
  flick_unsigned8_t _t3_array_length;

  _t3_array_length = 128;
  flick_mach3mig_array_decode_new_glob(516);
  flick_mach3mig_array_decode_new_chunk(516);
  flick_mach3mig_array_decode_signed32_type(0, _t3_array_length, 1, _type);
  flick_mach3mig_array_decode_bcopy(4, *_data, 4 * _t3_array_length);
  flick_mach3mig_decode_end_chunk(516);
  flick_mach3mig_decode_end_glob(516);
}

void flick_marshal_stub_data1K(flick_marshal_stream_t _stream, const data1K *_data)
{
  flick_mach3mig_array_encode_new_glob(1028);
  flick_mach3mig_array_encode_new_chunk(1028);
  flick_mach3mig_array_encode_signed32_type(0, 256, 1, _type);
  flick_mach3mig_array_encode_bcopy(4, *_data, 4 * 256);
  flick_mach3mig_encode_end_chunk(1028);
  flick_mach3mig_encode_end_glob(1028);
}

void flick_unmarshal_stub_data1K(flick_marshal_stream_t _stream, data1K *_data)
{
  flick_unsigned16_t _t4_array_length;

  _t4_array_length = 256;
  flick_mach3mig_array_decode_new_glob(1028);
  flick_mach3mig_array_decode_new_chunk(1028);
  flick_mach3mig_array_decode_signed32_type(0, _t4_array_length, 1, _type);
  flick_mach3mig_array_decode_bcopy(4, *_data, 4 * _t4_array_length);
  flick_mach3mig_decode_end_chunk(1028);
  flick_mach3mig_decode_end_glob(1028);
}

void flick_marshal_stub_data2K(flick_marshal_stream_t _stream, const data2K *_data)
{
  flick_mach3mig_array_encode_new_glob(2052);
  flick_mach3mig_array_encode_new_chunk(2052);
  flick_mach3mig_array_encode_signed32_type(0, 512, 1, _type);
  flick_mach3mig_array_encode_bcopy(4, *_data, 4 * 512);
  flick_mach3mig_encode_end_chunk(2052);
  flick_mach3mig_encode_end_glob(2052);
}

void flick_unmarshal_stub_data2K(flick_marshal_stream_t _stream, data2K *_data)
{
  flick_unsigned16_t _t5_array_length;

  _t5_array_length = 512;
  flick_mach3mig_array_decode_new_glob(2052);
  flick_mach3mig_array_decode_new_chunk(2052);
  flick_mach3mig_array_decode_signed32_type(0, _t5_array_length, 1, _type);
  flick_mach3mig_array_decode_bcopy(4, *_data, 4 * _t5_array_length);
  flick_mach3mig_decode_end_chunk(2052);
  flick_mach3mig_decode_end_glob(2052);
}

void flick_marshal_stub_data4K(flick_marshal_stream_t _stream, const data4K *_data)
{
  flick_mach3mig_array_encode_new_glob(4100);
  flick_mach3mig_array_encode_new_chunk(4100);
  flick_mach3mig_array_encode_signed32_type(0, 1024, 1, _type);
  flick_mach3mig_array_encode_bcopy(4, *_data, 4 * 1024);
  flick_mach3mig_encode_end_chunk(4100);
  flick_mach3mig_encode_end_glob(4100);
}

void flick_unmarshal_stub_data4K(flick_marshal_stream_t _stream, data4K *_data)
{
  flick_unsigned16_t _t6_array_length;

  _t6_array_length = 1024;
  flick_mach3mig_array_decode_new_glob(4100);
  flick_mach3mig_array_decode_new_chunk(4100);
  flick_mach3mig_array_decode_signed32_type(0, _t6_array_length, 1, _type);
  flick_mach3mig_array_decode_bcopy(4, *_data, 4 * _t6_array_length);
  flick_mach3mig_decode_end_chunk(4100);
  flick_mach3mig_decode_end_glob(4100);
}

void flick_marshal_stub_data8K(flick_marshal_stream_t _stream, const data8K *_data)
{
  flick_mach3mig_array_encode_new_glob(8196);
  flick_mach3mig_array_encode_new_chunk(8196);
  flick_mach3mig_array_encode_signed32_type(0, 2048, 1, _type);
  flick_mach3mig_array_encode_bcopy(4, *_data, 4 * 2048);
  flick_mach3mig_encode_end_chunk(8196);
  flick_mach3mig_encode_end_glob(8196);
}

void flick_unmarshal_stub_data8K(flick_marshal_stream_t _stream, data8K *_data)
{
  flick_unsigned16_t _t7_array_length;

  _t7_array_length = 2048;
  flick_mach3mig_array_decode_new_glob(8196);
  flick_mach3mig_array_decode_new_chunk(8196);
  flick_mach3mig_array_decode_signed32_type(0, _t7_array_length, 1, _type);
  flick_mach3mig_array_decode_bcopy(4, *_data, 4 * _t7_array_length);
  flick_mach3mig_decode_end_chunk(8196);
  flick_mach3mig_decode_end_glob(8196);
}

void flick_marshal_stub_data16K(flick_marshal_stream_t _stream, const data16K *_data)
{
  flick_mach3mig_array_encode_new_glob(16396);
  flick_mach3mig_array_encode_new_chunk(16396);
  flick_mach3mig_array_encode_signed32_type(0, 4096, 1, _long_type);
  flick_mach3mig_array_encode_bcopy(12, *_data, 4 * 4096);
  flick_mach3mig_encode_end_chunk(16396);
  flick_mach3mig_encode_end_glob(16396);
}

void flick_unmarshal_stub_data16K(flick_marshal_stream_t _stream, data16K *_data)
{
  flick_unsigned16_t _t8_array_length;

  _t8_array_length = 4096;
  flick_mach3mig_array_decode_new_glob(16396);
  flick_mach3mig_array_decode_new_chunk(16396);
  flick_mach3mig_array_decode_signed32_type(0, _t8_array_length, 1, _long_type);
  flick_mach3mig_array_decode_bcopy(12, *_data, 4 * _t8_array_length);
  flick_mach3mig_decode_end_chunk(16396);
  flick_mach3mig_decode_end_glob(16396);
}

void flick_marshal_stub_data32K(flick_marshal_stream_t _stream, const data32K *_data)
{
  flick_mach3mig_array_encode_new_glob(32780);
  flick_mach3mig_array_encode_new_chunk(32780);
  flick_mach3mig_array_encode_signed32_type(0, 8192, 1, _long_type);
  flick_mach3mig_array_encode_bcopy(12, *_data, 4 * 8192);
  flick_mach3mig_encode_end_chunk(32780);
  flick_mach3mig_encode_end_glob(32780);
}

void flick_unmarshal_stub_data32K(flick_marshal_stream_t _stream, data32K *_data)
{
  flick_unsigned16_t _t9_array_length;

  _t9_array_length = 8192;
  flick_mach3mig_array_decode_new_glob(32780);
  flick_mach3mig_array_decode_new_chunk(32780);
  flick_mach3mig_array_decode_signed32_type(0, _t9_array_length, 1, _long_type);
  flick_mach3mig_array_decode_bcopy(12, *_data, 4 * _t9_array_length);
  flick_mach3mig_decode_end_chunk(32780);
  flick_mach3mig_decode_end_glob(32780);
}

void flick_marshal_stub_data64K(flick_marshal_stream_t _stream, const data64K *_data)
{
  flick_mach3mig_array_encode_new_glob(65548);
  flick_mach3mig_array_encode_new_chunk(65548);
  flick_mach3mig_array_encode_signed32_type(0, 16384, 1, _long_type);
  flick_mach3mig_array_encode_bcopy(12, *_data, 4 * 16384);
  flick_mach3mig_encode_end_chunk(65548);
  flick_mach3mig_encode_end_glob(65548);
}

void flick_unmarshal_stub_data64K(flick_marshal_stream_t _stream, data64K *_data)
{
  flick_unsigned16_t _t10_array_length;

  _t10_array_length = 16384;
  flick_mach3mig_array_decode_new_glob(65548);
  flick_mach3mig_array_decode_new_chunk(65548);
  flick_mach3mig_array_decode_signed32_type(0, _t10_array_length, 1, _long_type);
  flick_mach3mig_array_decode_bcopy(12, *_data, 4 * _t10_array_length);
  flick_mach3mig_decode_end_chunk(65548);
  flick_mach3mig_decode_end_glob(65548);
}

int *op64_1234(data64 arg, CLIENT *_obj)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  int *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(68);
    _stream->msg_buf->Head.msgh_id = 1;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(68);
    flick_mach3mig_array_encode_signed32_type(0, 16, 1, _type);
    flick_mach3mig_array_encode_bcopy(4, arg, 4 * 16);
    flick_mach3mig_encode_end_chunk(68);
    flick_mach3mig_encode_end_glob(68);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t14_switch_tag;

    flick_mach3mig_decode_new_glob(8);
    _t14_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t14_switch_tag)
      {
      case (signed int) 1025:
        {
          flick_errno = _stream->msg_buf->RetCode;
          switch (flick_errno)
            {
            case 0:
              {
                static int _t16_storage;

                /* Begin decode phase on parameters */
                _return = &_t16_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(8);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

int *op128_1234(data128 arg, CLIENT *_obj)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  int *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(132);
    _stream->msg_buf->Head.msgh_id = 2;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(132);
    flick_mach3mig_array_encode_signed32_type(0, 32, 1, _type);
    flick_mach3mig_array_encode_bcopy(4, arg, 4 * 32);
    flick_mach3mig_encode_end_chunk(132);
    flick_mach3mig_encode_end_glob(132);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t20_switch_tag;

    flick_mach3mig_decode_new_glob(8);
    _t20_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t20_switch_tag)
      {
      case (signed int) 1026:
        {
          flick_errno = _stream->msg_buf->RetCode;
          switch (flick_errno)
            {
            case 0:
              {
                static int _t22_storage;

                /* Begin decode phase on parameters */
                _return = &_t22_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(8);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

int *op256_1234(data256 arg, CLIENT *_obj)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  int *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(260);
    _stream->msg_buf->Head.msgh_id = 3;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(260);
    flick_mach3mig_array_encode_signed32_type(0, 64, 1, _type);
    flick_mach3mig_array_encode_bcopy(4, arg, 4 * 64);
    flick_mach3mig_encode_end_chunk(260);
    flick_mach3mig_encode_end_glob(260);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t26_switch_tag;

    flick_mach3mig_decode_new_glob(8);
    _t26_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t26_switch_tag)
      {
      case (signed int) 1027:
        {
          flick_errno = _stream->msg_buf->RetCode;
          switch (flick_errno)
            {
            case 0:
              {
                static int _t28_storage;

                /* Begin decode phase on parameters */
                _return = &_t28_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(8);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

int *op512_1234(data512 arg, CLIENT *_obj)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  int *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(516);
    _stream->msg_buf->Head.msgh_id = 4;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(516);
    flick_mach3mig_array_encode_signed32_type(0, 128, 1, _type);
    flick_mach3mig_array_encode_bcopy(4, arg, 4 * 128);
    flick_mach3mig_encode_end_chunk(516);
    flick_mach3mig_encode_end_glob(516);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t32_switch_tag;

    flick_mach3mig_decode_new_glob(8);
    _t32_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t32_switch_tag)
      {
      case (signed int) 1028:
        {
          flick_errno = _stream->msg_buf->RetCode;
          switch (flick_errno)
            {
            case 0:
              {
                static int _t34_storage;

                /* Begin decode phase on parameters */
                _return = &_t34_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(8);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

int *op1k_1234(data1K arg, CLIENT *_obj)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  int *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(1028);
    _stream->msg_buf->Head.msgh_id = 5;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(1028);
    flick_mach3mig_array_encode_signed32_type(0, 256, 1, _type);
    flick_mach3mig_array_encode_bcopy(4, arg, 4 * 256);
    flick_mach3mig_encode_end_chunk(1028);
    flick_mach3mig_encode_end_glob(1028);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t38_switch_tag;

    flick_mach3mig_decode_new_glob(8);
    _t38_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t38_switch_tag)
      {
      case (signed int) 1029:
        {
          flick_errno = _stream->msg_buf->RetCode;
          switch (flick_errno)
            {
            case 0:
              {
                static int _t40_storage;

                /* Begin decode phase on parameters */
                _return = &_t40_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(8);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

int *op2k_1234(data2K arg, CLIENT *_obj)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  int *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(2052);
    _stream->msg_buf->Head.msgh_id = 6;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(2052);
    flick_mach3mig_array_encode_signed32_type(0, 512, 1, _type);
    flick_mach3mig_array_encode_bcopy(4, arg, 4 * 512);
    flick_mach3mig_encode_end_chunk(2052);
    flick_mach3mig_encode_end_glob(2052);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t44_switch_tag;

    flick_mach3mig_decode_new_glob(8);
    _t44_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t44_switch_tag)
      {
      case (signed int) 1030:
        {
          flick_errno = _stream->msg_buf->RetCode;
          switch (flick_errno)
            {
            case 0:
              {
                static int _t46_storage;

                /* Begin decode phase on parameters */
                _return = &_t46_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(8);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

int *op4k_1234(data4K arg, CLIENT *_obj)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  int *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(4100);
    _stream->msg_buf->Head.msgh_id = 7;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(4100);
    flick_mach3mig_array_encode_signed32_type(0, 1024, 1, _type);
    flick_mach3mig_array_encode_bcopy(4, arg, 4 * 1024);
    flick_mach3mig_encode_end_chunk(4100);
    flick_mach3mig_encode_end_glob(4100);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t50_switch_tag;

    flick_mach3mig_decode_new_glob(8);
    _t50_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t50_switch_tag)
      {
      case (signed int) 1031:
        {
          flick_errno = _stream->msg_buf->RetCode;
          switch (flick_errno)
            {
            case 0:
              {
                static int _t52_storage;

                /* Begin decode phase on parameters */
                _return = &_t52_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(8);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

int *op8k_1234(data8K arg, CLIENT *_obj)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  int *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8196);
    _stream->msg_buf->Head.msgh_id = 8;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(8196);
    flick_mach3mig_array_encode_signed32_type(0, 2048, 1, _type);
    flick_mach3mig_array_encode_bcopy(4, arg, 4 * 2048);
    flick_mach3mig_encode_end_chunk(8196);
    flick_mach3mig_encode_end_glob(8196);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t56_switch_tag;

    flick_mach3mig_decode_new_glob(8);
    _t56_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t56_switch_tag)
      {
      case (signed int) 1032:
        {
          flick_errno = _stream->msg_buf->RetCode;
          switch (flick_errno)
            {
            case 0:
              {
                static int _t58_storage;

                /* Begin decode phase on parameters */
                _return = &_t58_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(8);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

int *op16k_1234(data16K arg, CLIENT *_obj)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  int *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16396);
    _stream->msg_buf->Head.msgh_id = 9;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(16396);
    flick_mach3mig_array_encode_signed32_type(0, 4096, 1, _long_type);
    flick_mach3mig_array_encode_bcopy(12, arg, 4 * 4096);
    flick_mach3mig_encode_end_chunk(16396);
    flick_mach3mig_encode_end_glob(16396);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t62_switch_tag;

    flick_mach3mig_decode_new_glob(8);
    _t62_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t62_switch_tag)
      {
      case (signed int) 1033:
        {
          flick_errno = _stream->msg_buf->RetCode;
          switch (flick_errno)
            {
            case 0:
              {
                static int _t64_storage;

                /* Begin decode phase on parameters */
                _return = &_t64_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(8);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

int *op32k_1234(data32K arg, CLIENT *_obj)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  int *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(32780);
    _stream->msg_buf->Head.msgh_id = 10;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(32780);
    flick_mach3mig_array_encode_signed32_type(0, 8192, 1, _long_type);
    flick_mach3mig_array_encode_bcopy(12, arg, 4 * 8192);
    flick_mach3mig_encode_end_chunk(32780);
    flick_mach3mig_encode_end_glob(32780);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t68_switch_tag;

    flick_mach3mig_decode_new_glob(8);
    _t68_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t68_switch_tag)
      {
      case (signed int) 1034:
        {
          flick_errno = _stream->msg_buf->RetCode;
          switch (flick_errno)
            {
            case 0:
              {
                static int _t70_storage;

                /* Begin decode phase on parameters */
                _return = &_t70_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(8);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

int *op64k_1234(data64K arg, CLIENT *_obj)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  int *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(65548);
    _stream->msg_buf->Head.msgh_id = 11;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(65548);
    flick_mach3mig_array_encode_signed32_type(0, 16384, 1, _long_type);
    flick_mach3mig_array_encode_bcopy(12, arg, 4 * 16384);
    flick_mach3mig_encode_end_chunk(65548);
    flick_mach3mig_encode_end_glob(65548);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t74_switch_tag;

    flick_mach3mig_decode_new_glob(8);
    _t74_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t74_switch_tag)
      {
      case (signed int) 1035:
        {
          flick_errno = _stream->msg_buf->RetCode;
          switch (flick_errno)
            {
            case 0:
              {
                static int _t76_storage;

                /* Begin decode phase on parameters */
                _return = &_t76_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(8);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

