#include "arrayez_-client.h"

void flick_marshal_stub_arrays_arr8(flick_marshal_stream_t _stream, const arrays_arr8 *_data)
{
  flick_mach3mig_array_encode_new_glob(36);
  flick_mach3mig_array_encode_new_chunk(36);
  flick_mach3mig_array_encode_signed32_type(0, 8, 1, _type);
  flick_mach3mig_array_encode_bcopy(4, *_data, 4 * 8);
  flick_mach3mig_encode_end_chunk(36);
  flick_mach3mig_encode_end_glob(36);
}

void flick_unmarshal_stub_arrays_arr8(flick_marshal_stream_t _stream, arrays_arr8 *_data)
{
  flick_unsigned8_t _t0_array_length;

  _t0_array_length = 8;
  flick_mach3mig_array_decode_new_glob(36);
  flick_mach3mig_array_decode_new_chunk(36);
  flick_mach3mig_array_decode_signed32_type(0, _t0_array_length, 1, _type);
  flick_mach3mig_array_decode_bcopy(4, *_data, 4 * _t0_array_length);
  flick_mach3mig_decode_end_chunk(36);
  flick_mach3mig_decode_end_glob(36);
}

void flick_marshal_stub_arrays_arr256(flick_marshal_stream_t _stream, const arrays_arr256 *_data)
{
  flick_mach3mig_array_encode_new_glob(1028);
  flick_mach3mig_array_encode_new_chunk(1028);
  flick_mach3mig_array_encode_signed32_type(0, 256, 1, _type);
  flick_mach3mig_array_encode_bcopy(4, *_data, 4 * 256);
  flick_mach3mig_encode_end_chunk(1028);
  flick_mach3mig_encode_end_glob(1028);
}

void flick_unmarshal_stub_arrays_arr256(flick_marshal_stream_t _stream, arrays_arr256 *_data)
{
  flick_unsigned16_t _t1_array_length;

  _t1_array_length = 256;
  flick_mach3mig_array_decode_new_glob(1028);
  flick_mach3mig_array_decode_new_chunk(1028);
  flick_mach3mig_array_decode_signed32_type(0, _t1_array_length, 1, _type);
  flick_mach3mig_array_decode_bcopy(4, *_data, 4 * _t1_array_length);
  flick_mach3mig_decode_end_chunk(1028);
  flick_mach3mig_decode_end_glob(1028);
}

void flick_marshal_stub_arrays_arr8k(flick_marshal_stream_t _stream, const arrays_arr8k *_data)
{
  flick_mach3mig_array_encode_new_glob(32780);
  flick_mach3mig_array_encode_new_chunk(32780);
  flick_mach3mig_array_encode_signed32_type(0, 8192, 1, _long_type);
  flick_mach3mig_array_encode_bcopy(12, *_data, 4 * 8192);
  flick_mach3mig_encode_end_chunk(32780);
  flick_mach3mig_encode_end_glob(32780);
}

void flick_unmarshal_stub_arrays_arr8k(flick_marshal_stream_t _stream, arrays_arr8k *_data)
{
  flick_unsigned16_t _t2_array_length;

  _t2_array_length = 8192;
  flick_mach3mig_array_decode_new_glob(32780);
  flick_mach3mig_array_decode_new_chunk(32780);
  flick_mach3mig_array_decode_signed32_type(0, _t2_array_length, 1, _long_type);
  flick_mach3mig_array_decode_bcopy(12, *_data, 4 * _t2_array_length);
  flick_mach3mig_decode_end_chunk(32780);
  flick_mach3mig_decode_end_glob(32780);
}

void flick_marshal_stub_arrays(flick_marshal_stream_t _stream, const arrays *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

CORBA_long arrays_test8(arrays _obj, arrays_arr8 a, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_long _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(92);
    flick_mach3mig_encode_new_chunk(92);
    flick_mach3mig_encode_unsigned32(0, 6);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '8');
    flick_mach3mig_encode_char8(48, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_signed32_type(56, 8, 1, _type);
    flick_mach3mig_array_encode_bcopy(60, a, 4 * 8);
    flick_mach3mig_encode_end_chunk(92);
    flick_mach3mig_encode_end_glob(92);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t11_switch_tag;

    flick_mach3mig_decode_new_glob(80);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t11_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t11_switch_tag)
      {
      case (unsigned int) 7:
        {
          char _t12_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t12_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t12_switch_tag)
            {
            case '$':
              {
                char _t13_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t13_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t13_switch_tag)
                  {
                  case 't':
                    {
                      char _t14_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t14_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t14_switch_tag)
                        {
                        case 'e':
                          {
                            char _t15_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t15_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t15_switch_tag)
                              {
                              case 's':
                                {
                                  char _t16_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t16_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t16_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t17_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t17_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t17_switch_tag)
                                          {
                                          case '8':
                                            {
                                              char _t18_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t18_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t18_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_signed32(0, _ev->_major);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_ev->_major)
                                                      {
                                                      case CORBA_NO_EXCEPTION:
                                                        {
                                                          /* Begin decode phase on parameters */
                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_signed32(0, _return);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          break;
                                                        }
                                                      case CORBA_SYSTEM_EXCEPTION:
                                                        {
                                                          flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(80);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_long arrays_test256(arrays _obj, arrays_arr256 a, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_long _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(1100);
    flick_mach3mig_encode_new_chunk(1100);
    flick_mach3mig_encode_unsigned32(0, 8);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '2');
    flick_mach3mig_encode_char8(48, '5');
    flick_mach3mig_encode_char8(56, '6');
    flick_mach3mig_encode_char8(64, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_signed32_type(72, 256, 1, _type);
    flick_mach3mig_array_encode_bcopy(76, a, 4 * 256);
    flick_mach3mig_encode_end_chunk(1100);
    flick_mach3mig_encode_end_glob(1100);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t29_switch_tag;

    flick_mach3mig_decode_new_glob(96);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t29_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t29_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t30_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t30_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t30_switch_tag)
            {
            case '$':
              {
                char _t31_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t31_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t31_switch_tag)
                  {
                  case 't':
                    {
                      char _t32_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t32_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t32_switch_tag)
                        {
                        case 'e':
                          {
                            char _t33_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t33_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t33_switch_tag)
                              {
                              case 's':
                                {
                                  char _t34_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t34_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t34_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t35_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t35_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t35_switch_tag)
                                          {
                                          case '2':
                                            {
                                              char _t36_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t36_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t36_switch_tag)
                                                {
                                                case '5':
                                                  {
                                                    char _t37_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t37_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t37_switch_tag)
                                                      {
                                                      case '6':
                                                        {
                                                          char _t38_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t38_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t38_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_ev->_major)
                                                                  {
                                                                  case CORBA_NO_EXCEPTION:
                                                                    {
                                                                      /* Begin decode phase on parameters */
                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_signed32(0, _return);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      break;
                                                                    }
                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                    {
                                                                      flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(96);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_long arrays_test8k(arrays _obj, arrays_arr8k a, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_long _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(32844);
    flick_mach3mig_encode_new_chunk(32844);
    flick_mach3mig_encode_unsigned32(0, 7);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '8');
    flick_mach3mig_encode_char8(48, 'k');
    flick_mach3mig_encode_char8(56, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_signed32_type(64, 8192, 1, _long_type);
    flick_mach3mig_array_encode_bcopy(76, a, 4 * 8192);
    flick_mach3mig_encode_end_chunk(32844);
    flick_mach3mig_encode_end_glob(32844);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t48_switch_tag;

    flick_mach3mig_decode_new_glob(88);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t48_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t48_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t49_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t49_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t49_switch_tag)
            {
            case '$':
              {
                char _t50_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t50_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t50_switch_tag)
                  {
                  case 't':
                    {
                      char _t51_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t51_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t51_switch_tag)
                        {
                        case 'e':
                          {
                            char _t52_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t52_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t52_switch_tag)
                              {
                              case 's':
                                {
                                  char _t53_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t53_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t53_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t54_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t54_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t54_switch_tag)
                                          {
                                          case '8':
                                            {
                                              char _t55_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t55_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t55_switch_tag)
                                                {
                                                case 'k':
                                                  {
                                                    char _t56_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t56_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t56_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_signed32(0, _ev->_major);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_ev->_major)
                                                            {
                                                            case CORBA_NO_EXCEPTION:
                                                              {
                                                                /* Begin decode phase on parameters */
                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_signed32(0, _return);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                break;
                                                              }
                                                            case CORBA_SYSTEM_EXCEPTION:
                                                              {
                                                                flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(88);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

