#include "arrays-client.h"

void flick_marshal_stub_end(flick_marshal_stream_t _stream, const struct end *_data)
{
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(16);
  flick_mach3mig_encode_signed32(0, _data->elem1);
  flick_mach3mig_encode_char8(8, _data->elem2);
  flick_mach3mig_encode_end_chunk(16);
  flick_mach3mig_encode_end_glob(16);
}

void flick_unmarshal_stub_end(flick_marshal_stream_t _stream, struct end *_data)
{
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(16);
  flick_mach3mig_decode_signed32(0, _data->elem1);
  flick_mach3mig_decode_char8(8, _data->elem2);
  flick_mach3mig_decode_end_chunk(16);
  flick_mach3mig_decode_end_glob(16);
}

void flick_marshal_stub_begin(flick_marshal_stream_t _stream, const struct begin *_data)
{
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(16);
  flick_mach3mig_encode_char8(0, _data->elem1);
  flick_mach3mig_encode_signed32(8, _data->elem2);
  flick_mach3mig_encode_end_chunk(16);
  flick_mach3mig_encode_end_glob(16);
}

void flick_unmarshal_stub_begin(flick_marshal_stream_t _stream, struct begin *_data)
{
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(16);
  flick_mach3mig_decode_char8(0, _data->elem1);
  flick_mach3mig_decode_signed32(8, _data->elem2);
  flick_mach3mig_decode_end_chunk(16);
  flick_mach3mig_decode_end_glob(16);
}

void flick_marshal_stub_cLd(flick_marshal_stream_t _stream, const struct cLd *_data)
{
  flick_mach3mig_encode_new_glob(224);
  flick_mach3mig_encode_new_chunk(224);
  flick_mach3mig_encode_char8(0, _data->first);
  flick_mach3mig_array_encode_signed32_type(8, 50, 1, _type);
  flick_mach3mig_array_encode_bcopy(12, _data->data, 4 * 50);
  flick_mach3mig_encode_float64(212, _data->last);
  flick_mach3mig_encode_end_chunk(224);
  flick_mach3mig_encode_end_glob(224);
}

void flick_unmarshal_stub_cLd(flick_marshal_stream_t _stream, struct cLd *_data)
{
  flick_unsigned8_t _t0_array_length;

  flick_mach3mig_decode_new_glob(224);
  flick_mach3mig_decode_new_chunk(224);
  flick_mach3mig_decode_char8(0, _data->first);
  _t0_array_length = 50;
  flick_mach3mig_array_decode_signed32_type(8, _t0_array_length, 1, _type);
  flick_mach3mig_array_decode_bcopy(12, _data->data, 4 * _t0_array_length);
  flick_mach3mig_decode_float64(212, _data->last);
  flick_mach3mig_decode_end_chunk(224);
  flick_mach3mig_decode_end_glob(224);
}

void flick_marshal_stub_dLc(flick_marshal_stream_t _stream, const struct dLc *_data)
{
  flick_mach3mig_encode_new_glob(224);
  flick_mach3mig_encode_new_chunk(224);
  flick_mach3mig_encode_float64(0, _data->first);
  flick_mach3mig_array_encode_signed32_type(12, 50, 1, _type);
  flick_mach3mig_array_encode_bcopy(16, _data->data, 4 * 50);
  flick_mach3mig_encode_char8(216, _data->last);
  flick_mach3mig_encode_end_chunk(224);
  flick_mach3mig_encode_end_glob(224);
}

void flick_unmarshal_stub_dLc(flick_marshal_stream_t _stream, struct dLc *_data)
{
  flick_unsigned8_t _t1_array_length;

  flick_mach3mig_decode_new_glob(224);
  flick_mach3mig_decode_new_chunk(224);
  flick_mach3mig_decode_float64(0, _data->first);
  _t1_array_length = 50;
  flick_mach3mig_array_decode_signed32_type(12, _t1_array_length, 1, _type);
  flick_mach3mig_array_decode_bcopy(16, _data->data, 4 * _t1_array_length);
  flick_mach3mig_decode_char8(216, _data->last);
  flick_mach3mig_decode_end_chunk(224);
  flick_mach3mig_decode_end_glob(224);
}

void flick_marshal_stub_sLs(flick_marshal_stream_t _stream, const struct sLs *_data)
{
  flick_mach3mig_encode_new_glob(220);
  flick_mach3mig_encode_new_chunk(220);
  flick_mach3mig_encode_signed16(0, _data->first);
  flick_mach3mig_array_encode_signed32_type(8, 50, 1, _type);
  flick_mach3mig_array_encode_bcopy(12, _data->data, 4 * 50);
  flick_mach3mig_encode_signed16(212, _data->last);
  flick_mach3mig_encode_end_chunk(220);
  flick_mach3mig_encode_end_glob(220);
}

void flick_unmarshal_stub_sLs(flick_marshal_stream_t _stream, struct sLs *_data)
{
  flick_unsigned8_t _t2_array_length;

  flick_mach3mig_decode_new_glob(220);
  flick_mach3mig_decode_new_chunk(220);
  flick_mach3mig_decode_signed16(0, _data->first);
  _t2_array_length = 50;
  flick_mach3mig_array_decode_signed32_type(8, _t2_array_length, 1, _type);
  flick_mach3mig_array_decode_bcopy(12, _data->data, 4 * _t2_array_length);
  flick_mach3mig_decode_signed16(212, _data->last);
  flick_mach3mig_decode_end_chunk(220);
  flick_mach3mig_decode_end_glob(220);
}

void flick_marshal_stub_cLCd(flick_marshal_stream_t _stream, const struct cLCd *_data)
{
  flick_unsigned8_t _t3_array_iter;

  flick_mach3mig_encode_new_glob(820);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_char8(0, _data->first);
  flick_mach3mig_encode_end_chunk(8);
  for (_t3_array_iter = 0; _t3_array_iter < 50; _t3_array_iter++)
    {
      flick_mach3mig_encode_new_chunk(16);
      flick_mach3mig_encode_signed32(0, _data->data[_t3_array_iter].elem1);
      flick_mach3mig_encode_char8(8, _data->data[_t3_array_iter].elem2);
      flick_mach3mig_encode_end_chunk(16);
    }
  flick_mach3mig_encode_new_chunk(12);
  flick_mach3mig_encode_float64(0, _data->last);
  flick_mach3mig_encode_end_chunk(12);
  flick_mach3mig_encode_end_glob(820);
}

void flick_unmarshal_stub_cLCd(flick_marshal_stream_t _stream, struct cLCd *_data)
{
  flick_unsigned8_t _t4_array_length;
  flick_unsigned8_t _t5_array_iter;

  flick_mach3mig_decode_new_glob(820);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_char8(0, _data->first);
  _t4_array_length = 50;
  flick_mach3mig_decode_end_chunk(8);
  for (_t5_array_iter = 0; _t5_array_iter < _t4_array_length; _t5_array_iter++)
    {
      flick_mach3mig_decode_new_chunk(16);
      flick_mach3mig_decode_signed32(0, _data->data[_t5_array_iter].elem1);
      flick_mach3mig_decode_char8(8, _data->data[_t5_array_iter].elem2);
      flick_mach3mig_decode_end_chunk(16);
    }
  flick_mach3mig_decode_new_chunk(12);
  flick_mach3mig_decode_float64(0, _data->last);
  flick_mach3mig_decode_end_chunk(12);
  flick_mach3mig_decode_end_glob(820);
}

void flick_marshal_stub_dLCc(flick_marshal_stream_t _stream, const struct dLCc *_data)
{
  flick_unsigned8_t _t6_array_iter;

  flick_mach3mig_encode_new_glob(820);
  flick_mach3mig_encode_new_chunk(12);
  flick_mach3mig_encode_float64(0, _data->first);
  flick_mach3mig_encode_end_chunk(12);
  for (_t6_array_iter = 0; _t6_array_iter < 50; _t6_array_iter++)
    {
      flick_mach3mig_encode_new_chunk(16);
      flick_mach3mig_encode_signed32(0, _data->data[_t6_array_iter].elem1);
      flick_mach3mig_encode_char8(8, _data->data[_t6_array_iter].elem2);
      flick_mach3mig_encode_end_chunk(16);
    }
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_char8(0, _data->last);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(820);
}

void flick_unmarshal_stub_dLCc(flick_marshal_stream_t _stream, struct dLCc *_data)
{
  flick_unsigned8_t _t7_array_length;
  flick_unsigned8_t _t8_array_iter;

  flick_mach3mig_decode_new_glob(820);
  flick_mach3mig_decode_new_chunk(12);
  flick_mach3mig_decode_float64(0, _data->first);
  _t7_array_length = 50;
  flick_mach3mig_decode_end_chunk(12);
  for (_t8_array_iter = 0; _t8_array_iter < _t7_array_length; _t8_array_iter++)
    {
      flick_mach3mig_decode_new_chunk(16);
      flick_mach3mig_decode_signed32(0, _data->data[_t8_array_iter].elem1);
      flick_mach3mig_decode_char8(8, _data->data[_t8_array_iter].elem2);
      flick_mach3mig_decode_end_chunk(16);
    }
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_char8(0, _data->last);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(820);
}

void flick_marshal_stub_sLCs(flick_marshal_stream_t _stream, const struct sLCs *_data)
{
  flick_unsigned8_t _t9_array_iter;

  flick_mach3mig_encode_new_glob(816);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed16(0, _data->first);
  flick_mach3mig_encode_end_chunk(8);
  for (_t9_array_iter = 0; _t9_array_iter < 50; _t9_array_iter++)
    {
      flick_mach3mig_encode_new_chunk(16);
      flick_mach3mig_encode_signed32(0, _data->data[_t9_array_iter].elem1);
      flick_mach3mig_encode_char8(8, _data->data[_t9_array_iter].elem2);
      flick_mach3mig_encode_end_chunk(16);
    }
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed16(0, _data->last);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(816);
}

void flick_unmarshal_stub_sLCs(flick_marshal_stream_t _stream, struct sLCs *_data)
{
  flick_unsigned8_t _t10_array_length;
  flick_unsigned8_t _t11_array_iter;

  flick_mach3mig_decode_new_glob(816);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed16(0, _data->first);
  _t10_array_length = 50;
  flick_mach3mig_decode_end_chunk(8);
  for (_t11_array_iter = 0; _t11_array_iter < _t10_array_length; _t11_array_iter++)
    {
      flick_mach3mig_decode_new_chunk(16);
      flick_mach3mig_decode_signed32(0, _data->data[_t11_array_iter].elem1);
      flick_mach3mig_decode_char8(8, _data->data[_t11_array_iter].elem2);
      flick_mach3mig_decode_end_chunk(16);
    }
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed16(0, _data->last);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(816);
}

void flick_marshal_stub_cCLd(flick_marshal_stream_t _stream, const struct cCLd *_data)
{
  flick_unsigned8_t _t12_array_iter;

  flick_mach3mig_encode_new_glob(820);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_char8(0, _data->first);
  flick_mach3mig_encode_end_chunk(8);
  for (_t12_array_iter = 0; _t12_array_iter < 50; _t12_array_iter++)
    {
      flick_mach3mig_encode_new_chunk(16);
      flick_mach3mig_encode_char8(0, _data->data[_t12_array_iter].elem1);
      flick_mach3mig_encode_signed32(8, _data->data[_t12_array_iter].elem2);
      flick_mach3mig_encode_end_chunk(16);
    }
  flick_mach3mig_encode_new_chunk(12);
  flick_mach3mig_encode_float64(0, _data->last);
  flick_mach3mig_encode_end_chunk(12);
  flick_mach3mig_encode_end_glob(820);
}

void flick_unmarshal_stub_cCLd(flick_marshal_stream_t _stream, struct cCLd *_data)
{
  flick_unsigned8_t _t13_array_length;
  flick_unsigned8_t _t14_array_iter;

  flick_mach3mig_decode_new_glob(820);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_char8(0, _data->first);
  _t13_array_length = 50;
  flick_mach3mig_decode_end_chunk(8);
  for (_t14_array_iter = 0; _t14_array_iter < _t13_array_length; _t14_array_iter++)
    {
      flick_mach3mig_decode_new_chunk(16);
      flick_mach3mig_decode_char8(0, _data->data[_t14_array_iter].elem1);
      flick_mach3mig_decode_signed32(8, _data->data[_t14_array_iter].elem2);
      flick_mach3mig_decode_end_chunk(16);
    }
  flick_mach3mig_decode_new_chunk(12);
  flick_mach3mig_decode_float64(0, _data->last);
  flick_mach3mig_decode_end_chunk(12);
  flick_mach3mig_decode_end_glob(820);
}

void flick_marshal_stub_dCLc(flick_marshal_stream_t _stream, const struct dCLc *_data)
{
  flick_unsigned8_t _t15_array_iter;

  flick_mach3mig_encode_new_glob(820);
  flick_mach3mig_encode_new_chunk(12);
  flick_mach3mig_encode_float64(0, _data->first);
  flick_mach3mig_encode_end_chunk(12);
  for (_t15_array_iter = 0; _t15_array_iter < 50; _t15_array_iter++)
    {
      flick_mach3mig_encode_new_chunk(16);
      flick_mach3mig_encode_char8(0, _data->data[_t15_array_iter].elem1);
      flick_mach3mig_encode_signed32(8, _data->data[_t15_array_iter].elem2);
      flick_mach3mig_encode_end_chunk(16);
    }
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_char8(0, _data->last);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(820);
}

void flick_unmarshal_stub_dCLc(flick_marshal_stream_t _stream, struct dCLc *_data)
{
  flick_unsigned8_t _t16_array_length;
  flick_unsigned8_t _t17_array_iter;

  flick_mach3mig_decode_new_glob(820);
  flick_mach3mig_decode_new_chunk(12);
  flick_mach3mig_decode_float64(0, _data->first);
  _t16_array_length = 50;
  flick_mach3mig_decode_end_chunk(12);
  for (_t17_array_iter = 0; _t17_array_iter < _t16_array_length; _t17_array_iter++)
    {
      flick_mach3mig_decode_new_chunk(16);
      flick_mach3mig_decode_char8(0, _data->data[_t17_array_iter].elem1);
      flick_mach3mig_decode_signed32(8, _data->data[_t17_array_iter].elem2);
      flick_mach3mig_decode_end_chunk(16);
    }
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_char8(0, _data->last);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(820);
}

void flick_marshal_stub_sCLs(flick_marshal_stream_t _stream, const struct sCLs *_data)
{
  flick_unsigned8_t _t18_array_iter;

  flick_mach3mig_encode_new_glob(816);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed16(0, _data->first);
  flick_mach3mig_encode_end_chunk(8);
  for (_t18_array_iter = 0; _t18_array_iter < 50; _t18_array_iter++)
    {
      flick_mach3mig_encode_new_chunk(16);
      flick_mach3mig_encode_char8(0, _data->data[_t18_array_iter].elem1);
      flick_mach3mig_encode_signed32(8, _data->data[_t18_array_iter].elem2);
      flick_mach3mig_encode_end_chunk(16);
    }
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed16(0, _data->last);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(816);
}

void flick_unmarshal_stub_sCLs(flick_marshal_stream_t _stream, struct sCLs *_data)
{
  flick_unsigned8_t _t19_array_length;
  flick_unsigned8_t _t20_array_iter;

  flick_mach3mig_decode_new_glob(816);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed16(0, _data->first);
  _t19_array_length = 50;
  flick_mach3mig_decode_end_chunk(8);
  for (_t20_array_iter = 0; _t20_array_iter < _t19_array_length; _t20_array_iter++)
    {
      flick_mach3mig_decode_new_chunk(16);
      flick_mach3mig_decode_char8(0, _data->data[_t20_array_iter].elem1);
      flick_mach3mig_decode_signed32(8, _data->data[_t20_array_iter].elem2);
      flick_mach3mig_decode_end_chunk(16);
    }
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed16(0, _data->last);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(816);
}

void flick_marshal_stub_arrays(flick_marshal_stream_t _stream, const arrays *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

struct cLd arrays_test_cLd(arrays _obj, struct cLd *inp, struct cLd *iop, struct cLd *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  struct cLd _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(528);
    flick_mach3mig_encode_new_chunk(528);
    flick_mach3mig_encode_unsigned32(0, 9);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 'c');
    flick_mach3mig_encode_char8(56, 'L');
    flick_mach3mig_encode_char8(64, 'd');
    flick_mach3mig_encode_char8(72, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_char8(80, inp->first);
    flick_mach3mig_array_encode_signed32_type(88, 50, 1, _type);
    flick_mach3mig_array_encode_bcopy(92, inp->data, 4 * 50);
    flick_mach3mig_encode_float64(292, inp->last);
    flick_mach3mig_encode_char8(304, iop->first);
    flick_mach3mig_array_encode_signed32_type(312, 50, 1, _type);
    flick_mach3mig_array_encode_bcopy(316, iop->data, 4 * 50);
    flick_mach3mig_encode_float64(516, iop->last);
    flick_mach3mig_encode_end_chunk(528);
    flick_mach3mig_encode_end_glob(528);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t38_switch_tag;

    flick_mach3mig_decode_new_glob(768);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t38_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t38_switch_tag)
      {
      case (unsigned int) 10:
        {
          char _t39_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t39_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t39_switch_tag)
            {
            case '$':
              {
                char _t40_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t40_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t40_switch_tag)
                  {
                  case 't':
                    {
                      char _t41_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t41_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t41_switch_tag)
                        {
                        case 'e':
                          {
                            char _t42_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t42_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t42_switch_tag)
                              {
                              case 's':
                                {
                                  char _t43_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t43_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t43_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t44_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t44_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t44_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t45_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t45_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t45_switch_tag)
                                                {
                                                case 'c':
                                                  {
                                                    char _t46_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t46_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t46_switch_tag)
                                                      {
                                                      case 'L':
                                                        {
                                                          char _t47_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t47_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t47_switch_tag)
                                                            {
                                                            case 'd':
                                                              {
                                                                char _t48_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t48_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t48_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_ev->_major)
                                                                        {
                                                                        case CORBA_NO_EXCEPTION:
                                                                          {
                                                                            flick_unsigned8_t _t52_array_length;
                                                                            flick_unsigned8_t _t53_array_length;
                                                                            flick_unsigned8_t _t54_array_length;

                                                                            /* Begin decode phase on parameters */
                                                                            flick_mach3mig_decode_new_chunk(672);
                                                                            flick_mach3mig_decode_char8(0, _return.first);
                                                                            _t52_array_length = 50;
                                                                            flick_mach3mig_array_decode_signed32_type(8, _t52_array_length, 1, _type);
                                                                            flick_mach3mig_array_decode_bcopy(12, _return.data, 4 * _t52_array_length);
                                                                            flick_mach3mig_decode_float64(212, _return.last);
                                                                            flick_mach3mig_decode_char8(224, iop->first);
                                                                            _t53_array_length = 50;
                                                                            flick_mach3mig_array_decode_signed32_type(232, _t53_array_length, 1, _type);
                                                                            flick_mach3mig_array_decode_bcopy(236, iop->data, 4 * _t53_array_length);
                                                                            flick_mach3mig_decode_float64(436, iop->last);
                                                                            flick_mach3mig_decode_char8(448, outp->first);
                                                                            _t54_array_length = 50;
                                                                            flick_mach3mig_array_decode_signed32_type(456, _t54_array_length, 1, _type);
                                                                            flick_mach3mig_array_decode_bcopy(460, outp->data, 4 * _t54_array_length);
                                                                            flick_mach3mig_decode_float64(660, outp->last);
                                                                            flick_mach3mig_decode_end_chunk(672);
                                                                            break;
                                                                          }
                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                          {
                                                                            flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(768);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

struct dLc arrays_test_dLc(arrays _obj, struct dLc *inp, struct dLc *iop, struct dLc *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  struct dLc _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(528);
    flick_mach3mig_encode_new_chunk(528);
    flick_mach3mig_encode_unsigned32(0, 9);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 'd');
    flick_mach3mig_encode_char8(56, 'L');
    flick_mach3mig_encode_char8(64, 'c');
    flick_mach3mig_encode_char8(72, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_float64(80, inp->first);
    flick_mach3mig_array_encode_signed32_type(92, 50, 1, _type);
    flick_mach3mig_array_encode_bcopy(96, inp->data, 4 * 50);
    flick_mach3mig_encode_char8(296, inp->last);
    flick_mach3mig_encode_float64(304, iop->first);
    flick_mach3mig_array_encode_signed32_type(316, 50, 1, _type);
    flick_mach3mig_array_encode_bcopy(320, iop->data, 4 * 50);
    flick_mach3mig_encode_char8(520, iop->last);
    flick_mach3mig_encode_end_chunk(528);
    flick_mach3mig_encode_end_glob(528);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t72_switch_tag;

    flick_mach3mig_decode_new_glob(768);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t72_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t72_switch_tag)
      {
      case (unsigned int) 10:
        {
          char _t73_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t73_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t73_switch_tag)
            {
            case '$':
              {
                char _t74_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t74_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t74_switch_tag)
                  {
                  case 't':
                    {
                      char _t75_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t75_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t75_switch_tag)
                        {
                        case 'e':
                          {
                            char _t76_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t76_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t76_switch_tag)
                              {
                              case 's':
                                {
                                  char _t77_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t77_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t77_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t78_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t78_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t78_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t79_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t79_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t79_switch_tag)
                                                {
                                                case 'd':
                                                  {
                                                    char _t80_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t80_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t80_switch_tag)
                                                      {
                                                      case 'L':
                                                        {
                                                          char _t81_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t81_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t81_switch_tag)
                                                            {
                                                            case 'c':
                                                              {
                                                                char _t82_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t82_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t82_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_ev->_major)
                                                                        {
                                                                        case CORBA_NO_EXCEPTION:
                                                                          {
                                                                            flick_unsigned8_t _t86_array_length;
                                                                            flick_unsigned8_t _t87_array_length;
                                                                            flick_unsigned8_t _t88_array_length;

                                                                            /* Begin decode phase on parameters */
                                                                            flick_mach3mig_decode_new_chunk(672);
                                                                            flick_mach3mig_decode_float64(0, _return.first);
                                                                            _t86_array_length = 50;
                                                                            flick_mach3mig_array_decode_signed32_type(12, _t86_array_length, 1, _type);
                                                                            flick_mach3mig_array_decode_bcopy(16, _return.data, 4 * _t86_array_length);
                                                                            flick_mach3mig_decode_char8(216, _return.last);
                                                                            flick_mach3mig_decode_float64(224, iop->first);
                                                                            _t87_array_length = 50;
                                                                            flick_mach3mig_array_decode_signed32_type(236, _t87_array_length, 1, _type);
                                                                            flick_mach3mig_array_decode_bcopy(240, iop->data, 4 * _t87_array_length);
                                                                            flick_mach3mig_decode_char8(440, iop->last);
                                                                            flick_mach3mig_decode_float64(448, outp->first);
                                                                            _t88_array_length = 50;
                                                                            flick_mach3mig_array_decode_signed32_type(460, _t88_array_length, 1, _type);
                                                                            flick_mach3mig_array_decode_bcopy(464, outp->data, 4 * _t88_array_length);
                                                                            flick_mach3mig_decode_char8(664, outp->last);
                                                                            flick_mach3mig_decode_end_chunk(672);
                                                                            break;
                                                                          }
                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                          {
                                                                            flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(768);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

struct sLs arrays_test_sLs(arrays _obj, struct sLs *inp, struct sLs *iop, struct sLs *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  struct sLs _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(520);
    flick_mach3mig_encode_new_chunk(520);
    flick_mach3mig_encode_unsigned32(0, 9);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 's');
    flick_mach3mig_encode_char8(56, 'L');
    flick_mach3mig_encode_char8(64, 's');
    flick_mach3mig_encode_char8(72, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed16(80, inp->first);
    flick_mach3mig_array_encode_signed32_type(88, 50, 1, _type);
    flick_mach3mig_array_encode_bcopy(92, inp->data, 4 * 50);
    flick_mach3mig_encode_signed16(292, inp->last);
    flick_mach3mig_encode_signed16(300, iop->first);
    flick_mach3mig_array_encode_signed32_type(308, 50, 1, _type);
    flick_mach3mig_array_encode_bcopy(312, iop->data, 4 * 50);
    flick_mach3mig_encode_signed16(512, iop->last);
    flick_mach3mig_encode_end_chunk(520);
    flick_mach3mig_encode_end_glob(520);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t106_switch_tag;

    flick_mach3mig_decode_new_glob(756);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t106_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t106_switch_tag)
      {
      case (unsigned int) 10:
        {
          char _t107_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t107_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t107_switch_tag)
            {
            case '$':
              {
                char _t108_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t108_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t108_switch_tag)
                  {
                  case 't':
                    {
                      char _t109_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t109_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t109_switch_tag)
                        {
                        case 'e':
                          {
                            char _t110_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t110_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t110_switch_tag)
                              {
                              case 's':
                                {
                                  char _t111_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t111_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t111_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t112_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t112_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t112_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t113_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t113_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t113_switch_tag)
                                                {
                                                case 's':
                                                  {
                                                    char _t114_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t114_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t114_switch_tag)
                                                      {
                                                      case 'L':
                                                        {
                                                          char _t115_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t115_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t115_switch_tag)
                                                            {
                                                            case 's':
                                                              {
                                                                char _t116_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t116_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t116_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_ev->_major)
                                                                        {
                                                                        case CORBA_NO_EXCEPTION:
                                                                          {
                                                                            flick_unsigned8_t _t120_array_length;
                                                                            flick_unsigned8_t _t121_array_length;
                                                                            flick_unsigned8_t _t122_array_length;

                                                                            /* Begin decode phase on parameters */
                                                                            flick_mach3mig_decode_new_chunk(660);
                                                                            flick_mach3mig_decode_signed16(0, _return.first);
                                                                            _t120_array_length = 50;
                                                                            flick_mach3mig_array_decode_signed32_type(8, _t120_array_length, 1, _type);
                                                                            flick_mach3mig_array_decode_bcopy(12, _return.data, 4 * _t120_array_length);
                                                                            flick_mach3mig_decode_signed16(212, _return.last);
                                                                            flick_mach3mig_decode_signed16(220, iop->first);
                                                                            _t121_array_length = 50;
                                                                            flick_mach3mig_array_decode_signed32_type(228, _t121_array_length, 1, _type);
                                                                            flick_mach3mig_array_decode_bcopy(232, iop->data, 4 * _t121_array_length);
                                                                            flick_mach3mig_decode_signed16(432, iop->last);
                                                                            flick_mach3mig_decode_signed16(440, outp->first);
                                                                            _t122_array_length = 50;
                                                                            flick_mach3mig_array_decode_signed32_type(448, _t122_array_length, 1, _type);
                                                                            flick_mach3mig_array_decode_bcopy(452, outp->data, 4 * _t122_array_length);
                                                                            flick_mach3mig_decode_signed16(652, outp->last);
                                                                            flick_mach3mig_decode_end_chunk(660);
                                                                            break;
                                                                          }
                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                          {
                                                                            flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(756);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

struct cLCd arrays_test_cLCd(arrays _obj, struct cLCd *inp, struct cLCd *iop, struct cLCd *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  struct cLCd _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_unsigned8_t _t125_array_iter;
    flick_unsigned8_t _t126_array_iter;

    flick_mach3mig_encode_new_glob(1728);
    flick_mach3mig_encode_new_chunk(96);
    flick_mach3mig_encode_unsigned32(0, 10);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 'c');
    flick_mach3mig_encode_char8(56, 'L');
    flick_mach3mig_encode_char8(64, 'C');
    flick_mach3mig_encode_char8(72, 'd');
    flick_mach3mig_encode_char8(80, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_char8(88, inp->first);
    flick_mach3mig_encode_end_chunk(96);
    for (_t125_array_iter = 0; _t125_array_iter < 50; _t125_array_iter++)
      {
        flick_mach3mig_encode_new_chunk(16);
        flick_mach3mig_encode_signed32(0, inp->data[_t125_array_iter].elem1);
        flick_mach3mig_encode_char8(8, inp->data[_t125_array_iter].elem2);
        flick_mach3mig_encode_end_chunk(16);
      }
    flick_mach3mig_encode_new_chunk(20);
    flick_mach3mig_encode_float64(0, inp->last);
    flick_mach3mig_encode_char8(12, iop->first);
    flick_mach3mig_encode_end_chunk(20);
    for (_t126_array_iter = 0; _t126_array_iter < 50; _t126_array_iter++)
      {
        flick_mach3mig_encode_new_chunk(16);
        flick_mach3mig_encode_signed32(0, iop->data[_t126_array_iter].elem1);
        flick_mach3mig_encode_char8(8, iop->data[_t126_array_iter].elem2);
        flick_mach3mig_encode_end_chunk(16);
      }
    flick_mach3mig_encode_new_chunk(12);
    flick_mach3mig_encode_float64(0, iop->last);
    flick_mach3mig_encode_end_chunk(12);
    flick_mach3mig_encode_end_glob(1728);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t151_switch_tag;

    flick_mach3mig_decode_new_glob(2564);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t151_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t151_switch_tag)
      {
      case (unsigned int) 11:
        {
          char _t152_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t152_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t152_switch_tag)
            {
            case '$':
              {
                char _t153_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t153_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t153_switch_tag)
                  {
                  case 't':
                    {
                      char _t154_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t154_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t154_switch_tag)
                        {
                        case 'e':
                          {
                            char _t155_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t155_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t155_switch_tag)
                              {
                              case 's':
                                {
                                  char _t156_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t156_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t156_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t157_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t157_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t157_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t158_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t158_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t158_switch_tag)
                                                {
                                                case 'c':
                                                  {
                                                    char _t159_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t159_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t159_switch_tag)
                                                      {
                                                      case 'L':
                                                        {
                                                          char _t160_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t160_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t160_switch_tag)
                                                            {
                                                            case 'C':
                                                              {
                                                                char _t161_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t161_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t161_switch_tag)
                                                                  {
                                                                  case 'd':
                                                                    {
                                                                      char _t162_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t162_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t162_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_ev->_major)
                                                                              {
                                                                              case CORBA_NO_EXCEPTION:
                                                                                {
                                                                                  flick_unsigned8_t _t169_array_length;
                                                                                  flick_unsigned8_t _t170_array_iter;
                                                                                  flick_unsigned8_t _t171_array_length;
                                                                                  flick_unsigned8_t _t172_array_iter;
                                                                                  flick_unsigned8_t _t173_array_length;
                                                                                  flick_unsigned8_t _t174_array_iter;

                                                                                  /* Begin decode phase on parameters */
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_char8(0, _return.first);
                                                                                  _t169_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  for (_t170_array_iter = 0; _t170_array_iter < _t169_array_length; _t170_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_signed32(0, _return.data[_t170_array_iter].elem1);
                                                                                      flick_mach3mig_decode_char8(8, _return.data[_t170_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(20);
                                                                                  flick_mach3mig_decode_float64(0, _return.last);
                                                                                  flick_mach3mig_decode_char8(12, iop->first);
                                                                                  _t171_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(20);
                                                                                  for (_t172_array_iter = 0; _t172_array_iter < _t171_array_length; _t172_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_signed32(0, iop->data[_t172_array_iter].elem1);
                                                                                      flick_mach3mig_decode_char8(8, iop->data[_t172_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(20);
                                                                                  flick_mach3mig_decode_float64(0, iop->last);
                                                                                  flick_mach3mig_decode_char8(12, outp->first);
                                                                                  _t173_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(20);
                                                                                  for (_t174_array_iter = 0; _t174_array_iter < _t173_array_length; _t174_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_signed32(0, outp->data[_t174_array_iter].elem1);
                                                                                      flick_mach3mig_decode_char8(8, outp->data[_t174_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(12);
                                                                                  flick_mach3mig_decode_float64(0, outp->last);
                                                                                  flick_mach3mig_decode_end_chunk(12);
                                                                                  break;
                                                                                }
                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                {
                                                                                  flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(2564);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

struct dLCc arrays_test_dLCc(arrays _obj, struct dLCc *inp, struct dLCc *iop, struct dLCc *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  struct dLCc _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_unsigned8_t _t177_array_iter;
    flick_unsigned8_t _t178_array_iter;

    flick_mach3mig_encode_new_glob(1728);
    flick_mach3mig_encode_new_chunk(100);
    flick_mach3mig_encode_unsigned32(0, 10);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 'd');
    flick_mach3mig_encode_char8(56, 'L');
    flick_mach3mig_encode_char8(64, 'C');
    flick_mach3mig_encode_char8(72, 'c');
    flick_mach3mig_encode_char8(80, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_float64(88, inp->first);
    flick_mach3mig_encode_end_chunk(100);
    for (_t177_array_iter = 0; _t177_array_iter < 50; _t177_array_iter++)
      {
        flick_mach3mig_encode_new_chunk(16);
        flick_mach3mig_encode_signed32(0, inp->data[_t177_array_iter].elem1);
        flick_mach3mig_encode_char8(8, inp->data[_t177_array_iter].elem2);
        flick_mach3mig_encode_end_chunk(16);
      }
    flick_mach3mig_encode_new_chunk(20);
    flick_mach3mig_encode_char8(0, inp->last);
    flick_mach3mig_encode_float64(8, iop->first);
    flick_mach3mig_encode_end_chunk(20);
    for (_t178_array_iter = 0; _t178_array_iter < 50; _t178_array_iter++)
      {
        flick_mach3mig_encode_new_chunk(16);
        flick_mach3mig_encode_signed32(0, iop->data[_t178_array_iter].elem1);
        flick_mach3mig_encode_char8(8, iop->data[_t178_array_iter].elem2);
        flick_mach3mig_encode_end_chunk(16);
      }
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_char8(0, iop->last);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(1728);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t203_switch_tag;

    flick_mach3mig_decode_new_glob(2564);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t203_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t203_switch_tag)
      {
      case (unsigned int) 11:
        {
          char _t204_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t204_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t204_switch_tag)
            {
            case '$':
              {
                char _t205_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t205_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t205_switch_tag)
                  {
                  case 't':
                    {
                      char _t206_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t206_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t206_switch_tag)
                        {
                        case 'e':
                          {
                            char _t207_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t207_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t207_switch_tag)
                              {
                              case 's':
                                {
                                  char _t208_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t208_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t208_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t209_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t209_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t209_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t210_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t210_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t210_switch_tag)
                                                {
                                                case 'd':
                                                  {
                                                    char _t211_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t211_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t211_switch_tag)
                                                      {
                                                      case 'L':
                                                        {
                                                          char _t212_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t212_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t212_switch_tag)
                                                            {
                                                            case 'C':
                                                              {
                                                                char _t213_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t213_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t213_switch_tag)
                                                                  {
                                                                  case 'c':
                                                                    {
                                                                      char _t214_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t214_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t214_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_ev->_major)
                                                                              {
                                                                              case CORBA_NO_EXCEPTION:
                                                                                {
                                                                                  flick_unsigned8_t _t221_array_length;
                                                                                  flick_unsigned8_t _t222_array_iter;
                                                                                  flick_unsigned8_t _t223_array_length;
                                                                                  flick_unsigned8_t _t224_array_iter;
                                                                                  flick_unsigned8_t _t225_array_length;
                                                                                  flick_unsigned8_t _t226_array_iter;

                                                                                  /* Begin decode phase on parameters */
                                                                                  flick_mach3mig_decode_new_chunk(12);
                                                                                  flick_mach3mig_decode_float64(0, _return.first);
                                                                                  _t221_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(12);
                                                                                  for (_t222_array_iter = 0; _t222_array_iter < _t221_array_length; _t222_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_signed32(0, _return.data[_t222_array_iter].elem1);
                                                                                      flick_mach3mig_decode_char8(8, _return.data[_t222_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(20);
                                                                                  flick_mach3mig_decode_char8(0, _return.last);
                                                                                  flick_mach3mig_decode_float64(8, iop->first);
                                                                                  _t223_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(20);
                                                                                  for (_t224_array_iter = 0; _t224_array_iter < _t223_array_length; _t224_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_signed32(0, iop->data[_t224_array_iter].elem1);
                                                                                      flick_mach3mig_decode_char8(8, iop->data[_t224_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(20);
                                                                                  flick_mach3mig_decode_char8(0, iop->last);
                                                                                  flick_mach3mig_decode_float64(8, outp->first);
                                                                                  _t225_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(20);
                                                                                  for (_t226_array_iter = 0; _t226_array_iter < _t225_array_length; _t226_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_signed32(0, outp->data[_t226_array_iter].elem1);
                                                                                      flick_mach3mig_decode_char8(8, outp->data[_t226_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_char8(0, outp->last);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  break;
                                                                                }
                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                {
                                                                                  flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(2564);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

struct sLCs arrays_test_sLCs(arrays _obj, struct sLCs *inp, struct sLCs *iop, struct sLCs *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  struct sLCs _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_unsigned8_t _t229_array_iter;
    flick_unsigned8_t _t230_array_iter;

    flick_mach3mig_encode_new_glob(1720);
    flick_mach3mig_encode_new_chunk(96);
    flick_mach3mig_encode_unsigned32(0, 10);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 's');
    flick_mach3mig_encode_char8(56, 'L');
    flick_mach3mig_encode_char8(64, 'C');
    flick_mach3mig_encode_char8(72, 's');
    flick_mach3mig_encode_char8(80, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed16(88, inp->first);
    flick_mach3mig_encode_end_chunk(96);
    for (_t229_array_iter = 0; _t229_array_iter < 50; _t229_array_iter++)
      {
        flick_mach3mig_encode_new_chunk(16);
        flick_mach3mig_encode_signed32(0, inp->data[_t229_array_iter].elem1);
        flick_mach3mig_encode_char8(8, inp->data[_t229_array_iter].elem2);
        flick_mach3mig_encode_end_chunk(16);
      }
    flick_mach3mig_encode_new_chunk(16);
    flick_mach3mig_encode_signed16(0, inp->last);
    flick_mach3mig_encode_signed16(8, iop->first);
    flick_mach3mig_encode_end_chunk(16);
    for (_t230_array_iter = 0; _t230_array_iter < 50; _t230_array_iter++)
      {
        flick_mach3mig_encode_new_chunk(16);
        flick_mach3mig_encode_signed32(0, iop->data[_t230_array_iter].elem1);
        flick_mach3mig_encode_char8(8, iop->data[_t230_array_iter].elem2);
        flick_mach3mig_encode_end_chunk(16);
      }
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_signed16(0, iop->last);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(1720);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t255_switch_tag;

    flick_mach3mig_decode_new_glob(2552);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t255_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t255_switch_tag)
      {
      case (unsigned int) 11:
        {
          char _t256_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t256_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t256_switch_tag)
            {
            case '$':
              {
                char _t257_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t257_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t257_switch_tag)
                  {
                  case 't':
                    {
                      char _t258_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t258_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t258_switch_tag)
                        {
                        case 'e':
                          {
                            char _t259_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t259_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t259_switch_tag)
                              {
                              case 's':
                                {
                                  char _t260_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t260_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t260_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t261_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t261_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t261_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t262_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t262_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t262_switch_tag)
                                                {
                                                case 's':
                                                  {
                                                    char _t263_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t263_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t263_switch_tag)
                                                      {
                                                      case 'L':
                                                        {
                                                          char _t264_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t264_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t264_switch_tag)
                                                            {
                                                            case 'C':
                                                              {
                                                                char _t265_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t265_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t265_switch_tag)
                                                                  {
                                                                  case 's':
                                                                    {
                                                                      char _t266_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t266_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t266_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_ev->_major)
                                                                              {
                                                                              case CORBA_NO_EXCEPTION:
                                                                                {
                                                                                  flick_unsigned8_t _t273_array_length;
                                                                                  flick_unsigned8_t _t274_array_iter;
                                                                                  flick_unsigned8_t _t275_array_length;
                                                                                  flick_unsigned8_t _t276_array_iter;
                                                                                  flick_unsigned8_t _t277_array_length;
                                                                                  flick_unsigned8_t _t278_array_iter;

                                                                                  /* Begin decode phase on parameters */
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_signed16(0, _return.first);
                                                                                  _t273_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  for (_t274_array_iter = 0; _t274_array_iter < _t273_array_length; _t274_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_signed32(0, _return.data[_t274_array_iter].elem1);
                                                                                      flick_mach3mig_decode_char8(8, _return.data[_t274_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(16);
                                                                                  flick_mach3mig_decode_signed16(0, _return.last);
                                                                                  flick_mach3mig_decode_signed16(8, iop->first);
                                                                                  _t275_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(16);
                                                                                  for (_t276_array_iter = 0; _t276_array_iter < _t275_array_length; _t276_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_signed32(0, iop->data[_t276_array_iter].elem1);
                                                                                      flick_mach3mig_decode_char8(8, iop->data[_t276_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(16);
                                                                                  flick_mach3mig_decode_signed16(0, iop->last);
                                                                                  flick_mach3mig_decode_signed16(8, outp->first);
                                                                                  _t277_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(16);
                                                                                  for (_t278_array_iter = 0; _t278_array_iter < _t277_array_length; _t278_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_signed32(0, outp->data[_t278_array_iter].elem1);
                                                                                      flick_mach3mig_decode_char8(8, outp->data[_t278_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_signed16(0, outp->last);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  break;
                                                                                }
                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                {
                                                                                  flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(2552);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

struct cCLd arrays_test_cCLd(arrays _obj, struct cCLd *inp, struct cCLd *iop, struct cCLd *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  struct cCLd _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_unsigned8_t _t281_array_iter;
    flick_unsigned8_t _t282_array_iter;

    flick_mach3mig_encode_new_glob(1728);
    flick_mach3mig_encode_new_chunk(96);
    flick_mach3mig_encode_unsigned32(0, 10);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 'c');
    flick_mach3mig_encode_char8(56, 'C');
    flick_mach3mig_encode_char8(64, 'L');
    flick_mach3mig_encode_char8(72, 'd');
    flick_mach3mig_encode_char8(80, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_char8(88, inp->first);
    flick_mach3mig_encode_end_chunk(96);
    for (_t281_array_iter = 0; _t281_array_iter < 50; _t281_array_iter++)
      {
        flick_mach3mig_encode_new_chunk(16);
        flick_mach3mig_encode_char8(0, inp->data[_t281_array_iter].elem1);
        flick_mach3mig_encode_signed32(8, inp->data[_t281_array_iter].elem2);
        flick_mach3mig_encode_end_chunk(16);
      }
    flick_mach3mig_encode_new_chunk(20);
    flick_mach3mig_encode_float64(0, inp->last);
    flick_mach3mig_encode_char8(12, iop->first);
    flick_mach3mig_encode_end_chunk(20);
    for (_t282_array_iter = 0; _t282_array_iter < 50; _t282_array_iter++)
      {
        flick_mach3mig_encode_new_chunk(16);
        flick_mach3mig_encode_char8(0, iop->data[_t282_array_iter].elem1);
        flick_mach3mig_encode_signed32(8, iop->data[_t282_array_iter].elem2);
        flick_mach3mig_encode_end_chunk(16);
      }
    flick_mach3mig_encode_new_chunk(12);
    flick_mach3mig_encode_float64(0, iop->last);
    flick_mach3mig_encode_end_chunk(12);
    flick_mach3mig_encode_end_glob(1728);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t307_switch_tag;

    flick_mach3mig_decode_new_glob(2564);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t307_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t307_switch_tag)
      {
      case (unsigned int) 11:
        {
          char _t308_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t308_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t308_switch_tag)
            {
            case '$':
              {
                char _t309_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t309_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t309_switch_tag)
                  {
                  case 't':
                    {
                      char _t310_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t310_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t310_switch_tag)
                        {
                        case 'e':
                          {
                            char _t311_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t311_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t311_switch_tag)
                              {
                              case 's':
                                {
                                  char _t312_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t312_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t312_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t313_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t313_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t313_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t314_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t314_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t314_switch_tag)
                                                {
                                                case 'c':
                                                  {
                                                    char _t315_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t315_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t315_switch_tag)
                                                      {
                                                      case 'C':
                                                        {
                                                          char _t316_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t316_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t316_switch_tag)
                                                            {
                                                            case 'L':
                                                              {
                                                                char _t317_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t317_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t317_switch_tag)
                                                                  {
                                                                  case 'd':
                                                                    {
                                                                      char _t318_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t318_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t318_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_ev->_major)
                                                                              {
                                                                              case CORBA_NO_EXCEPTION:
                                                                                {
                                                                                  flick_unsigned8_t _t325_array_length;
                                                                                  flick_unsigned8_t _t326_array_iter;
                                                                                  flick_unsigned8_t _t327_array_length;
                                                                                  flick_unsigned8_t _t328_array_iter;
                                                                                  flick_unsigned8_t _t329_array_length;
                                                                                  flick_unsigned8_t _t330_array_iter;

                                                                                  /* Begin decode phase on parameters */
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_char8(0, _return.first);
                                                                                  _t325_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  for (_t326_array_iter = 0; _t326_array_iter < _t325_array_length; _t326_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_char8(0, _return.data[_t326_array_iter].elem1);
                                                                                      flick_mach3mig_decode_signed32(8, _return.data[_t326_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(20);
                                                                                  flick_mach3mig_decode_float64(0, _return.last);
                                                                                  flick_mach3mig_decode_char8(12, iop->first);
                                                                                  _t327_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(20);
                                                                                  for (_t328_array_iter = 0; _t328_array_iter < _t327_array_length; _t328_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_char8(0, iop->data[_t328_array_iter].elem1);
                                                                                      flick_mach3mig_decode_signed32(8, iop->data[_t328_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(20);
                                                                                  flick_mach3mig_decode_float64(0, iop->last);
                                                                                  flick_mach3mig_decode_char8(12, outp->first);
                                                                                  _t329_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(20);
                                                                                  for (_t330_array_iter = 0; _t330_array_iter < _t329_array_length; _t330_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_char8(0, outp->data[_t330_array_iter].elem1);
                                                                                      flick_mach3mig_decode_signed32(8, outp->data[_t330_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(12);
                                                                                  flick_mach3mig_decode_float64(0, outp->last);
                                                                                  flick_mach3mig_decode_end_chunk(12);
                                                                                  break;
                                                                                }
                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                {
                                                                                  flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(2564);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

struct dCLc arrays_test_dCLc(arrays _obj, struct dCLc *inp, struct dCLc *iop, struct dCLc *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  struct dCLc _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_unsigned8_t _t333_array_iter;
    flick_unsigned8_t _t334_array_iter;

    flick_mach3mig_encode_new_glob(1728);
    flick_mach3mig_encode_new_chunk(100);
    flick_mach3mig_encode_unsigned32(0, 10);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 'd');
    flick_mach3mig_encode_char8(56, 'C');
    flick_mach3mig_encode_char8(64, 'L');
    flick_mach3mig_encode_char8(72, 'c');
    flick_mach3mig_encode_char8(80, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_float64(88, inp->first);
    flick_mach3mig_encode_end_chunk(100);
    for (_t333_array_iter = 0; _t333_array_iter < 50; _t333_array_iter++)
      {
        flick_mach3mig_encode_new_chunk(16);
        flick_mach3mig_encode_char8(0, inp->data[_t333_array_iter].elem1);
        flick_mach3mig_encode_signed32(8, inp->data[_t333_array_iter].elem2);
        flick_mach3mig_encode_end_chunk(16);
      }
    flick_mach3mig_encode_new_chunk(20);
    flick_mach3mig_encode_char8(0, inp->last);
    flick_mach3mig_encode_float64(8, iop->first);
    flick_mach3mig_encode_end_chunk(20);
    for (_t334_array_iter = 0; _t334_array_iter < 50; _t334_array_iter++)
      {
        flick_mach3mig_encode_new_chunk(16);
        flick_mach3mig_encode_char8(0, iop->data[_t334_array_iter].elem1);
        flick_mach3mig_encode_signed32(8, iop->data[_t334_array_iter].elem2);
        flick_mach3mig_encode_end_chunk(16);
      }
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_char8(0, iop->last);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(1728);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t359_switch_tag;

    flick_mach3mig_decode_new_glob(2564);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t359_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t359_switch_tag)
      {
      case (unsigned int) 11:
        {
          char _t360_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t360_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t360_switch_tag)
            {
            case '$':
              {
                char _t361_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t361_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t361_switch_tag)
                  {
                  case 't':
                    {
                      char _t362_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t362_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t362_switch_tag)
                        {
                        case 'e':
                          {
                            char _t363_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t363_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t363_switch_tag)
                              {
                              case 's':
                                {
                                  char _t364_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t364_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t364_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t365_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t365_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t365_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t366_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t366_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t366_switch_tag)
                                                {
                                                case 'd':
                                                  {
                                                    char _t367_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t367_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t367_switch_tag)
                                                      {
                                                      case 'C':
                                                        {
                                                          char _t368_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t368_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t368_switch_tag)
                                                            {
                                                            case 'L':
                                                              {
                                                                char _t369_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t369_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t369_switch_tag)
                                                                  {
                                                                  case 'c':
                                                                    {
                                                                      char _t370_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t370_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t370_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_ev->_major)
                                                                              {
                                                                              case CORBA_NO_EXCEPTION:
                                                                                {
                                                                                  flick_unsigned8_t _t377_array_length;
                                                                                  flick_unsigned8_t _t378_array_iter;
                                                                                  flick_unsigned8_t _t379_array_length;
                                                                                  flick_unsigned8_t _t380_array_iter;
                                                                                  flick_unsigned8_t _t381_array_length;
                                                                                  flick_unsigned8_t _t382_array_iter;

                                                                                  /* Begin decode phase on parameters */
                                                                                  flick_mach3mig_decode_new_chunk(12);
                                                                                  flick_mach3mig_decode_float64(0, _return.first);
                                                                                  _t377_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(12);
                                                                                  for (_t378_array_iter = 0; _t378_array_iter < _t377_array_length; _t378_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_char8(0, _return.data[_t378_array_iter].elem1);
                                                                                      flick_mach3mig_decode_signed32(8, _return.data[_t378_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(20);
                                                                                  flick_mach3mig_decode_char8(0, _return.last);
                                                                                  flick_mach3mig_decode_float64(8, iop->first);
                                                                                  _t379_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(20);
                                                                                  for (_t380_array_iter = 0; _t380_array_iter < _t379_array_length; _t380_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_char8(0, iop->data[_t380_array_iter].elem1);
                                                                                      flick_mach3mig_decode_signed32(8, iop->data[_t380_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(20);
                                                                                  flick_mach3mig_decode_char8(0, iop->last);
                                                                                  flick_mach3mig_decode_float64(8, outp->first);
                                                                                  _t381_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(20);
                                                                                  for (_t382_array_iter = 0; _t382_array_iter < _t381_array_length; _t382_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_char8(0, outp->data[_t382_array_iter].elem1);
                                                                                      flick_mach3mig_decode_signed32(8, outp->data[_t382_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_char8(0, outp->last);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  break;
                                                                                }
                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                {
                                                                                  flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(2564);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

struct sCLs arrays_test_sCLs(arrays _obj, struct sCLs *inp, struct sCLs *iop, struct sCLs *outp, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  struct sCLs _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_unsigned8_t _t385_array_iter;
    flick_unsigned8_t _t386_array_iter;

    flick_mach3mig_encode_new_glob(1720);
    flick_mach3mig_encode_new_chunk(96);
    flick_mach3mig_encode_unsigned32(0, 10);
    flick_mach3mig_encode_char8(8, 't');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 's');
    flick_mach3mig_encode_char8(56, 'C');
    flick_mach3mig_encode_char8(64, 'L');
    flick_mach3mig_encode_char8(72, 's');
    flick_mach3mig_encode_char8(80, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed16(88, inp->first);
    flick_mach3mig_encode_end_chunk(96);
    for (_t385_array_iter = 0; _t385_array_iter < 50; _t385_array_iter++)
      {
        flick_mach3mig_encode_new_chunk(16);
        flick_mach3mig_encode_char8(0, inp->data[_t385_array_iter].elem1);
        flick_mach3mig_encode_signed32(8, inp->data[_t385_array_iter].elem2);
        flick_mach3mig_encode_end_chunk(16);
      }
    flick_mach3mig_encode_new_chunk(16);
    flick_mach3mig_encode_signed16(0, inp->last);
    flick_mach3mig_encode_signed16(8, iop->first);
    flick_mach3mig_encode_end_chunk(16);
    for (_t386_array_iter = 0; _t386_array_iter < 50; _t386_array_iter++)
      {
        flick_mach3mig_encode_new_chunk(16);
        flick_mach3mig_encode_char8(0, iop->data[_t386_array_iter].elem1);
        flick_mach3mig_encode_signed32(8, iop->data[_t386_array_iter].elem2);
        flick_mach3mig_encode_end_chunk(16);
      }
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_signed16(0, iop->last);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(1720);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t411_switch_tag;

    flick_mach3mig_decode_new_glob(2552);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t411_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t411_switch_tag)
      {
      case (unsigned int) 11:
        {
          char _t412_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t412_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t412_switch_tag)
            {
            case '$':
              {
                char _t413_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t413_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t413_switch_tag)
                  {
                  case 't':
                    {
                      char _t414_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t414_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t414_switch_tag)
                        {
                        case 'e':
                          {
                            char _t415_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t415_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t415_switch_tag)
                              {
                              case 's':
                                {
                                  char _t416_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t416_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t416_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t417_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t417_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t417_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t418_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t418_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t418_switch_tag)
                                                {
                                                case 's':
                                                  {
                                                    char _t419_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t419_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t419_switch_tag)
                                                      {
                                                      case 'C':
                                                        {
                                                          char _t420_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t420_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t420_switch_tag)
                                                            {
                                                            case 'L':
                                                              {
                                                                char _t421_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t421_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t421_switch_tag)
                                                                  {
                                                                  case 's':
                                                                    {
                                                                      char _t422_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t422_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t422_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_ev->_major)
                                                                              {
                                                                              case CORBA_NO_EXCEPTION:
                                                                                {
                                                                                  flick_unsigned8_t _t429_array_length;
                                                                                  flick_unsigned8_t _t430_array_iter;
                                                                                  flick_unsigned8_t _t431_array_length;
                                                                                  flick_unsigned8_t _t432_array_iter;
                                                                                  flick_unsigned8_t _t433_array_length;
                                                                                  flick_unsigned8_t _t434_array_iter;

                                                                                  /* Begin decode phase on parameters */
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_signed16(0, _return.first);
                                                                                  _t429_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  for (_t430_array_iter = 0; _t430_array_iter < _t429_array_length; _t430_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_char8(0, _return.data[_t430_array_iter].elem1);
                                                                                      flick_mach3mig_decode_signed32(8, _return.data[_t430_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(16);
                                                                                  flick_mach3mig_decode_signed16(0, _return.last);
                                                                                  flick_mach3mig_decode_signed16(8, iop->first);
                                                                                  _t431_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(16);
                                                                                  for (_t432_array_iter = 0; _t432_array_iter < _t431_array_length; _t432_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_char8(0, iop->data[_t432_array_iter].elem1);
                                                                                      flick_mach3mig_decode_signed32(8, iop->data[_t432_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(16);
                                                                                  flick_mach3mig_decode_signed16(0, iop->last);
                                                                                  flick_mach3mig_decode_signed16(8, outp->first);
                                                                                  _t433_array_length = 50;
                                                                                  flick_mach3mig_decode_end_chunk(16);
                                                                                  for (_t434_array_iter = 0; _t434_array_iter < _t433_array_length; _t434_array_iter++)
                                                                                    {
                                                                                      flick_mach3mig_decode_new_chunk(16);
                                                                                      flick_mach3mig_decode_char8(0, outp->data[_t434_array_iter].elem1);
                                                                                      flick_mach3mig_decode_signed32(8, outp->data[_t434_array_iter].elem2);
                                                                                      flick_mach3mig_decode_end_chunk(16);
                                                                                    }
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_signed16(0, outp->last);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  break;
                                                                                }
                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                {
                                                                                  flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(2552);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

