#include "complex-1-client.h"

void flick_marshal_stub_sexnage(flick_marshal_stream_t _stream, const struct sexnage *_data)
{
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(16);
  flick_mach3mig_encode_char8(0, _data->sex);
  flick_mach3mig_encode_float32(8, _data->age);
  flick_mach3mig_encode_end_chunk(16);
  flick_mach3mig_encode_end_glob(16);
}

void flick_unmarshal_stub_sexnage(flick_marshal_stream_t _stream, struct sexnage *_data)
{
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(16);
  flick_mach3mig_decode_char8(0, _data->sex);
  flick_mach3mig_decode_float32(8, _data->age);
  flick_mach3mig_decode_end_chunk(16);
  flick_mach3mig_decode_end_glob(16);
}

void flick_marshal_stub_person(flick_marshal_stream_t _stream, const struct person *_data)
{
  flick_mach3mig_encode_string(_data->name, null_flick_free, mach3mig, 50);
  flick_mach3mig_encode_new_glob(43);
  flick_mach3mig_encode_new_chunk_align(40, 2, 0, 0);
  flick_mach3mig_encode_signed32(0, _data->zip);
  flick_mach3mig_encode_char8(8, _data->a);
  flick_mach3mig_encode_signed32(16, _data->ssn);
  flick_mach3mig_encode_char8(24, _data->sa.sex);
  flick_mach3mig_encode_float32(32, _data->sa.age);
  flick_mach3mig_encode_end_chunk(40);
  flick_mach3mig_encode_end_glob(43);
}

void flick_unmarshal_stub_person(flick_marshal_stream_t _stream, struct person *_data)
{
  flick_mach3mig_decode_string(_data->name, sun_flick_alloc, mach3mig, 50);
  flick_mach3mig_decode_new_glob(43);
  flick_mach3mig_decode_new_chunk_align(40, 2, 0, 0);
  flick_mach3mig_decode_signed32(0, _data->zip);
  flick_mach3mig_decode_char8(8, _data->a);
  flick_mach3mig_decode_signed32(16, _data->ssn);
  flick_mach3mig_decode_char8(24, _data->sa.sex);
  flick_mach3mig_decode_float32(32, _data->sa.age);
  flick_mach3mig_decode_end_chunk(40);
  flick_mach3mig_decode_end_glob(43);
}

void flick_marshal_stub_people(flick_marshal_stream_t _stream, const people *_data)
{
  unsigned long int _t0_array_iter;

  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_unsigned32(0, _data->people_len);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
  for (_t0_array_iter = 0; _t0_array_iter < _data->people_len; _t0_array_iter++)
    {
      flick_mach3mig_encode_string(_data->people_val[_t0_array_iter].name, null_flick_free, mach3mig, 50);
      flick_mach3mig_encode_new_glob(43);
      flick_mach3mig_encode_new_chunk_align(40, 2, 0, 0);
      flick_mach3mig_encode_signed32(0, _data->people_val[_t0_array_iter].zip);
      flick_mach3mig_encode_char8(8, _data->people_val[_t0_array_iter].a);
      flick_mach3mig_encode_signed32(16, _data->people_val[_t0_array_iter].ssn);
      flick_mach3mig_encode_char8(24, _data->people_val[_t0_array_iter].sa.sex);
      flick_mach3mig_encode_float32(32, _data->people_val[_t0_array_iter].sa.age);
      flick_mach3mig_encode_end_chunk(40);
      flick_mach3mig_encode_end_glob(43);
    }
}

void flick_unmarshal_stub_people(flick_marshal_stream_t _stream, people *_data)
{
  unsigned long int _t1_array_iter;

  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_unsigned32(0, _data->people_len);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
  _data->people_val = sun_flick_alloc(_data->people_len * sizeof(struct person ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->people_len; _t1_array_iter++)
    {
      flick_mach3mig_decode_string(_data->people_val[_t1_array_iter].name, sun_flick_alloc, mach3mig, 50);
      flick_mach3mig_decode_new_glob(43);
      flick_mach3mig_decode_new_chunk_align(40, 2, 0, 0);
      flick_mach3mig_decode_signed32(0, _data->people_val[_t1_array_iter].zip);
      flick_mach3mig_decode_char8(8, _data->people_val[_t1_array_iter].a);
      flick_mach3mig_decode_signed32(16, _data->people_val[_t1_array_iter].ssn);
      flick_mach3mig_decode_char8(24, _data->people_val[_t1_array_iter].sa.sex);
      flick_mach3mig_decode_float32(32, _data->people_val[_t1_array_iter].sa.age);
      flick_mach3mig_decode_end_chunk(40);
      flick_mach3mig_decode_end_glob(43);
    }
}

double *op_2(people *arg, CLIENT *_obj)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  double *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    unsigned long int _t3_array_iter;

    _stream->msg_buf->Head.msgh_id = 1;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_glob(8);
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_unsigned32(0, arg->people_len);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
    for (_t3_array_iter = 0; _t3_array_iter < arg->people_len; _t3_array_iter++)
      {
        flick_mach3mig_encode_string(arg->people_val[_t3_array_iter].name, null_flick_free, mach3mig, 50);
        flick_mach3mig_encode_new_glob(43);
        flick_mach3mig_encode_new_chunk_align(40, 2, 0, 0);
        flick_mach3mig_encode_signed32(0, arg->people_val[_t3_array_iter].zip);
        flick_mach3mig_encode_char8(8, arg->people_val[_t3_array_iter].a);
        flick_mach3mig_encode_signed32(16, arg->people_val[_t3_array_iter].ssn);
        flick_mach3mig_encode_char8(24, arg->people_val[_t3_array_iter].sa.sex);
        flick_mach3mig_encode_float32(32, arg->people_val[_t3_array_iter].sa.age);
        flick_mach3mig_encode_end_chunk(40);
        flick_mach3mig_encode_end_glob(43);
      }
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t7_switch_tag;

    flick_mach3mig_decode_new_glob(12);
    _t7_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t7_switch_tag)
      {
      case (signed int) 1025:
        {
          flick_errno = _stream->msg_buf->RetCode;
          switch (flick_errno)
            {
            case 0:
              {
                static double _t9_storage;

                /* Begin decode phase on parameters */
                _return = &_t9_storage;
                flick_mach3mig_decode_new_chunk(12);
                flick_mach3mig_decode_float64(0, *_return);
                flick_mach3mig_decode_end_chunk(12);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(12);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

