#include "mig-arrays-ool-server.h"

boolean_t test_server(mach_msg_header_t *InHeadP, mach_msg_header_t *OutHeadP)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;

  flick_mach3mig_server_start_decode();
  {
    signed int _t12_switch_tag;

    _t12_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t12_switch_tag)
      {
      case (signed int) 234002:
        {
          {
            mach_port_t _local_target;
            t64B _local_foo;
            kern_return_t _return;
            flick_unsigned8_t _t13_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            _t13_array_length = 1;
            flick_mach3mig_array_decode_new_glob(8);
            flick_mach3mig_array_decode_new_chunk(8);
            _t13_array_length = _t13_array_length * 16;
            flick_mach3mig_array_decode_signed32_type(0, _t13_array_length, 0, _type);
            flick_mach3mig_array_decode_unsigned32(4, _local_foo);
            flick_mach3mig_decode_end_chunk(8);
            flick_mach3mig_decode_end_glob(8);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_64_in(_local_target, _local_foo);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(0);
            _stream->msg_buf->Head.msgh_id = 234102;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(0);
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 234003:
        {
          {
            mach_port_t _local_target;
            t128B _local_foo;
            kern_return_t _return;
            flick_unsigned8_t _t14_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            _t14_array_length = 1;
            flick_mach3mig_array_decode_new_glob(8);
            flick_mach3mig_array_decode_new_chunk(8);
            _t14_array_length = _t14_array_length * 32;
            flick_mach3mig_array_decode_signed32_type(0, _t14_array_length, 0, _type);
            flick_mach3mig_array_decode_unsigned32(4, _local_foo);
            flick_mach3mig_decode_end_chunk(8);
            flick_mach3mig_decode_end_glob(8);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_128_in(_local_target, _local_foo);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(0);
            _stream->msg_buf->Head.msgh_id = 234103;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(0);
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 234004:
        {
          {
            mach_port_t _local_target;
            t256B _local_foo;
            kern_return_t _return;
            flick_unsigned8_t _t15_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            _t15_array_length = 1;
            flick_mach3mig_array_decode_new_glob(8);
            flick_mach3mig_array_decode_new_chunk(8);
            _t15_array_length = _t15_array_length * 64;
            flick_mach3mig_array_decode_signed32_type(0, _t15_array_length, 0, _type);
            flick_mach3mig_array_decode_unsigned32(4, _local_foo);
            flick_mach3mig_decode_end_chunk(8);
            flick_mach3mig_decode_end_glob(8);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_256_in(_local_target, _local_foo);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(0);
            _stream->msg_buf->Head.msgh_id = 234104;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(0);
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 234005:
        {
          {
            mach_port_t _local_target;
            t512B _local_foo;
            kern_return_t _return;
            flick_unsigned8_t _t16_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            _t16_array_length = 1;
            flick_mach3mig_array_decode_new_glob(8);
            flick_mach3mig_array_decode_new_chunk(8);
            _t16_array_length = _t16_array_length * 128;
            flick_mach3mig_array_decode_signed32_type(0, _t16_array_length, 0, _type);
            flick_mach3mig_array_decode_unsigned32(4, _local_foo);
            flick_mach3mig_decode_end_chunk(8);
            flick_mach3mig_decode_end_glob(8);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_512_in(_local_target, _local_foo);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(0);
            _stream->msg_buf->Head.msgh_id = 234105;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(0);
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 234006:
        {
          {
            mach_port_t _local_target;
            t1K _local_data;
            kern_return_t _return;
            flick_unsigned8_t _t17_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            _t17_array_length = 1;
            flick_mach3mig_array_decode_new_glob(8);
            flick_mach3mig_array_decode_new_chunk(8);
            _t17_array_length = _t17_array_length * 256;
            flick_mach3mig_array_decode_signed32_type(0, _t17_array_length, 0, _type);
            flick_mach3mig_array_decode_unsigned32(4, _local_data);
            flick_mach3mig_decode_end_chunk(8);
            flick_mach3mig_decode_end_glob(8);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_1K_in(_local_target, _local_data);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(0);
            _stream->msg_buf->Head.msgh_id = 234106;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(0);
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 234007:
        {
          {
            mach_port_t _local_target;
            t2K _local_data;
            kern_return_t _return;
            flick_unsigned8_t _t18_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            _t18_array_length = 1;
            flick_mach3mig_array_decode_new_glob(8);
            flick_mach3mig_array_decode_new_chunk(8);
            _t18_array_length = _t18_array_length * 512;
            flick_mach3mig_array_decode_signed32_type(0, _t18_array_length, 0, _type);
            flick_mach3mig_array_decode_unsigned32(4, _local_data);
            flick_mach3mig_decode_end_chunk(8);
            flick_mach3mig_decode_end_glob(8);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_2K_in(_local_target, _local_data);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(0);
            _stream->msg_buf->Head.msgh_id = 234107;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(0);
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 234008:
        {
          {
            mach_port_t _local_target;
            t4K _local_data;
            kern_return_t _return;
            flick_unsigned8_t _t19_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            _t19_array_length = 1;
            flick_mach3mig_array_decode_new_glob(8);
            flick_mach3mig_array_decode_new_chunk(8);
            _t19_array_length = _t19_array_length * 1024;
            flick_mach3mig_array_decode_signed32_type(0, _t19_array_length, 0, _type);
            flick_mach3mig_array_decode_unsigned32(4, _local_data);
            flick_mach3mig_decode_end_chunk(8);
            flick_mach3mig_decode_end_glob(8);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_4K_in(_local_target, _local_data);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(0);
            _stream->msg_buf->Head.msgh_id = 234108;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(0);
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 234009:
        {
          {
            mach_port_t _local_target;
            t8K _local_data;
            kern_return_t _return;
            flick_unsigned8_t _t20_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            _t20_array_length = 1;
            flick_mach3mig_array_decode_new_glob(8);
            flick_mach3mig_array_decode_new_chunk(8);
            _t20_array_length = _t20_array_length * 2048;
            flick_mach3mig_array_decode_signed32_type(0, _t20_array_length, 0, _type);
            flick_mach3mig_array_decode_unsigned32(4, _local_data);
            flick_mach3mig_decode_end_chunk(8);
            flick_mach3mig_decode_end_glob(8);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_8K_in(_local_target, _local_data);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(0);
            _stream->msg_buf->Head.msgh_id = 234109;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(0);
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 234010:
        {
          {
            mach_port_t _local_target;
            t16K _local_data;
            kern_return_t _return;
            flick_unsigned8_t _t21_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            _t21_array_length = 1;
            flick_mach3mig_array_decode_new_glob(8);
            flick_mach3mig_array_decode_new_chunk(8);
            _t21_array_length = _t21_array_length * 4096;
            flick_mach3mig_array_decode_signed32_type(0, _t21_array_length, 0, _type);
            flick_mach3mig_array_decode_unsigned32(4, _local_data);
            flick_mach3mig_decode_end_chunk(8);
            flick_mach3mig_decode_end_glob(8);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_16K_in(_local_target, _local_data);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(0);
            _stream->msg_buf->Head.msgh_id = 234110;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(0);
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 234011:
        {
          {
            mach_port_t _local_target;
            t32K _local_data;
            kern_return_t _return;
            flick_unsigned8_t _t22_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            _t22_array_length = 1;
            flick_mach3mig_array_decode_new_glob(8);
            flick_mach3mig_array_decode_new_chunk(8);
            _t22_array_length = _t22_array_length * 8192;
            flick_mach3mig_array_decode_signed32_type(0, _t22_array_length, 0, _type);
            flick_mach3mig_array_decode_unsigned32(4, _local_data);
            flick_mach3mig_decode_end_chunk(8);
            flick_mach3mig_decode_end_glob(8);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_32K_in(_local_target, _local_data);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(0);
            _stream->msg_buf->Head.msgh_id = 234111;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(0);
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 234012:
        {
          {
            mach_port_t _local_target;
            t64K _local_data;
            kern_return_t _return;
            flick_unsigned8_t _t23_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            _t23_array_length = 1;
            flick_mach3mig_array_decode_new_glob(8);
            flick_mach3mig_array_decode_new_chunk(8);
            _t23_array_length = _t23_array_length * 16384;
            flick_mach3mig_array_decode_signed32_type(0, _t23_array_length, 0, _type);
            flick_mach3mig_array_decode_unsigned32(4, _local_data);
            flick_mach3mig_decode_end_chunk(8);
            flick_mach3mig_decode_end_glob(8);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_64K_in(_local_target, _local_data);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(0);
            _stream->msg_buf->Head.msgh_id = 234112;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(0);
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_mig_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, mach3mig, mach3mig);
          break;
        }
      }
  }
  return 1;
}
