#include "mig-types-client.h"

kern_return_t snd(mach_port_t target, char _char, byte _byte, bool _bool, shortshort _short8, short _short16, int _int, long int _long, signed int _signed, unsigned int _unsigned, float _float, double _double)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(92);
    _stream->msg_buf->Head.msgh_id = 4440000;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(92);
    flick_mach3mig_encode_char8(0, _char);
    flick_mach3mig_encode_signed8(8, _byte);
    flick_mach3mig_encode_boolean(16, _bool);
    flick_mach3mig_encode_signed8(24, _short8);
    flick_mach3mig_encode_signed16(32, _short16);
    flick_mach3mig_encode_signed32(40, _int);
    flick_mach3mig_encode_signed32(48, _long);
    flick_mach3mig_encode_signed32(56, _signed);
    flick_mach3mig_encode_signed32(64, _unsigned);
    flick_mach3mig_encode_float32(72, _float);
    flick_mach3mig_encode_float64(80, _double);
    flick_mach3mig_encode_end_chunk(92);
    flick_mach3mig_encode_end_glob(92);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t1_switch_tag;

    flick_mach3mig_decode_new_glob(0);
    _t1_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t1_switch_tag)
      {
      case (signed int) 4440100:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(0);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t rcv(mach_port_t target, char *_char, byte *_byte, bool *_bool, shortshort *_short8, short *_short16, int *_int, long int *_long, signed int *_signed, unsigned int *_unsigned, float *_float, double *_double)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(0);
    _stream->msg_buf->Head.msgh_id = 4440001;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_glob(0);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t3_switch_tag;

    flick_mach3mig_decode_new_glob(92);
    _t3_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t3_switch_tag)
      {
      case (signed int) 4440101:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_decode_new_chunk(92);
                flick_mach3mig_decode_char8(0, *_char);
                flick_mach3mig_decode_signed8(8, *_byte);
                flick_mach3mig_decode_boolean(16, *_bool);
                flick_mach3mig_decode_signed8(24, *_short8);
                flick_mach3mig_decode_signed16(32, *_short16);
                flick_mach3mig_decode_signed32(40, *_int);
                flick_mach3mig_decode_signed32(48, *_long);
                flick_mach3mig_decode_signed32(56, *_signed);
                flick_mach3mig_decode_signed32(64, *_unsigned);
                flick_mach3mig_decode_float32(72, *_float);
                flick_mach3mig_decode_float64(80, *_double);
                flick_mach3mig_decode_end_chunk(92);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(92);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t sndArr(mach_port_t target, charA _charA, byteA _byteA, boolA _boolA, shortshortA _short8A, shortA _short16A, intA _intA, longA _longA, signedA _signedA, unsignedA _unsignedA, floatA _floatA, doubleA _doubleA)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    char *_t15_internal;
    byte *_t16_internal;
    bool *_t17_internal;
    shortshort *_t18_internal;
    short *_t19_internal;
    int *_t20_internal;
    long *_t21_internal;
    signed *_t22_internal;
    unsigned *_t23_internal;
    float *_t24_internal;
    double *_t25_internal;

    flick_mach3mig_encode_new_glob(388);
    _stream->msg_buf->Head.msgh_id = 4440002;
    /* Begin encode phase on parameters */
    _t15_internal = (char *)_charA;
    flick_mach3mig_array_encode_new_chunk(388);
    flick_mach3mig_array_encode_char8_type(0, 9, 1, _type);
    flick_mach3mig_array_encode_bcopy(4, _t15_internal, 1 * 9);
    _t16_internal = (byte *)_byteA;
    flick_mach3mig_array_encode_signed8_type(16, 9, 1, _type);
    flick_mach3mig_array_encode_bcopy(20, _t16_internal, 1 * 9);
    _t17_internal = (bool *)_boolA;
    flick_mach3mig_array_encode_boolean_type(32, 9, 1, _type);
    flick_mach3mig_array_encode_bcopy(36, _t17_internal, 4 * 9);
    _t18_internal = (shortshort *)_short8A;
    flick_mach3mig_array_encode_signed8_type(72, 9, 1, _type);
    flick_mach3mig_array_encode_bcopy(76, _t18_internal, 1 * 9);
    _t19_internal = (short *)_short16A;
    flick_mach3mig_array_encode_signed16_type(88, 9, 1, _type);
    flick_mach3mig_array_encode_bcopy(92, _t19_internal, 2 * 9);
    _t20_internal = (int *)_intA;
    flick_mach3mig_array_encode_signed32_type(112, 9, 1, _type);
    flick_mach3mig_array_encode_bcopy(116, _t20_internal, 4 * 9);
    _t21_internal = (long *)_longA;
    flick_mach3mig_array_encode_signed32_type(152, 9, 1, _type);
    flick_mach3mig_array_encode_bcopy(156, _t21_internal, 4 * 9);
    _t22_internal = (signed *)_signedA;
    flick_mach3mig_array_encode_signed32_type(192, 9, 1, _type);
    flick_mach3mig_array_encode_bcopy(196, _t22_internal, 4 * 9);
    _t23_internal = (unsigned *)_unsignedA;
    flick_mach3mig_array_encode_signed32_type(232, 9, 1, _type);
    flick_mach3mig_array_encode_bcopy(236, _t23_internal, 4 * 9);
    _t24_internal = (float *)_floatA;
    flick_mach3mig_array_encode_float32_type(272, 9, 1, _type);
    flick_mach3mig_array_encode_bcopy(276, _t24_internal, 4 * 9);
    _t25_internal = (double *)_doubleA;
    flick_mach3mig_array_encode_float64_type(312, 9, 1, _type);
    flick_mach3mig_array_encode_bcopy(316, _t25_internal, 8 * 9);
    flick_mach3mig_encode_end_chunk(388);
    flick_mach3mig_encode_end_glob(388);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t27_switch_tag;

    flick_mach3mig_decode_new_glob(0);
    _t27_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t27_switch_tag)
      {
      case (signed int) 4440102:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(0);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t rcvArr(mach_port_t target, charA _charA, byteA _byteA, boolA _boolA, shortshortA _short8A, shortA _short16A, intA _intA, longA _longA, signedA _signedA, unsignedA _unsignedA, floatA _floatA, doubleA _doubleA)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  kern_return_t _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(target, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(0);
    _stream->msg_buf->Head.msgh_id = 4440003;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_glob(0);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t73_switch_tag;

    flick_mach3mig_decode_new_glob(388);
    _t73_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t73_switch_tag)
      {
      case (signed int) 4440103:
        {
          _return = _stream->msg_buf->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                char *_t96_internal;
                flick_unsigned8_t _t97_array_length;
                byte *_t98_internal;
                flick_unsigned8_t _t99_array_length;
                bool *_t100_internal;
                flick_unsigned8_t _t101_array_length;
                shortshort *_t102_internal;
                flick_unsigned8_t _t103_array_length;
                short *_t104_internal;
                flick_unsigned8_t _t105_array_length;
                int *_t106_internal;
                flick_unsigned8_t _t107_array_length;
                long *_t108_internal;
                flick_unsigned8_t _t109_array_length;
                signed *_t110_internal;
                flick_unsigned8_t _t111_array_length;
                unsigned *_t112_internal;
                flick_unsigned8_t _t113_array_length;
                float *_t114_internal;
                flick_unsigned8_t _t115_array_length;
                double *_t116_internal;
                flick_unsigned8_t _t117_array_length;

                /* Begin decode phase on parameters */
                _t96_internal = (char *)_charA;
                _t97_array_length = 9;
                flick_mach3mig_array_decode_new_chunk(388);
                flick_mach3mig_array_decode_char8_type(0, _t97_array_length, 1, _type);
                flick_mach3mig_array_decode_bcopy(4, _t96_internal, 1 * _t97_array_length);
                _t98_internal = (byte *)_byteA;
                _t99_array_length = 9;
                flick_mach3mig_array_decode_signed8_type(16, _t99_array_length, 1, _type);
                flick_mach3mig_array_decode_bcopy(20, _t98_internal, 1 * _t99_array_length);
                _t100_internal = (bool *)_boolA;
                _t101_array_length = 9;
                flick_mach3mig_array_decode_boolean_type(32, _t101_array_length, 1, _type);
                flick_mach3mig_array_decode_bcopy(36, _t100_internal, 4 * _t101_array_length);
                _t102_internal = (shortshort *)_short8A;
                _t103_array_length = 9;
                flick_mach3mig_array_decode_signed8_type(72, _t103_array_length, 1, _type);
                flick_mach3mig_array_decode_bcopy(76, _t102_internal, 1 * _t103_array_length);
                _t104_internal = (short *)_short16A;
                _t105_array_length = 9;
                flick_mach3mig_array_decode_signed16_type(88, _t105_array_length, 1, _type);
                flick_mach3mig_array_decode_bcopy(92, _t104_internal, 2 * _t105_array_length);
                _t106_internal = (int *)_intA;
                _t107_array_length = 9;
                flick_mach3mig_array_decode_signed32_type(112, _t107_array_length, 1, _type);
                flick_mach3mig_array_decode_bcopy(116, _t106_internal, 4 * _t107_array_length);
                _t108_internal = (long *)_longA;
                _t109_array_length = 9;
                flick_mach3mig_array_decode_signed32_type(152, _t109_array_length, 1, _type);
                flick_mach3mig_array_decode_bcopy(156, _t108_internal, 4 * _t109_array_length);
                _t110_internal = (signed *)_signedA;
                _t111_array_length = 9;
                flick_mach3mig_array_decode_signed32_type(192, _t111_array_length, 1, _type);
                flick_mach3mig_array_decode_bcopy(196, _t110_internal, 4 * _t111_array_length);
                _t112_internal = (unsigned *)_unsignedA;
                _t113_array_length = 9;
                flick_mach3mig_array_decode_signed32_type(232, _t113_array_length, 1, _type);
                flick_mach3mig_array_decode_bcopy(236, _t112_internal, 4 * _t113_array_length);
                _t114_internal = (float *)_floatA;
                _t115_array_length = 9;
                flick_mach3mig_array_decode_float32_type(272, _t115_array_length, 1, _type);
                flick_mach3mig_array_decode_bcopy(276, _t114_internal, 4 * _t115_array_length);
                _t116_internal = (double *)_doubleA;
                _t117_array_length = 9;
                flick_mach3mig_array_decode_float64_type(312, _t117_array_length, 1, _type);
                flick_mach3mig_array_decode_bcopy(316, _t116_internal, 8 * _t117_array_length);
                flick_mach3mig_decode_end_chunk(388);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(388);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

