#include "optional-2-client.h"

void flick_marshal_stub_foo_opt(flick_marshal_stream_t _stream, const foo_opt *_data)
{
  flick_unsigned8_t _t0_array_len;

  _t0_array_len = *_data != 0;
  flick_mach3mig_encode_new_glob(24);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_boolean(0, _t0_array_len);
  flick_mach3mig_encode_end_chunk(8);
  if (_t0_array_len)
    {
      flick_unsigned8_t _t2_array_len;

      flick_mach3mig_encode_new_chunk(16);
      flick_mach3mig_encode_signed32(0, (*_data)->value);
      _t2_array_len = (*_data)->next != 0;
      flick_mach3mig_encode_boolean(8, _t2_array_len);
      flick_mach3mig_encode_end_chunk(16);
      if (_t2_array_len)
        {
          flick_mach3mig_encode_end_glob(24);
          flick_marshal_stub_foo(_stream, (*_data)->next);
        }
      else
        {
          flick_mach3mig_encode_end_glob(24);
        }
    }
  else
    {
      flick_mach3mig_encode_end_glob(24);
    }
}

void flick_unmarshal_stub_foo_opt(flick_marshal_stream_t _stream, foo_opt *_data)
{
  flick_unsigned8_t _t3_array_len;

  flick_mach3mig_decode_new_glob(24);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_boolean(0, _t3_array_len);
  flick_mach3mig_decode_end_chunk(8);
  if (_t3_array_len)
    {
      flick_unsigned8_t _t5_array_len;

      *_data = sun_flick_alloc(_t3_array_len * sizeof(struct foo ));
      flick_mach3mig_decode_new_chunk(16);
      flick_mach3mig_decode_signed32(0, (*_data)->value);
      flick_mach3mig_decode_boolean(8, _t5_array_len);
      flick_mach3mig_decode_end_chunk(16);
      if (_t5_array_len)
        {
          (*_data)->next = sun_flick_alloc(_t5_array_len * sizeof(struct foo ));
          flick_mach3mig_decode_end_glob(24);
          flick_unmarshal_stub_foo(_stream, (*_data)->next);
        }
      else
        {
          (*_data)->next = 0;
          flick_mach3mig_decode_end_glob(24);
        }
    }
  else
    {
      *_data = 0;
      flick_mach3mig_decode_end_glob(24);
    }
}

void flick_marshal_stub_foo(flick_marshal_stream_t _stream, const struct foo *_data)
{
  flick_unsigned8_t _t6_array_len;

  flick_mach3mig_encode_new_glob(24);
  flick_mach3mig_encode_new_chunk(16);
  flick_mach3mig_encode_signed32(0, _data->value);
  _t6_array_len = _data->next != 0;
  flick_mach3mig_encode_boolean(8, _t6_array_len);
  flick_mach3mig_encode_end_chunk(16);
  if (_t6_array_len)
    {
      flick_mach3mig_encode_new_chunk(8);
      flick_mach3mig_encode_signed32(0, _data->next->value);
      flick_mach3mig_encode_end_chunk(8);
      flick_mach3mig_encode_end_glob(24);
      flick_marshal_stub_foo_opt(_stream, &_data->next->next);
    }
  else
    {
      flick_mach3mig_encode_end_glob(24);
    }
}

void flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  flick_unsigned8_t _t7_array_len;

  flick_mach3mig_decode_new_glob(24);
  flick_mach3mig_decode_new_chunk(16);
  flick_mach3mig_decode_signed32(0, _data->value);
  flick_mach3mig_decode_boolean(8, _t7_array_len);
  flick_mach3mig_decode_end_chunk(16);
  if (_t7_array_len)
    {
      _data->next = sun_flick_alloc(_t7_array_len * sizeof(struct foo ));
      flick_mach3mig_decode_new_chunk(8);
      flick_mach3mig_decode_signed32(0, _data->next->value);
      flick_mach3mig_decode_end_chunk(8);
      flick_mach3mig_decode_end_glob(24);
      flick_unmarshal_stub_foo_opt(_stream, &_data->next->next);
    }
  else
    {
      _data->next = 0;
      flick_mach3mig_decode_end_glob(24);
    }
}

void flick_marshal_stub_foo_array(flick_marshal_stream_t _stream, const foo_array *_data)
{
  flick_unsigned8_t _t11_array_len;

  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_boolean(0, _data->foo_array_len);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(16);
  flick_mach3mig_encode_signed32(0, _data->foo_array_val->value);
  _t11_array_len = _data->foo_array_val->next != 0;
  flick_mach3mig_encode_boolean(8, _t11_array_len);
  flick_mach3mig_encode_end_chunk(16);
  if (_t11_array_len)
    {
      flick_mach3mig_encode_end_glob(16);
      flick_marshal_stub_foo(_stream, _data->foo_array_val->next);
    }
  else
    {
      flick_mach3mig_encode_end_glob(16);
    }
}

void flick_unmarshal_stub_foo_array(flick_marshal_stream_t _stream, foo_array *_data)
{
  flick_unsigned8_t _t15_array_len;

  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_boolean(0, _data->foo_array_len);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
  _data->foo_array_val = sun_flick_alloc(_data->foo_array_len * sizeof(struct foo ));
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(16);
  flick_mach3mig_decode_signed32(0, _data->foo_array_val->value);
  flick_mach3mig_decode_boolean(8, _t15_array_len);
  flick_mach3mig_decode_end_chunk(16);
  if (_t15_array_len)
    {
      _data->foo_array_val->next = sun_flick_alloc(_t15_array_len * sizeof(struct foo ));
      flick_mach3mig_decode_end_glob(16);
      flick_unmarshal_stub_foo(_stream, _data->foo_array_val->next);
    }
  else
    {
      _data->foo_array_val->next = 0;
      flick_mach3mig_decode_end_glob(16);
    }
}

void flick_marshal_stub_foo_union(flick_marshal_stream_t _stream, const struct foo_union *_data)
{
  flick_mach3mig_encode_new_glob(24);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed32(0, _data->present);
  flick_mach3mig_encode_end_chunk(8);
  switch (_data->present)
    {
    case 1:
      {
        flick_unsigned8_t _t17_array_len;

        flick_mach3mig_encode_new_chunk(16);
        flick_mach3mig_encode_signed32(0, _data->foo_union_u.element.value);
        _t17_array_len = _data->foo_union_u.element.next != 0;
        flick_mach3mig_encode_boolean(8, _t17_array_len);
        flick_mach3mig_encode_end_chunk(16);
        if (_t17_array_len)
          {
            flick_mach3mig_encode_end_glob(24);
            flick_marshal_stub_foo(_stream, _data->foo_union_u.element.next);
          }
        else
          {
            flick_mach3mig_encode_end_glob(24);
          }
        break;
      }
    default:
      {
        flick_mach3mig_encode_end_glob(24);
        break;
      }
    }
}

void flick_unmarshal_stub_foo_union(flick_marshal_stream_t _stream, struct foo_union *_data)
{
  flick_mach3mig_decode_new_glob(24);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed32(0, _data->present);
  flick_mach3mig_decode_end_chunk(8);
  switch (_data->present)
    {
    case 1:
      {
        flick_unsigned8_t _t19_array_len;

        flick_mach3mig_decode_new_chunk(16);
        flick_mach3mig_decode_signed32(0, _data->foo_union_u.element.value);
        flick_mach3mig_decode_boolean(8, _t19_array_len);
        flick_mach3mig_decode_end_chunk(16);
        if (_t19_array_len)
          {
            _data->foo_union_u.element.next = sun_flick_alloc(_t19_array_len * sizeof(struct foo ));
            flick_mach3mig_decode_end_glob(24);
            flick_unmarshal_stub_foo(_stream, _data->foo_union_u.element.next);
          }
        else
          {
            _data->foo_union_u.element.next = 0;
            flick_mach3mig_decode_end_glob(24);
          }
        break;
      }
    default:
      {
        flick_mach3mig_decode_end_glob(24);
        break;
      }
    }
}

void flick_marshal_stub_mimsy(flick_marshal_stream_t _stream, const struct mimsy *_data)
{
  flick_mach3mig_array_encode_new_glob(104);
  flick_mach3mig_array_encode_new_chunk(104);
  flick_mach3mig_array_encode_char8_type(0, 100, 1, _type);
  flick_mach3mig_array_encode_bcopy(4, _data->fixed, 1 * 100);
  flick_mach3mig_encode_end_chunk(104);
  flick_mach3mig_encode_end_glob(104);
  flick_mach3mig_encode_string(_data->var, null_flick_free, mach3mig, 100);
  flick_mach3mig_array_encode_new_glob(839);
  flick_mach3mig_array_encode_new_chunk_align(416 + 4 * _data->var_int.var_int_len, 2, 0, 0);
  flick_mach3mig_array_encode_signed32_type(0, 100, 1, _type);
  flick_mach3mig_array_encode_bcopy(4, _data->fixed_int, 4 * 100);
  flick_mach3mig_encode_unsigned32(404, _data->var_int.var_int_len);
  flick_mach3mig_array_encode_signed32_type(412, _data->var_int.var_int_len, 1, _type);
  if (_data->var_int.var_int_len > (unsigned int) 100)
    return MIG_ARRAY_TOO_LARGE;
  flick_mach3mig_array_encode_bcopy(416, _data->var_int.var_int_val, 4 * _data->var_int.var_int_len);
  flick_mach3mig_array_encode_end_chunk(416 + 4 * _data->var_int.var_int_len);
  flick_mach3mig_encode_new_chunk(20);
  flick_mach3mig_encode_unsigned32(0, _data->unb_int.unb_int_len);
  flick_mach3mig_array_encode_signed32_type(8, _data->unb_int.unb_int_len, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(20);
  flick_mach3mig_array_encode_end_glob(839);
  flick_mach3mig_array_encode_new_glob(4 * _data->unb_int.unb_int_len);
  flick_mach3mig_array_encode_new_chunk(4 * _data->unb_int.unb_int_len);
  flick_mach3mig_array_encode_bcopy(0, _data->unb_int.unb_int_val, 4 * _data->unb_int.unb_int_len);
  flick_mach3mig_array_encode_end_chunk(4 * _data->unb_int.unb_int_len);
  flick_mach3mig_array_encode_end_glob(4 * _data->unb_int.unb_int_len);
}

void flick_unmarshal_stub_mimsy(flick_marshal_stream_t _stream, struct mimsy *_data)
{
  flick_unsigned8_t _t20_array_length;
  flick_unsigned8_t _t21_array_length;

  _t20_array_length = 100;
  flick_mach3mig_array_decode_new_glob(104);
  flick_mach3mig_array_decode_new_chunk(104);
  flick_mach3mig_array_decode_char8_type(0, _t20_array_length, 1, _type);
  flick_mach3mig_array_decode_bcopy(4, _data->fixed, 1 * _t20_array_length);
  flick_mach3mig_decode_end_chunk(104);
  flick_mach3mig_decode_end_glob(104);
  flick_mach3mig_decode_string(_data->var, sun_flick_alloc, mach3mig, 100);
  _t21_array_length = 100;
  flick_mach3mig_array_decode_new_glob(839);
  flick_mach3mig_array_decode_new_chunk_align(416, 2, 0, 0);
  flick_mach3mig_array_decode_signed32_type(0, _t21_array_length, 1, _type);
  flick_mach3mig_array_decode_bcopy(4, _data->fixed_int, 4 * _t21_array_length);
  flick_mach3mig_decode_unsigned32(404, _data->var_int.var_int_len);
  flick_mach3mig_array_decode_signed32_type(412, _data->var_int.var_int_len, 1, _type);
  if (_data->var_int.var_int_len > (unsigned int) 100)
    return MIG_ARRAY_TOO_LARGE;
  flick_mach3mig_array_decode_end_chunk(416);
  flick_mach3mig_array_decode_new_chunk(4 * _data->var_int.var_int_len);
  _data->var_int.var_int_val = sun_flick_alloc(_data->var_int.var_int_len * sizeof(int ));
  flick_mach3mig_array_decode_bcopy(0, _data->var_int.var_int_val, 4 * _data->var_int.var_int_len);
  flick_mach3mig_array_decode_end_chunk(4 * _data->var_int.var_int_len);
  flick_mach3mig_decode_new_chunk(20);
  flick_mach3mig_decode_unsigned32(0, _data->unb_int.unb_int_len);
  flick_mach3mig_array_decode_signed32_type(8, _data->unb_int.unb_int_len, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(20);
  flick_mach3mig_array_decode_end_glob(839);
  flick_mach3mig_array_decode_new_glob(4 * _data->unb_int.unb_int_len);
  flick_mach3mig_array_decode_new_chunk(4 * _data->unb_int.unb_int_len);
  _data->unb_int.unb_int_val = sun_flick_alloc(_data->unb_int.unb_int_len * sizeof(int ));
  flick_mach3mig_array_decode_bcopy(0, _data->unb_int.unb_int_val, 4 * _data->unb_int.unb_int_len);
  flick_mach3mig_array_decode_end_chunk(4 * _data->unb_int.unb_int_len);
  flick_mach3mig_array_decode_end_glob(4 * _data->unb_int.unb_int_len);
}

