#include "sequence_-client.h"

void flick_marshal_stub_seq(flick_marshal_stream_t _stream, const seq *_data)
{
  flick_mach3mig_encode_new_glob(52);
  flick_mach3mig_encode_new_chunk(12 + 4 * _data->_length);
  flick_mach3mig_encode_unsigned32(0, _data->_length);
  flick_mach3mig_array_encode_signed32_type(8, _data->_length, 1, _type);
  if (_data->_length > (unsigned int) 10)
    return MIG_ARRAY_TOO_LARGE;
  flick_mach3mig_array_encode_bcopy(12, _data->_buffer, 4 * _data->_length);
  flick_mach3mig_array_encode_end_chunk(12 + 4 * _data->_length);
  flick_mach3mig_encode_end_glob(52);
}

void flick_unmarshal_stub_seq(flick_marshal_stream_t _stream, seq *_data)
{
  flick_mach3mig_decode_new_glob(52);
  flick_mach3mig_decode_new_chunk(12);
  flick_mach3mig_decode_unsigned32(0, _data->_length);
  flick_mach3mig_array_decode_signed32_type(8, _data->_length, 1, _type);
  if (_data->_length > (unsigned int) 10)
    return MIG_ARRAY_TOO_LARGE;
  flick_mach3mig_array_decode_end_chunk(12);
  flick_mach3mig_array_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_mach3mig_array_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_mach3mig_array_decode_end_chunk(4 * _data->_length);
  flick_mach3mig_decode_end_glob(52);
}

void flick_marshal_stub_TestSeq(flick_marshal_stream_t _stream, const TestSeq *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_TestSeq(flick_marshal_stream_t _stream, TestSeq *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

CORBA_short TestSeq_Sequencer(TestSeq _obj, seq *a, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_short _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(140);
    flick_mach3mig_encode_new_chunk(100 + 4 * a->_length);
    flick_mach3mig_encode_unsigned32(0, 10);
    flick_mach3mig_encode_char8(8, 'S');
    flick_mach3mig_encode_char8(16, 'e');
    flick_mach3mig_encode_char8(24, 'q');
    flick_mach3mig_encode_char8(32, 'u');
    flick_mach3mig_encode_char8(40, 'e');
    flick_mach3mig_encode_char8(48, 'n');
    flick_mach3mig_encode_char8(56, 'c');
    flick_mach3mig_encode_char8(64, 'e');
    flick_mach3mig_encode_char8(72, 'r');
    flick_mach3mig_encode_char8(80, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_unsigned32(88, a->_length);
    flick_mach3mig_array_encode_signed32_type(96, a->_length, 1, _type);
    if (a->_length > (unsigned int) 10)
      return MIG_ARRAY_TOO_LARGE;
    flick_mach3mig_array_encode_bcopy(100, a->_buffer, 4 * a->_length);
    flick_mach3mig_array_encode_end_chunk(100 + 4 * a->_length);
    flick_mach3mig_encode_end_glob(140);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t12_switch_tag;

    flick_mach3mig_decode_new_glob(164);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t12_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t12_switch_tag)
      {
      case (unsigned int) 11:
        {
          char _t13_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t13_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t13_switch_tag)
            {
            case '$':
              {
                char _t14_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t14_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t14_switch_tag)
                  {
                  case 'S':
                    {
                      char _t15_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t15_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t15_switch_tag)
                        {
                        case 'e':
                          {
                            char _t16_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t16_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t16_switch_tag)
                              {
                              case 'q':
                                {
                                  char _t17_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t17_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t17_switch_tag)
                                    {
                                    case 'u':
                                      {
                                        char _t18_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t18_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t18_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t19_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t19_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t19_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t20_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t20_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t20_switch_tag)
                                                      {
                                                      case 'c':
                                                        {
                                                          char _t21_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t21_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t21_switch_tag)
                                                            {
                                                            case 'e':
                                                              {
                                                                char _t22_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t22_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t22_switch_tag)
                                                                  {
                                                                  case 'r':
                                                                    {
                                                                      char _t23_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t23_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t23_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_ev->_major)
                                                                              {
                                                                              case CORBA_NO_EXCEPTION:
                                                                                {
                                                                                  /* Begin decode phase on parameters */
                                                                                  flick_mach3mig_decode_new_chunk(20);
                                                                                  flick_mach3mig_decode_signed16(0, _return);
                                                                                  flick_mach3mig_decode_unsigned32(8, a->_length);
                                                                                  flick_mach3mig_array_decode_signed32_type(16, a->_length, 1, _type);
                                                                                  if (a->_length > (unsigned int) 10)
                                                                                    return MIG_ARRAY_TOO_LARGE;
                                                                                  flick_mach3mig_array_decode_end_chunk(20);
                                                                                  flick_mach3mig_array_decode_new_chunk(4 * a->_length);
                                                                                  a->_buffer = CORBA_flick_alloc(a->_length * sizeof(CORBA_long ));
                                                                                  flick_mach3mig_array_decode_bcopy(0, a->_buffer, 4 * a->_length);
                                                                                  flick_mach3mig_array_decode_end_chunk(4 * a->_length);
                                                                                  break;
                                                                                }
                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                {
                                                                                  flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(164);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

