#include "simple-decl-1-client.h"

void flick_marshal_stub_one_of_each(flick_marshal_stream_t _stream, const struct one_of_each *_data)
{
  flick_mach3mig_encode_new_glob(92);
  flick_mach3mig_encode_new_chunk(92);
  flick_mach3mig_encode_boolean(0, _data->my_bool);
  flick_mach3mig_encode_char8(8, _data->my_char);
  flick_mach3mig_encode_char8(16, _data->my_unsigned_char);
  flick_mach3mig_encode_signed32(24, _data->my_int);
  flick_mach3mig_encode_signed16(32, _data->my_short_int);
  flick_mach3mig_encode_signed32(40, _data->my_long_int);
  flick_mach3mig_encode_unsigned32(48, _data->my_unsigned_int);
  flick_mach3mig_encode_unsigned16(56, _data->my_unsigned_short_int);
  flick_mach3mig_encode_unsigned32(64, _data->my_unsigned_long_int);
  flick_mach3mig_encode_float32(72, _data->my_float);
  flick_mach3mig_encode_float64(80, _data->my_double);
  flick_mach3mig_encode_end_chunk(92);
  flick_mach3mig_encode_end_glob(92);
  flick_mach3mig_encode_string(_data->my_bounded_string, null_flick_free, mach3mig, 256);
  flick_mach3mig_encode_longstring(_data->my_unbounded_string, null_flick_free, mach3mig);
  flick_mach3mig_array_encode_new_glob(554);
  flick_mach3mig_array_encode_new_chunk_align(272 + 1 * _data->my_bounded_opaque.my_bounded_opaque_len, 2, 0, 0);
  flick_mach3mig_array_encode_char8_type(0, 256, 1, _type);
  flick_mach3mig_array_encode_bcopy(4, _data->my_fixed_opaque, 1 * 256);
  flick_mach3mig_encode_unsigned32(260, _data->my_bounded_opaque.my_bounded_opaque_len);
  flick_mach3mig_array_encode_char8_type(268, _data->my_bounded_opaque.my_bounded_opaque_len, 1, _type);
  if (_data->my_bounded_opaque.my_bounded_opaque_len > (unsigned int) 256)
    return MIG_ARRAY_TOO_LARGE;
  flick_mach3mig_array_encode_bcopy(272, _data->my_bounded_opaque.my_bounded_opaque_val, 1 * _data->my_bounded_opaque.my_bounded_opaque_len);
  flick_mach3mig_array_encode_end_chunk(272 + 1 * _data->my_bounded_opaque.my_bounded_opaque_len);
  flick_mach3mig_encode_new_chunk_align(20, 2, 0, 0);
  flick_mach3mig_encode_unsigned32(0, _data->my_unbounded_opaque.my_unbounded_opaque_len);
  flick_mach3mig_array_encode_char8_type(8, _data->my_unbounded_opaque.my_unbounded_opaque_len, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(20);
  flick_mach3mig_array_encode_end_glob(554);
  flick_mach3mig_array_encode_new_glob(1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
  flick_mach3mig_array_encode_new_chunk(1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
  flick_mach3mig_array_encode_bcopy(0, _data->my_unbounded_opaque.my_unbounded_opaque_val, 1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
  flick_mach3mig_array_encode_end_chunk(1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
  flick_mach3mig_array_encode_end_glob(1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
  flick_mach3mig_encode_new_glob(3);
  flick_mach3mig_encode_new_chunk_align(0, 2, 0, 0);
  flick_mach3mig_encode_end_chunk(0);
  flick_mach3mig_encode_end_glob(3);
}

void flick_unmarshal_stub_one_of_each(flick_marshal_stream_t _stream, struct one_of_each *_data)
{
  flick_unsigned16_t _t0_array_length;

  flick_mach3mig_decode_new_glob(92);
  flick_mach3mig_decode_new_chunk(92);
  flick_mach3mig_decode_boolean(0, _data->my_bool);
  flick_mach3mig_decode_char8(8, _data->my_char);
  flick_mach3mig_decode_char8(16, _data->my_unsigned_char);
  flick_mach3mig_decode_signed32(24, _data->my_int);
  flick_mach3mig_decode_signed16(32, _data->my_short_int);
  flick_mach3mig_decode_signed32(40, _data->my_long_int);
  flick_mach3mig_decode_unsigned32(48, _data->my_unsigned_int);
  flick_mach3mig_decode_unsigned16(56, _data->my_unsigned_short_int);
  flick_mach3mig_decode_unsigned32(64, _data->my_unsigned_long_int);
  flick_mach3mig_decode_float32(72, _data->my_float);
  flick_mach3mig_decode_float64(80, _data->my_double);
  flick_mach3mig_decode_end_chunk(92);
  flick_mach3mig_decode_end_glob(92);
  flick_mach3mig_decode_string(_data->my_bounded_string, sun_flick_alloc, mach3mig, 256);
  flick_mach3mig_decode_longstring(_data->my_unbounded_string, sun_flick_alloc, mach3mig);
  _t0_array_length = 256;
  flick_mach3mig_array_decode_new_glob(554);
  flick_mach3mig_array_decode_new_chunk_align(272, 2, 0, 0);
  flick_mach3mig_array_decode_char8_type(0, _t0_array_length, 1, _type);
  flick_mach3mig_array_decode_bcopy(4, _data->my_fixed_opaque, 1 * _t0_array_length);
  flick_mach3mig_decode_unsigned32(260, _data->my_bounded_opaque.my_bounded_opaque_len);
  flick_mach3mig_array_decode_char8_type(268, _data->my_bounded_opaque.my_bounded_opaque_len, 1, _type);
  if (_data->my_bounded_opaque.my_bounded_opaque_len > (unsigned int) 256)
    return MIG_ARRAY_TOO_LARGE;
  flick_mach3mig_array_decode_end_chunk(272);
  flick_mach3mig_array_decode_new_chunk(1 * _data->my_bounded_opaque.my_bounded_opaque_len);
  _data->my_bounded_opaque.my_bounded_opaque_val = sun_flick_alloc(_data->my_bounded_opaque.my_bounded_opaque_len * sizeof(char ));
  flick_mach3mig_array_decode_bcopy(0, _data->my_bounded_opaque.my_bounded_opaque_val, 1 * _data->my_bounded_opaque.my_bounded_opaque_len);
  flick_mach3mig_array_decode_end_chunk(1 * _data->my_bounded_opaque.my_bounded_opaque_len);
  flick_mach3mig_decode_new_chunk_align(20, 2, 0, 0);
  flick_mach3mig_decode_unsigned32(0, _data->my_unbounded_opaque.my_unbounded_opaque_len);
  flick_mach3mig_array_decode_char8_type(8, _data->my_unbounded_opaque.my_unbounded_opaque_len, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(20);
  flick_mach3mig_array_decode_end_glob(554);
  flick_mach3mig_array_decode_new_glob(1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
  flick_mach3mig_array_decode_new_chunk(1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
  _data->my_unbounded_opaque.my_unbounded_opaque_val = sun_flick_alloc(_data->my_unbounded_opaque.my_unbounded_opaque_len * sizeof(char ));
  flick_mach3mig_array_decode_bcopy(0, _data->my_unbounded_opaque.my_unbounded_opaque_val, 1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
  flick_mach3mig_array_decode_end_chunk(1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
  flick_mach3mig_array_decode_end_glob(1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
  flick_mach3mig_decode_new_glob(3);
  flick_mach3mig_decode_new_chunk_align(0, 2, 0, 0);
  flick_mach3mig_decode_end_chunk(0);
  flick_mach3mig_decode_end_glob(3);
}

