#include "union-5-client.h"

void flick_marshal_stub_bar(flick_marshal_stream_t _stream, const struct bar *_data)
{
  flick_mach3mig_encode_new_glob(24);
  flick_mach3mig_encode_new_chunk(24);
  flick_mach3mig_encode_signed32(0, _data->slot_1);
  flick_mach3mig_encode_signed32(8, _data->slot_2);
  flick_mach3mig_encode_signed32(16, _data->slot_3);
  flick_mach3mig_encode_end_chunk(24);
  flick_mach3mig_encode_end_glob(24);
}

void flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_mach3mig_decode_new_glob(24);
  flick_mach3mig_decode_new_chunk(24);
  flick_mach3mig_decode_signed32(0, _data->slot_1);
  flick_mach3mig_decode_signed32(8, _data->slot_2);
  flick_mach3mig_decode_signed32(16, _data->slot_3);
  flick_mach3mig_decode_end_chunk(24);
  flick_mach3mig_decode_end_glob(24);
}

void flick_marshal_stub_foo(flick_marshal_stream_t _stream, const struct foo *_data)
{
  flick_mach3mig_encode_new_glob(420);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed32(0, _data->discriminator);
  flick_mach3mig_encode_end_chunk(8);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_mach3mig_encode_new_chunk(12 + 4 * _data->foo_u.one.one_len);
        flick_mach3mig_encode_unsigned32(0, _data->foo_u.one.one_len);
        flick_mach3mig_array_encode_signed32_type(8, _data->foo_u.one.one_len, 1, _type);
        if (_data->foo_u.one.one_len > (unsigned int) 100)
          return MIG_ARRAY_TOO_LARGE;
        flick_mach3mig_array_encode_bcopy(12, _data->foo_u.one.one_val, 4 * _data->foo_u.one.one_len);
        flick_mach3mig_array_encode_end_chunk(12 + 4 * _data->foo_u.one.one_len);
        flick_mach3mig_encode_end_glob(420);
        break;
      }
    case 2:
      {
        flick_mach3mig_encode_end_glob(420);
        flick_mach3mig_encode_longstring(_data->foo_u.two, null_flick_free, mach3mig);
        break;
      }
    case 3:
      {
        flick_mach3mig_encode_new_chunk(24);
        flick_mach3mig_encode_signed32(0, _data->foo_u.three.slot_1);
        flick_mach3mig_encode_signed32(8, _data->foo_u.three.slot_2);
        flick_mach3mig_encode_signed32(16, _data->foo_u.three.slot_3);
        flick_mach3mig_encode_end_chunk(24);
        flick_mach3mig_encode_end_glob(420);
        break;
      }
    default:
      {
        flick_sun_encode_mu_error(return, FLICK_ERROR_STRUCT_UNION, mach3mig, mach3mig);
        flick_mach3mig_encode_end_glob(420);
        break;
      }
    }
}

void flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  flick_mach3mig_decode_new_glob(420);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed32(0, _data->discriminator);
  flick_mach3mig_decode_end_chunk(8);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_mach3mig_decode_new_chunk(12);
        flick_mach3mig_decode_unsigned32(0, _data->foo_u.one.one_len);
        flick_mach3mig_array_decode_signed32_type(8, _data->foo_u.one.one_len, 1, _type);
        if (_data->foo_u.one.one_len > (unsigned int) 100)
          return MIG_ARRAY_TOO_LARGE;
        flick_mach3mig_array_decode_end_chunk(12);
        flick_mach3mig_array_decode_new_chunk(4 * _data->foo_u.one.one_len);
        _data->foo_u.one.one_val = sun_flick_alloc(_data->foo_u.one.one_len * sizeof(int ));
        flick_mach3mig_array_decode_bcopy(0, _data->foo_u.one.one_val, 4 * _data->foo_u.one.one_len);
        flick_mach3mig_array_decode_end_chunk(4 * _data->foo_u.one.one_len);
        flick_mach3mig_decode_end_glob(420);
        break;
      }
    case 2:
      {
        flick_mach3mig_decode_end_glob(420);
        flick_mach3mig_decode_longstring(_data->foo_u.two, sun_flick_alloc, mach3mig);
        break;
      }
    case 3:
      {
        flick_mach3mig_decode_new_chunk(24);
        flick_mach3mig_decode_signed32(0, _data->foo_u.three.slot_1);
        flick_mach3mig_decode_signed32(8, _data->foo_u.three.slot_2);
        flick_mach3mig_decode_signed32(16, _data->foo_u.three.slot_3);
        flick_mach3mig_decode_end_chunk(24);
        flick_mach3mig_decode_end_glob(420);
        break;
      }
    default:
      {
        flick_sun_decode_mu_error(return, FLICK_ERROR_STRUCT_UNION, mach3mig, mach3mig);
        flick_mach3mig_decode_end_glob(420);
        break;
      }
    }
}

struct foo *op_2(struct foo *arg, CLIENT *_obj)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  struct foo *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    _stream->msg_buf->Head.msgh_id = 1;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_glob(420);
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_signed32(0, arg->discriminator);
    flick_mach3mig_encode_end_chunk(8);
    switch (arg->discriminator)
      {
      case 1:
        {
          flick_mach3mig_encode_new_chunk(12 + 4 * arg->foo_u.one.one_len);
          flick_mach3mig_encode_unsigned32(0, arg->foo_u.one.one_len);
          flick_mach3mig_array_encode_signed32_type(8, arg->foo_u.one.one_len, 1, _type);
          if (arg->foo_u.one.one_len > (unsigned int) 100)
            return MIG_ARRAY_TOO_LARGE;
          flick_mach3mig_array_encode_bcopy(12, arg->foo_u.one.one_val, 4 * arg->foo_u.one.one_len);
          flick_mach3mig_array_encode_end_chunk(12 + 4 * arg->foo_u.one.one_len);
          flick_mach3mig_encode_end_glob(420);
          break;
        }
      case 2:
        {
          flick_mach3mig_encode_end_glob(420);
          flick_mach3mig_encode_longstring(arg->foo_u.two, null_flick_free, mach3mig);
          break;
        }
      case 3:
        {
          flick_mach3mig_encode_new_chunk(24);
          flick_mach3mig_encode_signed32(0, arg->foo_u.three.slot_1);
          flick_mach3mig_encode_signed32(8, arg->foo_u.three.slot_2);
          flick_mach3mig_encode_signed32(16, arg->foo_u.three.slot_3);
          flick_mach3mig_encode_end_chunk(24);
          flick_mach3mig_encode_end_glob(420);
          break;
        }
      default:
        {
          flick_sun_encode_client_error(return KERN_FAILURE, FLICK_ERROR_STRUCT_UNION, mach3mig, mach3mig);
          flick_mach3mig_encode_end_glob(420);
          break;
        }
      }
    flick_mach3mig_encode_new_glob(3);
    flick_mach3mig_encode_new_chunk_align(0, 2, 0, 0);
    flick_mach3mig_encode_end_chunk(0);
    flick_mach3mig_encode_end_glob(3);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t3_switch_tag;

    _t3_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t3_switch_tag)
      {
      case (signed int) 1025:
        {
          flick_errno = _stream->msg_buf->RetCode;
          switch (flick_errno)
            {
            case 0:
              {
                static struct foo _t5_storage;

                /* Begin decode phase on parameters */
                _return = &_t5_storage;
                flick_mach3mig_decode_new_glob(420);
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, _return->discriminator);
                flick_mach3mig_decode_end_chunk(8);
                switch (_return->discriminator)
                  {
                  case 1:
                    {
                      flick_mach3mig_decode_new_chunk(12);
                      flick_mach3mig_decode_unsigned32(0, _return->foo_u.one.one_len);
                      flick_mach3mig_array_decode_signed32_type(8, _return->foo_u.one.one_len, 1, _type);
                      if (_return->foo_u.one.one_len > (unsigned int) 100)
                        return MIG_ARRAY_TOO_LARGE;
                      flick_mach3mig_array_decode_end_chunk(12);
                      flick_mach3mig_array_decode_new_chunk(4 * _return->foo_u.one.one_len);
                      _return->foo_u.one.one_val = sun_flick_alloc(_return->foo_u.one.one_len * sizeof(int ));
                      flick_mach3mig_array_decode_bcopy(0, _return->foo_u.one.one_val, 4 * _return->foo_u.one.one_len);
                      flick_mach3mig_array_decode_end_chunk(4 * _return->foo_u.one.one_len);
                      flick_mach3mig_decode_end_glob(420);
                      break;
                    }
                  case 2:
                    {
                      flick_mach3mig_decode_end_glob(420);
                      flick_mach3mig_decode_longstring(_return->foo_u.two, sun_flick_alloc, mach3mig);
                      break;
                    }
                  case 3:
                    {
                      flick_mach3mig_decode_new_chunk(24);
                      flick_mach3mig_decode_signed32(0, _return->foo_u.three.slot_1);
                      flick_mach3mig_decode_signed32(8, _return->foo_u.three.slot_2);
                      flick_mach3mig_decode_signed32(16, _return->foo_u.three.slot_3);
                      flick_mach3mig_decode_end_chunk(24);
                      flick_mach3mig_decode_end_glob(420);
                      break;
                    }
                  default:
                    {
                      flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_STRUCT_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(420);
                      break;
                    }
                  }
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_new_glob(3);
    flick_mach3mig_decode_new_chunk_align(0, 2, 0, 0);
    flick_mach3mig_decode_end_chunk(0);
    flick_mach3mig_decode_end_glob(3);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

