#include "parms-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = parm;
	s.vers_num = one;

	reg_success = flick_server_register(s, &parm_2345);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
flick_operation_success_t parm_2345(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    signed int _t19_switch_tag;

    flick_suntcp_decode_new_glob(28);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_signed32(0, _t19_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t19_switch_tag)
      {
      case (signed int) 0:
        {
          {
            void *_local_arg;
            struct svc_req *_obj;
            void *_return = 0;
            unsigned int _t20_ignore;
            char _t21_storage;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t20_ignore);
            flick_xdr_decode_unsigned32(4, _t20_ignore);
            flick_xdr_decode_unsigned32(8, _t20_ignore);
            flick_xdr_decode_unsigned32(12, _t20_ignore);
            _local_arg = &_t21_storage;
            flick_suntcp_decode_end_chunk(16);
            flick_suntcp_decode_end_glob(28);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = void_test_2345(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(4);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(4);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 1:
        {
          {
            char *_local_arg;
            struct svc_req *_obj;
            char *_return = 0;
            unsigned int _t22_ignore;
            char _t23_storage;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t22_ignore);
            flick_xdr_decode_unsigned32(4, _t22_ignore);
            flick_xdr_decode_unsigned32(8, _t22_ignore);
            flick_xdr_decode_unsigned32(12, _t22_ignore);
            _local_arg = &_t23_storage;
            flick_xdr_decode_char8(16, *_local_arg);
            flick_suntcp_decode_end_chunk(20);
            flick_suntcp_decode_end_glob(28);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = char_test_2345(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_char8(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 2:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t24_ignore;
            int _t25_storage;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t24_ignore);
            flick_xdr_decode_unsigned32(4, _t24_ignore);
            flick_xdr_decode_unsigned32(8, _t24_ignore);
            flick_xdr_decode_unsigned32(12, _t24_ignore);
            _local_arg = &_t25_storage;
            flick_xdr_decode_unsigned8(16, *_local_arg);
            flick_suntcp_decode_end_chunk(20);
            flick_suntcp_decode_end_glob(28);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = bool_test_2345(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_unsigned8(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 3:
        {
          {
            short int *_local_arg;
            struct svc_req *_obj;
            short int *_return = 0;
            unsigned int _t26_ignore;
            short int _t27_storage;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t26_ignore);
            flick_xdr_decode_unsigned32(4, _t26_ignore);
            flick_xdr_decode_unsigned32(8, _t26_ignore);
            flick_xdr_decode_unsigned32(12, _t26_ignore);
            _local_arg = &_t27_storage;
            flick_xdr_decode_signed16(16, *_local_arg);
            flick_suntcp_decode_end_chunk(20);
            flick_suntcp_decode_end_glob(28);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = short_test_2345(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed16(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 4:
        {
          {
            unsigned short int *_local_arg;
            struct svc_req *_obj;
            unsigned short int *_return = 0;
            unsigned int _t28_ignore;
            unsigned short int _t29_storage;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t28_ignore);
            flick_xdr_decode_unsigned32(4, _t28_ignore);
            flick_xdr_decode_unsigned32(8, _t28_ignore);
            flick_xdr_decode_unsigned32(12, _t28_ignore);
            _local_arg = &_t29_storage;
            flick_xdr_decode_unsigned16(16, *_local_arg);
            flick_suntcp_decode_end_chunk(20);
            flick_suntcp_decode_end_glob(28);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = ushort_test_2345(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_unsigned16(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 5:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t30_ignore;
            int _t31_storage;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t30_ignore);
            flick_xdr_decode_unsigned32(4, _t30_ignore);
            flick_xdr_decode_unsigned32(8, _t30_ignore);
            flick_xdr_decode_unsigned32(12, _t30_ignore);
            _local_arg = &_t31_storage;
            flick_xdr_decode_signed32(16, *_local_arg);
            flick_suntcp_decode_end_chunk(20);
            flick_suntcp_decode_end_glob(28);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = long_test_2345(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 6:
        {
          {
            unsigned int *_local_arg;
            struct svc_req *_obj;
            unsigned int *_return = 0;
            unsigned int _t32_ignore;
            unsigned int _t33_storage;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t32_ignore);
            flick_xdr_decode_unsigned32(4, _t32_ignore);
            flick_xdr_decode_unsigned32(8, _t32_ignore);
            flick_xdr_decode_unsigned32(12, _t32_ignore);
            _local_arg = &_t33_storage;
            flick_xdr_decode_unsigned32(16, *_local_arg);
            flick_suntcp_decode_end_chunk(20);
            flick_suntcp_decode_end_glob(28);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = ulong_test_2345(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_unsigned32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 7:
        {
          {
            float *_local_arg;
            struct svc_req *_obj;
            float *_return = 0;
            unsigned int _t34_ignore;
            float _t35_storage;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t34_ignore);
            flick_xdr_decode_unsigned32(4, _t34_ignore);
            flick_xdr_decode_unsigned32(8, _t34_ignore);
            flick_xdr_decode_unsigned32(12, _t34_ignore);
            _local_arg = &_t35_storage;
            flick_xdr_decode_float32(16, *_local_arg);
            flick_suntcp_decode_end_chunk(20);
            flick_suntcp_decode_end_glob(28);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = float_test_2345(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_float32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 8:
        {
          {
            double *_local_arg;
            struct svc_req *_obj;
            double *_return = 0;
            unsigned int _t36_ignore;
            double _t37_storage;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(24);
            flick_xdr_decode_unsigned32(0, _t36_ignore);
            flick_xdr_decode_unsigned32(4, _t36_ignore);
            flick_xdr_decode_unsigned32(8, _t36_ignore);
            flick_xdr_decode_unsigned32(12, _t36_ignore);
            _local_arg = &_t37_storage;
            flick_xdr_decode_float64(16, *_local_arg);
            flick_suntcp_decode_end_chunk(24);
            flick_suntcp_decode_end_glob(28);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = double_test_2345(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(12);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(8);
                  flick_xdr_encode_float64(0, *_return);
                  flick_suntcp_encode_end_chunk(8);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(12);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(28);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
