#include "unionplain_-client.h"

void flick_marshal_stub_Foo(flick_marshal_stream_t _stream, const struct Foo *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->_d);
  flick_suntcp_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->_u.x);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed16(0, _data->_u.y);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    default:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_char8(0, _data->_u.z);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    }
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_Foo(flick_marshal_stream_t _stream, struct Foo *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->_d);
  flick_suntcp_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->_u.x);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed16(0, _data->_u.y);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    default:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_char8(0, _data->_u.z);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    }
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_Foo2(flick_marshal_stream_t _stream, const struct Foo2 *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->_d);
  flick_suntcp_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->_u.x);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    case 'b':
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed16(0, _data->_u.y);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    case 'c':
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_char8(0, _data->_u.z);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    default:
      {
        flick_corba_encode_mu_error(return, FLICK_ERROR_STRUCT_UNION, xdr, suntcp);
        break;
      }
    }
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_Foo2(flick_marshal_stream_t _stream, struct Foo2 *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->_d);
  flick_suntcp_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->_u.x);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    case 'b':
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed16(0, _data->_u.y);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    case 'c':
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_char8(0, _data->_u.z);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    default:
      {
        flick_corba_decode_mu_error(return, FLICK_ERROR_STRUCT_UNION, xdr, suntcp);
        break;
      }
    }
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_Foo3(flick_marshal_stream_t _stream, const struct Foo3 *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->_d);
  flick_suntcp_encode_end_chunk(4);
  switch (_data->_d)
    {
    case -1:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed16(0, _data->_u.a);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    case 50:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->_u.b);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    default:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_char8(0, _data->_u.c);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    }
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_Foo3(flick_marshal_stream_t _stream, struct Foo3 *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->_d);
  flick_suntcp_decode_end_chunk(4);
  switch (_data->_d)
    {
    case -1:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed16(0, _data->_u.a);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    case 50:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->_u.b);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    default:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_char8(0, _data->_u.c);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    }
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_Foo4(flick_marshal_stream_t _stream, const struct Foo4 *_data)
{
  flick_suntcp_encode_new_glob(48);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->_d);
  flick_suntcp_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_suntcp_encode_end_glob(48);
        flick_xdr_encode_longstring(_data->_u.a, null_flick_free, suntcp);
        break;
      }
    case 2:
      {
        unsigned long int _t1_array_iter;

        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_unsigned32(0, _data->_u.b._length);
        flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
        for (_t1_array_iter = 0; _t1_array_iter < _data->_u.b._length; _t1_array_iter++)
          {
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, _data->_u.b._buffer[_t1_array_iter]);
            flick_suntcp_encode_end_chunk(4);
          }
#else /* BIG_ENDIAN - do a bcopy*/
        flick_suntcp_encode_new_chunk(4 * _data->_u.b._length);
        flick_xdr_encode_bcopy(0, _data->_u.b._buffer, 4 * _data->_u.b._length);
        flick_suntcp_encode_end_chunk(4 * _data->_u.b._length);
#endif /* ENDIANness */
        flick_suntcp_encode_end_glob(48);
        break;
      }
    default:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->_u.c);
        flick_suntcp_encode_end_chunk(4);
        flick_suntcp_encode_end_glob(48);
        break;
      }
    }
}

void flick_unmarshal_stub_Foo4(flick_marshal_stream_t _stream, struct Foo4 *_data)
{
  flick_suntcp_decode_new_glob(48);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->_d);
  flick_suntcp_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_suntcp_decode_end_glob(48);
        flick_xdr_decode_longstring(_data->_u.a, CORBA_flick_alloc, suntcp);
        break;
      }
    case 2:
      {
        unsigned long int _t3_array_iter;

        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_unsigned32(0, _data->_u.b._length);
        flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
        _data->_u.b._buffer = CORBA_flick_alloc(_data->_u.b._length * sizeof(CORBA_long ));
        for (_t3_array_iter = 0; _t3_array_iter < _data->_u.b._length; _t3_array_iter++)
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _data->_u.b._buffer[_t3_array_iter]);
            flick_suntcp_decode_end_chunk(4);
          }
#else /* BIG_ENDIAN - do a bcopy*/
        flick_suntcp_decode_new_chunk(4 * _data->_u.b._length);
        _data->_u.b._buffer = CORBA_flick_alloc(_data->_u.b._length * sizeof(CORBA_long ));
        flick_xdr_decode_bcopy(0, _data->_u.b._buffer, 4 * _data->_u.b._length);
        flick_suntcp_decode_end_chunk(4 * _data->_u.b._length);
#endif /* ENDIANness */
        flick_suntcp_decode_end_glob(48);
        break;
      }
    default:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->_u.c);
        flick_suntcp_decode_end_chunk(4);
        flick_suntcp_decode_end_glob(48);
        break;
      }
    }
}

void flick_marshal_stub_un(flick_marshal_stream_t _stream, const un *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_un(flick_marshal_stream_t _stream, un *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

struct Foo un_one(un _obj, struct Foo2 *a, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct Foo _return;

  memset(&_return, 0, sizeof(struct Foo ));
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(44);
    flick_suntcp_encode_new_chunk(40);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'n');
    flick_xdr_encode_char8(12, 'e');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_char8(36, a->_d);
    flick_suntcp_encode_end_chunk(40);
    switch (a->_d)
      {
      case 'a':
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_signed32(0, a->_u.x);
          flick_suntcp_encode_end_chunk(4);
          break;
        }
      case 'b':
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_signed16(0, a->_u.y);
          flick_suntcp_encode_end_chunk(4);
          break;
        }
      case 'c':
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_char8(0, a->_u.z);
          flick_suntcp_encode_end_chunk(4);
          break;
        }
      default:
        {
          flick_corba_encode_client_error(return _return, FLICK_ERROR_STRUCT_UNION, xdr, suntcp);
          break;
        }
      }
    flick_suntcp_encode_end_glob(44);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(12);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return._d);
            flick_suntcp_decode_end_chunk(4);
            switch (_return._d)
              {
              case 1:
                {
                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_signed32(0, _return._u.x);
                  flick_suntcp_decode_end_chunk(4);
                  break;
                }
              case 2:
                {
                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_signed16(0, _return._u.y);
                  flick_suntcp_decode_end_chunk(4);
                  break;
                }
              default:
                {
                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_char8(0, _return._u.z);
                  flick_suntcp_decode_end_chunk(4);
                  break;
                }
              }
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(12);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

struct Foo3 un_two(un _obj, struct Foo4 *a, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct Foo3 _return;

  memset(&_return, 0, sizeof(struct Foo3 ));
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(84);
    flick_suntcp_encode_new_chunk(40);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'w');
    flick_xdr_encode_char8(12, 'o');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_signed32(36, a->_d);
    flick_suntcp_encode_end_chunk(40);
    switch (a->_d)
      {
      case 1:
        {
          flick_suntcp_encode_end_glob(84);
          flick_xdr_encode_longstring(a->_u.a, null_flick_free, suntcp);
          break;
        }
      case 2:
        {
          unsigned long int _t7_array_iter;

          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_unsigned32(0, a->_u.b._length);
          flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
          for (_t7_array_iter = 0; _t7_array_iter < a->_u.b._length; _t7_array_iter++)
            {
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, a->_u.b._buffer[_t7_array_iter]);
              flick_suntcp_encode_end_chunk(4);
            }
#else /* BIG_ENDIAN - do a bcopy*/
          flick_suntcp_encode_new_chunk(4 * a->_u.b._length);
          flick_xdr_encode_bcopy(0, a->_u.b._buffer, 4 * a->_u.b._length);
          flick_suntcp_encode_end_chunk(4 * a->_u.b._length);
#endif /* ENDIANness */
          flick_suntcp_encode_end_glob(84);
          break;
        }
      default:
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_signed32(0, a->_u.c);
          flick_suntcp_encode_end_chunk(4);
          flick_suntcp_encode_end_glob(84);
          break;
        }
      }
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(12);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed16(0, _return._d);
            flick_suntcp_decode_end_chunk(4);
            switch (_return._d)
              {
              case -1:
                {
                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_signed16(0, _return._u.a);
                  flick_suntcp_decode_end_chunk(4);
                  break;
                }
              case 50:
                {
                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_signed32(0, _return._u.b);
                  flick_suntcp_decode_end_chunk(4);
                  break;
                }
              default:
                {
                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_char8(0, _return._u.c);
                  flick_suntcp_decode_end_chunk(4);
                  break;
                }
              }
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(12);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

