#include "arrayez_-server.h"

void flick_marshal_stub_arrays_arr8(flick_marshal_stream_t _stream, const arrays_arr8 *_data)
{
  flick_fluke_encode_new_glob(32);
  flick_fluke_encode_new_chunk(32);
  flick_fluke_encode_bcopy(0, *_data, 4 * 8);
  flick_fluke_encode_end_chunk(32);
  flick_fluke_encode_end_glob(32);
}

void flick_unmarshal_stub_arrays_arr8(flick_marshal_stream_t _stream, arrays_arr8 *_data)
{
  flick_unsigned8_t _t0_array_length;

  _t0_array_length = 8;
  flick_fluke_decode_new_glob(32);
  flick_fluke_decode_new_chunk(32);
  flick_fluke_decode_bcopy(0, *_data, 4 * _t0_array_length);
  flick_fluke_decode_end_chunk(32);
  flick_fluke_decode_end_glob(32);
}

void flick_marshal_stub_arrays_arr256(flick_marshal_stream_t _stream, const arrays_arr256 *_data)
{
  flick_fluke_encode_new_glob(1024);
  flick_fluke_encode_new_chunk(1024);
  flick_fluke_encode_bcopy(0, *_data, 4 * 256);
  flick_fluke_encode_end_chunk(1024);
  flick_fluke_encode_end_glob(1024);
}

void flick_unmarshal_stub_arrays_arr256(flick_marshal_stream_t _stream, arrays_arr256 *_data)
{
  flick_unsigned16_t _t1_array_length;

  _t1_array_length = 256;
  flick_fluke_decode_new_glob(1024);
  flick_fluke_decode_new_chunk(1024);
  flick_fluke_decode_bcopy(0, *_data, 4 * _t1_array_length);
  flick_fluke_decode_end_chunk(1024);
  flick_fluke_decode_end_glob(1024);
}

void flick_marshal_stub_arrays_arr8k(flick_marshal_stream_t _stream, const arrays_arr8k *_data)
{
  flick_fluke_encode_new_glob(4 * 8192);
  flick_fluke_encode_new_chunk(32768);
  flick_fluke_encode_bcopy(0, *_data, 4 * 8192);
  flick_fluke_encode_end_chunk(32768);
  flick_fluke_encode_end_glob(4 * 8192);
}

void flick_unmarshal_stub_arrays_arr8k(flick_marshal_stream_t _stream, arrays_arr8k *_data)
{
  flick_unsigned16_t _t2_array_length;

  _t2_array_length = 8192;
  flick_fluke_decode_new_glob(4 * _t2_array_length);
  flick_fluke_decode_new_chunk(32768);
  flick_fluke_decode_bcopy(0, *_data, 4 * _t2_array_length);
  flick_fluke_decode_end_chunk(32768);
  flick_fluke_decode_end_glob(4 * _t2_array_length);
}

void flick_marshal_stub_arrays(flick_marshal_stream_t _stream, const arrays *_data)
{
}

void flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
}

mom_dispatch_action_t arrays_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t10_switch_tag;

    flick_fluke_decode_new_glob(1028);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t10_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t10_switch_tag)
      {
      case req_arrays_test8:
        {
          {
            arrays *_obj;
            oskit_s32_t *_local_a;
            mom_exc_t *_ev;
            oskit_s32_t _return = 0;
            flick_unsigned8_t _t11_array_length;
            mom_exc_t _t12_storage;

            _obj = (arrays *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _t11_array_length = 8;
            flick_fluke_decode_new_chunk(32);
            flick_fluke_decode_msgptr(0, _local_a);
            _ev = &_t12_storage;
            flick_fluke_decode_end_chunk(32);
            flick_fluke_decode_end_glob(1028);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = arrays_server_test8(_obj, _local_a, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_arrays_test256:
        {
          {
            arrays *_obj;
            oskit_s32_t *_local_a;
            mom_exc_t *_ev;
            oskit_s32_t _return = 0;
            flick_unsigned16_t _t13_array_length;
            mom_exc_t _t14_storage;

            _obj = (arrays *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _t13_array_length = 256;
            flick_fluke_decode_new_chunk(1024);
            flick_fluke_decode_msgptr(0, _local_a);
            _ev = &_t14_storage;
            flick_fluke_decode_end_chunk(1024);
            flick_fluke_decode_end_glob(1028);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = arrays_server_test256(_obj, _local_a, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_arrays_test8k:
        {
          {
            arrays *_obj;
            oskit_s32_t *_local_a;
            mom_exc_t *_ev;
            oskit_s32_t _return = 0;
            flick_unsigned16_t _t15_array_length;
            mom_exc_t _t16_storage;

            _obj = (arrays *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _t15_array_length = 8192;
            flick_fluke_decode_end_glob(1028);
            flick_fluke_decode_new_glob(4 * _t15_array_length);
            flick_fluke_decode_new_chunk(32768);
            flick_fluke_decode_msgptr(0, _local_a);
            flick_fluke_decode_end_chunk(32768);
            flick_fluke_decode_end_glob(4 * _t15_array_length);
            _ev = &_t16_storage;
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = arrays_server_test8k(_obj, _local_a, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(1028);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
