#include "impldef-server.h"

void flick_marshal_stub_CORBA_StringSequence(flick_marshal_stream_t _stream, const CORBA_StringSequence *_data)
{
  unsigned long int _t0_array_iter;

  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_fluke_encode_longstring(_data->_buffer[_t0_array_iter], mom_flick_free, fluke);
    }
  mom_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_CORBA_StringSequence(flick_marshal_stream_t _stream, CORBA_StringSequence *_data)
{
  unsigned long int _t1_array_iter;

  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(char *));
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_fluke_decode_longstring(_data->_buffer[_t1_array_iter], mom_flick_alloc, fluke);
    }
}

void flick_marshal_stub_CORBA_OctetSequence(flick_marshal_stream_t _stream, const CORBA_OctetSequence *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(1 * _data->_length);
  flick_fluke_encode_new_chunk(1 * _data->_length);
  flick_fluke_encode_bcopy(0, _data->_buffer, 1 * _data->_length);
  mom_flick_free(_data->_buffer);
  flick_fluke_encode_end_chunk(1 * _data->_length);
  flick_fluke_encode_end_glob(1 * _data->_length);
}

void flick_unmarshal_stub_CORBA_OctetSequence(flick_marshal_stream_t _stream, CORBA_OctetSequence *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(1 * _data->_length);
  flick_fluke_decode_new_chunk(1 * _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(oskit_u8_t ));
  flick_fluke_decode_bcopy(0, _data->_buffer, 1 * _data->_length);
  flick_fluke_decode_end_chunk(1 * _data->_length);
  flick_fluke_decode_end_glob(1 * _data->_length);
}

void flick_marshal_stub_CORBA_LongSequence(flick_marshal_stream_t _stream, const CORBA_LongSequence *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(4 * _data->_length);
  flick_fluke_encode_new_chunk(4 * _data->_length);
  flick_fluke_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  mom_flick_free(_data->_buffer);
  flick_fluke_encode_end_chunk(4 * _data->_length);
  flick_fluke_encode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_CORBA_LongSequence(flick_marshal_stream_t _stream, CORBA_LongSequence *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(4 * _data->_length);
  flick_fluke_decode_new_chunk(4 * _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(oskit_u8_t ));
  flick_fluke_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_fluke_decode_end_chunk(4 * _data->_length);
  flick_fluke_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_CORBA_ReferenceData(flick_marshal_stream_t _stream, const CORBA_ReferenceData *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(1 * _data->_length);
  flick_fluke_encode_new_chunk(1 * _data->_length);
  flick_fluke_encode_bcopy(0, _data->_buffer, 1 * _data->_length);
  mom_flick_free(_data->_buffer);
  flick_fluke_encode_end_chunk(1 * _data->_length);
  flick_fluke_encode_end_glob(1 * _data->_length);
}

void flick_unmarshal_stub_CORBA_ReferenceData(flick_marshal_stream_t _stream, CORBA_ReferenceData *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(1 * _data->_length);
  flick_fluke_decode_new_chunk(1 * _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(oskit_u8_t ));
  flick_fluke_decode_bcopy(0, _data->_buffer, 1 * _data->_length);
  flick_fluke_decode_end_chunk(1 * _data->_length);
  flick_fluke_decode_end_glob(1 * _data->_length);
}

void flick_marshal_stub_CORBA_ReferenceString(flick_marshal_stream_t _stream, const CORBA_ReferenceString *_data)
{
  unsigned long int _t2_array_iter;

  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  for (_t2_array_iter = 0; _t2_array_iter < _data->_length; _t2_array_iter++)
    {
      flick_fluke_encode_longstring(_data->_buffer[_t2_array_iter], mom_flick_free, fluke);
    }
  mom_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_CORBA_ReferenceString(flick_marshal_stream_t _stream, CORBA_ReferenceString *_data)
{
  unsigned long int _t3_array_iter;

  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(char *));
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_fluke_decode_longstring(_data->_buffer[_t3_array_iter], mom_flick_alloc, fluke);
    }
}

void flick_marshal_stub_CORBA_ReferenceLong(flick_marshal_stream_t _stream, const CORBA_ReferenceLong *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(4 * _data->_length);
  flick_fluke_encode_new_chunk(4 * _data->_length);
  flick_fluke_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  mom_flick_free(_data->_buffer);
  flick_fluke_encode_end_chunk(4 * _data->_length);
  flick_fluke_encode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_CORBA_ReferenceLong(flick_marshal_stream_t _stream, CORBA_ReferenceLong *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(4 * _data->_length);
  flick_fluke_decode_new_chunk(4 * _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(oskit_u8_t ));
  flick_fluke_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_fluke_decode_end_chunk(4 * _data->_length);
  flick_fluke_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_CORBA_ImplementationDef(flick_marshal_stream_t _stream, const CORBA_ImplementationDef *_data)
{
}

void flick_unmarshal_stub_CORBA_ImplementationDef(flick_marshal_stream_t _stream, CORBA_ImplementationDef *_data)
{
}

mom_dispatch_action_t CORBA_ImplementationDef_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t12_switch_tag;

    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t12_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t12_switch_tag)
      {
      case req_ImplementationDef__get_interface_name:
        {
          {
            CORBA_ImplementationDef *_obj;
            mom_exc_t *_ev;
            char *_return = 0;
            mom_exc_t _t13_storage;

            _obj = (CORBA_ImplementationDef *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _ev = &_t13_storage;
            flick_fluke_decode_end_glob(8);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = CORBA_ImplementationDef_server__get_interface_name(_obj, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_end_glob(4);
                  flick_fluke_encode_longstring(_return, mom_flick_free, fluke);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_ImplementationDef__set_interface_name:
        {
          {
            CORBA_ImplementationDef *_obj;
            char *_local_interface_name;
            mom_exc_t *_ev;
            mom_exc_t _t14_storage;

            _obj = (CORBA_ImplementationDef *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_auto_string(_local_interface_name, auto_flick_alloc, fluke);
            _ev = &_t14_storage;
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            CORBA_ImplementationDef_server__set_interface_name(_obj, _local_interface_name, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(4);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_ImplementationDef__get_object_name:
        {
          {
            CORBA_ImplementationDef *_obj;
            mom_exc_t *_ev;
            char *_return = 0;
            mom_exc_t _t15_storage;

            _obj = (CORBA_ImplementationDef *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _ev = &_t15_storage;
            flick_fluke_decode_end_glob(8);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = CORBA_ImplementationDef_server__get_object_name(_obj, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_end_glob(4);
                  flick_fluke_encode_longstring(_return, mom_flick_free, fluke);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_ImplementationDef__set_object_name:
        {
          {
            CORBA_ImplementationDef *_obj;
            char *_local_object_name;
            mom_exc_t *_ev;
            mom_exc_t _t16_storage;

            _obj = (CORBA_ImplementationDef *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_auto_string(_local_object_name, auto_flick_alloc, fluke);
            _ev = &_t16_storage;
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            CORBA_ImplementationDef_server__set_object_name(_obj, _local_object_name, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(4);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_ImplementationDef__get_id:
        {
          {
            CORBA_ImplementationDef *_obj;
            mom_exc_t *_ev;
            CORBA_ReferenceData *_return = 0;
            mom_exc_t _t17_storage;

            _obj = (CORBA_ImplementationDef *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _ev = &_t17_storage;
            flick_fluke_decode_end_glob(8);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = CORBA_ImplementationDef_server__get_id(_obj, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_unsigned32(0, _return->_length);
                  flick_fluke_encode_end_chunk(4);
                  flick_fluke_encode_end_glob(8);
                  flick_fluke_encode_new_glob(1 * _return->_length);
                  flick_fluke_encode_new_chunk(1 * _return->_length);
                  flick_fluke_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                  mom_flick_free(_return->_buffer);
                  flick_fluke_encode_end_chunk(1 * _return->_length);
                  flick_fluke_encode_end_glob(1 * _return->_length);
                  mom_flick_free(_return);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  flick_fluke_encode_end_glob(8);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(8);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_ImplementationDef__set_id:
        {
          {
            CORBA_ImplementationDef *_obj;
            CORBA_ReferenceData *_local_id;
            mom_exc_t *_ev;
            CORBA_ReferenceData _t18_storage;
            mom_exc_t _t19_storage;

            _obj = (CORBA_ImplementationDef *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_id = &_t18_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_id->_length);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(1 * _local_id->_length);
            flick_fluke_decode_new_chunk(1 * _local_id->_length);
            flick_fluke_decode_msgptr(0, _local_id->_buffer);
            flick_fluke_decode_end_chunk(1 * _local_id->_length);
            flick_fluke_decode_end_glob(1 * _local_id->_length);
            _ev = &_t19_storage;
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            CORBA_ImplementationDef_server__set_id(_obj, _local_id, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(4);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(8);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
void flick_marshal_stub_CORBA_Policy(flick_marshal_stream_t _stream, const CORBA_Policy *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, *_data);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_CORBA_Policy(flick_marshal_stream_t _stream, CORBA_Policy *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, *_data);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

void flick_marshal_stub_CORBA_CreationImplDef(flick_marshal_stream_t _stream, const CORBA_CreationImplDef *_data)
{
}

void flick_unmarshal_stub_CORBA_CreationImplDef(flick_marshal_stream_t _stream, CORBA_CreationImplDef *_data)
{
}

mom_dispatch_action_t CORBA_CreationImplDef_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t44_switch_tag;

    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t44_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t44_switch_tag)
      {
      case req_CreationImplDef__get_path_name:
        {
          {
            CORBA_CreationImplDef *_obj;
            mom_exc_t *_ev;
            char *_return = 0;
            mom_exc_t _t45_storage;

            _obj = (CORBA_CreationImplDef *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _ev = &_t45_storage;
            flick_fluke_decode_end_glob(8);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = CORBA_CreationImplDef_server__get_path_name(_obj, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_end_glob(4);
                  flick_fluke_encode_longstring(_return, mom_flick_free, fluke);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_CreationImplDef__set_path_name:
        {
          {
            CORBA_CreationImplDef *_obj;
            char *_local_path_name;
            mom_exc_t *_ev;
            mom_exc_t _t46_storage;

            _obj = (CORBA_CreationImplDef *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_auto_string(_local_path_name, auto_flick_alloc, fluke);
            _ev = &_t46_storage;
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            CORBA_CreationImplDef_server__set_path_name(_obj, _local_path_name, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(4);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_CreationImplDef__get_activation_policy:
        {
          {
            CORBA_CreationImplDef *_obj;
            mom_exc_t *_ev;
            CORBA_Policy _return;
            mom_exc_t _t47_storage;

            _obj = (CORBA_CreationImplDef *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _ev = &_t47_storage;
            flick_fluke_decode_end_glob(8);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = CORBA_CreationImplDef_server__get_activation_policy(_obj, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_unsigned32(0, _return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_CreationImplDef__set_activation_policy:
        {
          {
            CORBA_CreationImplDef *_obj;
            CORBA_Policy _local_activation_policy;
            mom_exc_t *_ev;
            mom_exc_t _t48_storage;

            _obj = (CORBA_CreationImplDef *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_activation_policy);
            _ev = &_t48_storage;
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            CORBA_CreationImplDef_server__set_activation_policy(_obj, _local_activation_policy, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(4);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_CreationImplDef__get_args:
        {
          {
            CORBA_CreationImplDef *_obj;
            mom_exc_t *_ev;
            CORBA_StringSequence *_return = 0;
            mom_exc_t _t49_storage;

            _obj = (CORBA_CreationImplDef *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _ev = &_t49_storage;
            flick_fluke_decode_end_glob(8);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = CORBA_CreationImplDef_server__get_args(_obj, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  unsigned long int _t51_array_iter;

                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_unsigned32(0, _return->_length);
                  flick_fluke_encode_end_chunk(4);
                  flick_fluke_encode_end_glob(8);
                  for (_t51_array_iter = 0; _t51_array_iter < _return->_length; _t51_array_iter++)
                    {
                      flick_fluke_encode_longstring(_return->_buffer[_t51_array_iter], mom_flick_free, fluke);
                    }
                  mom_flick_free(_return->_buffer);
                  mom_flick_free(_return);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  flick_fluke_encode_end_glob(8);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(8);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_CreationImplDef__set_args:
        {
          {
            CORBA_CreationImplDef *_obj;
            CORBA_StringSequence *_local_args;
            mom_exc_t *_ev;
            CORBA_StringSequence _t52_storage;
            unsigned long int _t53_array_iter;
            mom_exc_t _t54_storage;

            _obj = (CORBA_CreationImplDef *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_args = &_t52_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_args->_length);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            _local_args->_buffer = auto_flick_alloc(_local_args->_length * sizeof(char *));
            for (_t53_array_iter = 0; _t53_array_iter < _local_args->_length; _t53_array_iter++)
              {
                flick_fluke_decode_auto_string(_local_args->_buffer[_t53_array_iter], auto_flick_alloc, fluke);
              }
            _ev = &_t54_storage;
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            CORBA_CreationImplDef_server__set_args(_obj, _local_args, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(4);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_CreationImplDef__get_env:
        {
          {
            CORBA_CreationImplDef *_obj;
            mom_exc_t *_ev;
            CORBA_StringSequence *_return = 0;
            mom_exc_t _t55_storage;

            _obj = (CORBA_CreationImplDef *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _ev = &_t55_storage;
            flick_fluke_decode_end_glob(8);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = CORBA_CreationImplDef_server__get_env(_obj, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  unsigned long int _t57_array_iter;

                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_unsigned32(0, _return->_length);
                  flick_fluke_encode_end_chunk(4);
                  flick_fluke_encode_end_glob(8);
                  for (_t57_array_iter = 0; _t57_array_iter < _return->_length; _t57_array_iter++)
                    {
                      flick_fluke_encode_longstring(_return->_buffer[_t57_array_iter], mom_flick_free, fluke);
                    }
                  mom_flick_free(_return->_buffer);
                  mom_flick_free(_return);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  flick_fluke_encode_end_glob(8);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(8);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_CreationImplDef__set_env:
        {
          {
            CORBA_CreationImplDef *_obj;
            CORBA_StringSequence *_local_env;
            mom_exc_t *_ev;
            CORBA_StringSequence _t58_storage;
            unsigned long int _t59_array_iter;
            mom_exc_t _t60_storage;

            _obj = (CORBA_CreationImplDef *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_env = &_t58_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_env->_length);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            _local_env->_buffer = auto_flick_alloc(_local_env->_length * sizeof(char *));
            for (_t59_array_iter = 0; _t59_array_iter < _local_env->_length; _t59_array_iter++)
              {
                flick_fluke_decode_auto_string(_local_env->_buffer[_t59_array_iter], auto_flick_alloc, fluke);
              }
            _ev = &_t60_storage;
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            CORBA_CreationImplDef_server__set_env(_obj, _local_env, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(4);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_ImplementationDef__get_interface_name:
        {
          {
            CORBA_CreationImplDef *_obj;
            mom_exc_t *_ev;
            char *_return = 0;
            mom_exc_t _t61_storage;

            _obj = (CORBA_CreationImplDef *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _ev = &_t61_storage;
            flick_fluke_decode_end_glob(8);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = CORBA_CreationImplDef_server__get_interface_name(_obj, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_end_glob(4);
                  flick_fluke_encode_longstring(_return, mom_flick_free, fluke);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_ImplementationDef__set_interface_name:
        {
          {
            CORBA_CreationImplDef *_obj;
            char *_local_interface_name;
            mom_exc_t *_ev;
            mom_exc_t _t62_storage;

            _obj = (CORBA_CreationImplDef *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_auto_string(_local_interface_name, auto_flick_alloc, fluke);
            _ev = &_t62_storage;
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            CORBA_CreationImplDef_server__set_interface_name(_obj, _local_interface_name, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(4);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_ImplementationDef__get_object_name:
        {
          {
            CORBA_CreationImplDef *_obj;
            mom_exc_t *_ev;
            char *_return = 0;
            mom_exc_t _t63_storage;

            _obj = (CORBA_CreationImplDef *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _ev = &_t63_storage;
            flick_fluke_decode_end_glob(8);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = CORBA_CreationImplDef_server__get_object_name(_obj, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_end_glob(4);
                  flick_fluke_encode_longstring(_return, mom_flick_free, fluke);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_ImplementationDef__set_object_name:
        {
          {
            CORBA_CreationImplDef *_obj;
            char *_local_object_name;
            mom_exc_t *_ev;
            mom_exc_t _t64_storage;

            _obj = (CORBA_CreationImplDef *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_auto_string(_local_object_name, auto_flick_alloc, fluke);
            _ev = &_t64_storage;
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            CORBA_CreationImplDef_server__set_object_name(_obj, _local_object_name, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(4);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_ImplementationDef__get_id:
        {
          {
            CORBA_CreationImplDef *_obj;
            mom_exc_t *_ev;
            CORBA_ReferenceData *_return = 0;
            mom_exc_t _t65_storage;

            _obj = (CORBA_CreationImplDef *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _ev = &_t65_storage;
            flick_fluke_decode_end_glob(8);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = CORBA_CreationImplDef_server__get_id(_obj, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_unsigned32(0, _return->_length);
                  flick_fluke_encode_end_chunk(4);
                  flick_fluke_encode_end_glob(8);
                  flick_fluke_encode_new_glob(1 * _return->_length);
                  flick_fluke_encode_new_chunk(1 * _return->_length);
                  flick_fluke_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                  mom_flick_free(_return->_buffer);
                  flick_fluke_encode_end_chunk(1 * _return->_length);
                  flick_fluke_encode_end_glob(1 * _return->_length);
                  mom_flick_free(_return);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  flick_fluke_encode_end_glob(8);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(8);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_ImplementationDef__set_id:
        {
          {
            CORBA_CreationImplDef *_obj;
            CORBA_ReferenceData *_local_id;
            mom_exc_t *_ev;
            CORBA_ReferenceData _t66_storage;
            mom_exc_t _t67_storage;

            _obj = (CORBA_CreationImplDef *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_id = &_t66_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_id->_length);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(1 * _local_id->_length);
            flick_fluke_decode_new_chunk(1 * _local_id->_length);
            flick_fluke_decode_msgptr(0, _local_id->_buffer);
            flick_fluke_decode_end_chunk(1 * _local_id->_length);
            flick_fluke_decode_end_glob(1 * _local_id->_length);
            _ev = &_t67_storage;
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            CORBA_CreationImplDef_server__set_id(_obj, _local_id, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(4);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(8);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
void flick_marshal_stub_CORBA_Activator(flick_marshal_stream_t _stream, const CORBA_Activator *_data)
{
}

void flick_unmarshal_stub_CORBA_Activator(flick_marshal_stream_t _stream, CORBA_Activator *_data)
{
}

mom_dispatch_action_t CORBA_Activator_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t71_switch_tag;

    flick_fluke_decode_new_glob(12);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t71_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t71_switch_tag)
      {
      case req_Activator_activate:
        {
          {
            CORBA_Activator *_obj;
            mom_ref_t _local_impl;
            mom_exc_t *_ev;
            mom_ref_t _return;
            mom_exc_t _t72_storage;

            _obj = (CORBA_Activator *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_port32(0, _local_impl, 1);
            _ev = &_t72_storage;
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(12);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = CORBA_Activator_server_activate(_obj, _local_impl, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_port32(0, _return, 0);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_Activator_deactivate:
        {
          {
            CORBA_Activator *_obj;
            mom_ref_t _local_obj;
            mom_ref_t _local_impl;
            mom_exc_t *_ev;
            mom_exc_t _t73_storage;

            _obj = (CORBA_Activator *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_port32(0, _local_obj, 1);
            flick_fluke_decode_port32(4, _local_impl, 1);
            _ev = &_t73_storage;
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(12);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            CORBA_Activator_server_deactivate(_obj, _local_obj, _local_impl, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(4);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(12);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
void flick_marshal_stub_CORBA_ActivationImplDef(flick_marshal_stream_t _stream, const CORBA_ActivationImplDef *_data)
{
}

void flick_unmarshal_stub_CORBA_ActivationImplDef(flick_marshal_stream_t _stream, CORBA_ActivationImplDef *_data)
{
}

mom_dispatch_action_t CORBA_ActivationImplDef_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t84_switch_tag;

    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t84_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t84_switch_tag)
      {
      case req_ActivationImplDef__get_activator_obj:
        {
          {
            CORBA_ActivationImplDef *_obj;
            mom_exc_t *_ev;
            mom_ref_t _return;
            mom_exc_t _t85_storage;

            _obj = (CORBA_ActivationImplDef *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _ev = &_t85_storage;
            flick_fluke_decode_end_glob(8);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = CORBA_ActivationImplDef_server__get_activator_obj(_obj, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_port32(0, _return, 0);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_ActivationImplDef__set_activator_obj:
        {
          {
            CORBA_ActivationImplDef *_obj;
            mom_ref_t _local_activator_obj;
            mom_exc_t *_ev;
            mom_exc_t _t86_storage;

            _obj = (CORBA_ActivationImplDef *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_port32(0, _local_activator_obj, 1);
            _ev = &_t86_storage;
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            CORBA_ActivationImplDef_server__set_activator_obj(_obj, _local_activator_obj, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(4);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_ImplementationDef__get_interface_name:
        {
          {
            CORBA_ActivationImplDef *_obj;
            mom_exc_t *_ev;
            char *_return = 0;
            mom_exc_t _t87_storage;

            _obj = (CORBA_ActivationImplDef *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _ev = &_t87_storage;
            flick_fluke_decode_end_glob(8);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = CORBA_ActivationImplDef_server__get_interface_name(_obj, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_end_glob(4);
                  flick_fluke_encode_longstring(_return, mom_flick_free, fluke);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_ImplementationDef__set_interface_name:
        {
          {
            CORBA_ActivationImplDef *_obj;
            char *_local_interface_name;
            mom_exc_t *_ev;
            mom_exc_t _t88_storage;

            _obj = (CORBA_ActivationImplDef *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_auto_string(_local_interface_name, auto_flick_alloc, fluke);
            _ev = &_t88_storage;
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            CORBA_ActivationImplDef_server__set_interface_name(_obj, _local_interface_name, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(4);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_ImplementationDef__get_object_name:
        {
          {
            CORBA_ActivationImplDef *_obj;
            mom_exc_t *_ev;
            char *_return = 0;
            mom_exc_t _t89_storage;

            _obj = (CORBA_ActivationImplDef *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _ev = &_t89_storage;
            flick_fluke_decode_end_glob(8);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = CORBA_ActivationImplDef_server__get_object_name(_obj, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_end_glob(4);
                  flick_fluke_encode_longstring(_return, mom_flick_free, fluke);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_ImplementationDef__set_object_name:
        {
          {
            CORBA_ActivationImplDef *_obj;
            char *_local_object_name;
            mom_exc_t *_ev;
            mom_exc_t _t90_storage;

            _obj = (CORBA_ActivationImplDef *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_auto_string(_local_object_name, auto_flick_alloc, fluke);
            _ev = &_t90_storage;
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            CORBA_ActivationImplDef_server__set_object_name(_obj, _local_object_name, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(4);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_ImplementationDef__get_id:
        {
          {
            CORBA_ActivationImplDef *_obj;
            mom_exc_t *_ev;
            CORBA_ReferenceData *_return = 0;
            mom_exc_t _t91_storage;

            _obj = (CORBA_ActivationImplDef *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _ev = &_t91_storage;
            flick_fluke_decode_end_glob(8);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = CORBA_ActivationImplDef_server__get_id(_obj, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_unsigned32(0, _return->_length);
                  flick_fluke_encode_end_chunk(4);
                  flick_fluke_encode_end_glob(8);
                  flick_fluke_encode_new_glob(1 * _return->_length);
                  flick_fluke_encode_new_chunk(1 * _return->_length);
                  flick_fluke_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                  mom_flick_free(_return->_buffer);
                  flick_fluke_encode_end_chunk(1 * _return->_length);
                  flick_fluke_encode_end_glob(1 * _return->_length);
                  mom_flick_free(_return);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  flick_fluke_encode_end_glob(8);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(8);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_ImplementationDef__set_id:
        {
          {
            CORBA_ActivationImplDef *_obj;
            CORBA_ReferenceData *_local_id;
            mom_exc_t *_ev;
            CORBA_ReferenceData _t92_storage;
            mom_exc_t _t93_storage;

            _obj = (CORBA_ActivationImplDef *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_id = &_t92_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_id->_length);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(1 * _local_id->_length);
            flick_fluke_decode_new_chunk(1 * _local_id->_length);
            flick_fluke_decode_msgptr(0, _local_id->_buffer);
            flick_fluke_decode_end_chunk(1 * _local_id->_length);
            flick_fluke_decode_end_glob(1 * _local_id->_length);
            _ev = &_t93_storage;
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            CORBA_ActivationImplDef_server__set_id(_obj, _local_id, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(4);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(8);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
