#ifndef _interface__server_h_
#define _interface__server_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <flick/pres/mom.h>

#ifndef _typedef___CORBA_sequence_integer
#define _typedef___CORBA_sequence_integer
typedef struct CORBA_sequence_integer {
  unsigned long int _length;
  oskit_s32_t *_buffer;
} CORBA_sequence_integer;
#endif /* _typedef___CORBA_sequence_integer */

#ifndef _typedef___long10
#define _typedef___long10
typedef struct CORBA_sequence_integer long10;
#endif /* _typedef___long10 */

void flick_marshal_stub_long10(flick_marshal_stream_t _stream, const long10 *_data);

void flick_unmarshal_stub_long10(flick_marshal_stream_t _stream, long10 *_data);

#include <fluke/flick.h>

#ifndef _typedef___math
#define _typedef___math
typedef struct math_struct math;
#endif /* _typedef___math */

void flick_marshal_stub_math(flick_marshal_stream_t _stream, const math *_data);

void flick_unmarshal_stub_math(flick_marshal_stream_t _stream, math *_data);

mom_dispatch_action_t math_server(void *_dispatch_object, mom_dispatch_data_t *_dispatch_data);

oskit_s16_t math_server_addshort(math *_obj, oskit_s16_t a, oskit_s16_t b, mom_exc_t *_ev);

oskit_s16_t math_server_subshort(math *_obj, oskit_s16_t a, oskit_s16_t b, mom_exc_t *_ev);

oskit_s16_t math_server_multshort(math *_obj, oskit_s16_t a, oskit_s16_t b, mom_exc_t *_ev);

oskit_s32_t math_server_addlong(math *_obj, oskit_s32_t a, oskit_s32_t b, mom_exc_t *_ev);

oskit_s32_t math_server_sublong(math *_obj, oskit_s32_t a, oskit_s32_t b, mom_exc_t *_ev);

oskit_s32_t math_server_multlong(math *_obj, oskit_s32_t a, oskit_s32_t b, mom_exc_t *_ev);

oskit_s32_t math_server_addlonglist(math *_obj, const long10 *a, mom_exc_t *_ev);

oskit_s32_t math_server_multlonglist(math *_obj, const long10 *a, mom_exc_t *_ev);

#endif /* _interface__server_h_ */
