#include "ttcp-client.h"

void flick_marshal_stub_a(flick_marshal_stream_t _stream, const a *_data)
{
  flick_fluke_encode_new_glob(8);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_signed32(0, _data->xx);
  flick_fluke_encode_signed32(4, _data->yy);
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(8);
}

void flick_unmarshal_stub_a(flick_marshal_stream_t _stream, a *_data)
{
  flick_fluke_decode_new_glob(8);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_signed32(0, _data->xx);
  flick_fluke_decode_signed32(4, _data->yy);
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(8);
}

void flick_marshal_stub_b(flick_marshal_stream_t _stream, const b *_data)
{
  flick_fluke_encode_new_glob(16);
  flick_fluke_encode_new_chunk(16);
  flick_fluke_encode_signed32(0, _data->x.xx);
  flick_fluke_encode_signed32(4, _data->x.yy);
  flick_fluke_encode_signed32(8, _data->y.xx);
  flick_fluke_encode_signed32(12, _data->y.yy);
  flick_fluke_encode_end_chunk(16);
  flick_fluke_encode_end_glob(16);
}

void flick_unmarshal_stub_b(flick_marshal_stream_t _stream, b *_data)
{
  flick_fluke_decode_new_glob(16);
  flick_fluke_decode_new_chunk(16);
  flick_fluke_decode_signed32(0, _data->x.xx);
  flick_fluke_decode_signed32(4, _data->x.yy);
  flick_fluke_decode_signed32(8, _data->y.xx);
  flick_fluke_decode_signed32(12, _data->y.yy);
  flick_fluke_decode_end_chunk(16);
  flick_fluke_decode_end_glob(16);
}

void flick_marshal_stub_structBuffer(flick_marshal_stream_t _stream, const structBuffer *_data)
{
  unsigned long int _t0_array_iter;

  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(16 * _data->_length);
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_fluke_encode_new_chunk(16);
      flick_fluke_encode_signed32(0, _data->_buffer[_t0_array_iter].x.xx);
      flick_fluke_encode_signed32(4, _data->_buffer[_t0_array_iter].x.yy);
      flick_fluke_encode_signed32(8, _data->_buffer[_t0_array_iter].y.xx);
      flick_fluke_encode_signed32(12, _data->_buffer[_t0_array_iter].y.yy);
      flick_fluke_encode_end_chunk(16);
    }
  flick_fluke_encode_end_glob(16 * _data->_length);
}

void flick_unmarshal_stub_structBuffer(flick_marshal_stream_t _stream, structBuffer *_data)
{
  unsigned long int _t1_array_iter;

  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(16 * _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(b ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_fluke_decode_new_chunk(16);
      flick_fluke_decode_signed32(0, _data->_buffer[_t1_array_iter].x.xx);
      flick_fluke_decode_signed32(4, _data->_buffer[_t1_array_iter].x.yy);
      flick_fluke_decode_signed32(8, _data->_buffer[_t1_array_iter].y.xx);
      flick_fluke_decode_signed32(12, _data->_buffer[_t1_array_iter].y.yy);
      flick_fluke_decode_end_chunk(16);
    }
  flick_fluke_decode_end_glob(16 * _data->_length);
}

void flick_marshal_stub_intBuffer(flick_marshal_stream_t _stream, const intBuffer *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(4 * _data->_length);
  flick_fluke_encode_new_chunk(4 * _data->_length);
  flick_fluke_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_fluke_encode_end_chunk(4 * _data->_length);
  flick_fluke_encode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_intBuffer(flick_marshal_stream_t _stream, intBuffer *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(4 * _data->_length);
  flick_fluke_decode_new_chunk(4 * _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(oskit_s32_t ));
  flick_fluke_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_fluke_decode_end_chunk(4 * _data->_length);
  flick_fluke_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_useless(flick_marshal_stream_t _stream, const useless *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->baloney);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_useless(flick_marshal_stream_t _stream, useless *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->baloney);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

oskit_s32_t ttcp_inttest(mom_ref_t _obj, const intBuffer *data, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_ttcp_inttest);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, data->_length);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
    flick_fluke_encode_new_glob(4 * data->_length);
    flick_fluke_encode_new_chunk(4 * data->_length);
    flick_fluke_encode_bcopy(0, data->_buffer, 4 * data->_length);
    flick_fluke_encode_end_chunk(4 * data->_length);
    flick_fluke_encode_end_glob(4 * data->_length);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, _return);
          flick_fluke_decode_end_chunk(4);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          switch (_ev->_type)
            {
            case exc_useless:
              {
                (useless *)(_ev->_except) = mom_flick_alloc(sizeof(useless ));
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, ((useless *)(_ev->_except))->baloney);
                flick_fluke_decode_end_chunk(4);
                break;
              }
            default:
              {
                flick_mom_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, fluke, fluke);
                break;
              }
            }
        }
      }
    flick_fluke_decode_end_glob(8);
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_s32_t ttcp_structtest(mom_ref_t _obj, const structBuffer *data, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    unsigned long int _t3_array_iter;

    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_ttcp_structtest);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, data->_length);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
    flick_fluke_encode_new_glob(16 * data->_length);
    for (_t3_array_iter = 0; _t3_array_iter < data->_length; _t3_array_iter++)
      {
        flick_fluke_encode_new_chunk(16);
        flick_fluke_encode_signed32(0, data->_buffer[_t3_array_iter].x.xx);
        flick_fluke_encode_signed32(4, data->_buffer[_t3_array_iter].x.yy);
        flick_fluke_encode_signed32(8, data->_buffer[_t3_array_iter].y.xx);
        flick_fluke_encode_signed32(12, data->_buffer[_t3_array_iter].y.yy);
        flick_fluke_encode_end_chunk(16);
      }
    flick_fluke_encode_end_glob(16 * data->_length);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, _return);
          flick_fluke_decode_end_chunk(4);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          switch (_ev->_type)
            {
            case exc_useless:
              {
                (useless *)(_ev->_except) = mom_flick_alloc(sizeof(useless ));
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, ((useless *)(_ev->_except))->baloney);
                flick_fluke_decode_end_chunk(4);
                break;
              }
            default:
              {
                flick_mom_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, fluke, fluke);
                break;
              }
            }
        }
      }
    flick_fluke_decode_end_glob(8);
  }
  flick_fluke_client_end_decode();
  return _return;
}

