#ifndef _turtle_client_server_h_
#define _turtle_client_server_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <flick/pres/mom.h>

#include <fluke/flick.h>

#ifndef _typedef___Client
#define _typedef___Client
typedef struct Client_struct Client;
#endif /* _typedef___Client */

void flick_marshal_stub_Client(flick_marshal_stream_t _stream, const Client *_data);

void flick_unmarshal_stub_Client(flick_marshal_stream_t _stream, Client *_data);

mom_dispatch_action_t Client_server(void *_dispatch_object, mom_dispatch_data_t *_dispatch_data);

oskit_s32_t Client_server_SetLeft(Client *_obj, oskit_s32_t speed, mom_exc_t *_ev);

oskit_s32_t Client_server_SetRight(Client *_obj, oskit_s32_t speed, mom_exc_t *_ev);

oskit_s32_t Client_server_GetButton(Client *_obj, mom_exc_t *_ev);

oskit_s32_t Client_server_GetPhoto(Client *_obj, mom_exc_t *_ev);

#endif /* _turtle_client_server_h_ */
