#include "union-4-client.h"

void flick_marshal_stub_foo(flick_marshal_stream_t _stream, const struct foo *_data)
{
  flick_fluke_encode_new_glob(8);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->discriminator);
  flick_fluke_encode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, _data->foo_u.one);
        flick_fluke_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, _data->foo_u.two);
        flick_fluke_encode_end_chunk(4);
        break;
      }
    case 3:
      {
        break;
      }
    default:
      {
        break;
      }
    }
  flick_fluke_encode_end_glob(8);
}

void flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  flick_fluke_decode_new_glob(8);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->discriminator);
  flick_fluke_decode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_fluke_decode_new_chunk(4);
        flick_fluke_decode_signed32(0, _data->foo_u.one);
        flick_fluke_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_fluke_decode_new_chunk(4);
        flick_fluke_decode_signed32(0, _data->foo_u.two);
        flick_fluke_decode_end_chunk(4);
        break;
      }
    case 3:
      {
        break;
      }
    default:
      {
        break;
      }
    }
  flick_fluke_decode_end_glob(8);
}

struct foo *op_2(struct foo *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  struct foo *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, 1);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, arg->discriminator);
    flick_fluke_encode_end_chunk(8);
    switch (arg->discriminator)
      {
      case 1:
        {
          flick_fluke_encode_new_chunk(4);
          flick_fluke_encode_signed32(0, arg->foo_u.one);
          flick_fluke_encode_end_chunk(4);
          break;
        }
      case 2:
        {
          flick_fluke_encode_new_chunk(4);
          flick_fluke_encode_signed32(0, arg->foo_u.two);
          flick_fluke_encode_end_chunk(4);
          break;
        }
      case 3:
        {
          break;
        }
      default:
        {
          break;
        }
      }
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(12);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static struct foo _t1_storage;

          /* Begin decode phase on parameters */
          _return = &_t1_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, _return->discriminator);
          flick_fluke_decode_end_chunk(4);
          switch (_return->discriminator)
            {
            case 1:
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, _return->foo_u.one);
                flick_fluke_decode_end_chunk(4);
                break;
              }
            case 2:
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, _return->foo_u.two);
                flick_fluke_decode_end_chunk(4);
                break;
              }
            case 3:
              {
                break;
              }
            default:
              {
                break;
              }
            }
          break;
        }
      case -1:
        {
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(12);
  }
  flick_fluke_client_end_decode();
  return _return;
}

