#include "union-client.h"

void flick_marshal_stub_Bar(flick_marshal_stream_t _stream, const Bar *_data)
{
  flick_fluke_encode_new_glob(5);
  flick_fluke_encode_new_chunk(5);
  flick_fluke_encode_signed32(0, _data->b1);
  flick_fluke_encode_char8(4, _data->b2);
  flick_fluke_encode_end_chunk(5);
  flick_fluke_encode_end_glob(5);
}

void flick_unmarshal_stub_Bar(flick_marshal_stream_t _stream, Bar *_data)
{
  flick_fluke_decode_new_glob(5);
  flick_fluke_decode_new_chunk(5);
  flick_fluke_decode_signed32(0, _data->b1);
  flick_fluke_decode_char8(4, _data->b2);
  flick_fluke_decode_end_chunk(5);
  flick_fluke_decode_end_glob(5);
}

void flick_marshal_stub_Foo(flick_marshal_stream_t _stream, const Foo *_data)
{
  flick_fluke_encode_new_glob(9);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->_d);
  flick_fluke_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, _data->_u.x);
        flick_fluke_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_fluke_encode_new_chunk(5);
        flick_fluke_encode_signed32(0, _data->_u.y.b1);
        flick_fluke_encode_char8(4, _data->_u.y.b2);
        flick_fluke_encode_end_chunk(5);
        break;
      }
    default:
      {
        flick_fluke_encode_new_chunk(1);
        flick_fluke_encode_char8(0, _data->_u.z);
        flick_fluke_encode_end_chunk(1);
        break;
      }
    }
  flick_fluke_encode_end_glob(9);
}

void flick_unmarshal_stub_Foo(flick_marshal_stream_t _stream, Foo *_data)
{
  flick_fluke_decode_new_glob(9);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->_d);
  flick_fluke_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_fluke_decode_new_chunk(4);
        flick_fluke_decode_signed32(0, _data->_u.x);
        flick_fluke_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_fluke_decode_new_chunk(5);
        flick_fluke_decode_signed32(0, _data->_u.y.b1);
        flick_fluke_decode_char8(4, _data->_u.y.b2);
        flick_fluke_decode_end_chunk(5);
        break;
      }
    default:
      {
        flick_fluke_decode_new_chunk(1);
        flick_fluke_decode_char8(0, _data->_u.z);
        flick_fluke_decode_end_chunk(1);
        break;
      }
    }
  flick_fluke_decode_end_glob(9);
}

void flick_marshal_stub_Foo2(flick_marshal_stream_t _stream, const Foo2 *_data)
{
  flick_fluke_encode_new_glob(13);
  flick_fluke_encode_new_chunk(1);
  flick_fluke_encode_char8(0, _data->_d);
  flick_fluke_encode_end_chunk(1);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_fluke_encode_new_chunk(7);
        flick_fluke_encode_signed32(3, _data->_u.x);
        flick_fluke_encode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_fluke_encode_new_chunk(7);
        flick_fluke_encode_signed32(3, _data->_u.y._d);
        flick_fluke_encode_end_chunk(7);
        switch (_data->_u.y._d)
          {
          case 1:
            {
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _data->_u.y._u.x);
              flick_fluke_encode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_fluke_encode_new_chunk(5);
              flick_fluke_encode_signed32(0, _data->_u.y._u.y.b1);
              flick_fluke_encode_char8(4, _data->_u.y._u.y.b2);
              flick_fluke_encode_end_chunk(5);
              break;
            }
          default:
            {
              flick_fluke_encode_new_chunk(1);
              flick_fluke_encode_char8(0, _data->_u.y._u.z);
              flick_fluke_encode_end_chunk(1);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_mom_encode_mu_error(return, FLICK_ERROR_STRUCT_UNION, fluke, fluke);
        break;
      }
    }
  flick_fluke_encode_end_glob(13);
}

void flick_unmarshal_stub_Foo2(flick_marshal_stream_t _stream, Foo2 *_data)
{
  flick_fluke_decode_new_glob(13);
  flick_fluke_decode_new_chunk(1);
  flick_fluke_decode_char8(0, _data->_d);
  flick_fluke_decode_end_chunk(1);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_fluke_decode_new_chunk(7);
        flick_fluke_decode_signed32(3, _data->_u.x);
        flick_fluke_decode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_fluke_decode_new_chunk(7);
        flick_fluke_decode_signed32(3, _data->_u.y._d);
        flick_fluke_decode_end_chunk(7);
        switch (_data->_u.y._d)
          {
          case 1:
            {
              flick_fluke_decode_new_chunk(4);
              flick_fluke_decode_signed32(0, _data->_u.y._u.x);
              flick_fluke_decode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_fluke_decode_new_chunk(5);
              flick_fluke_decode_signed32(0, _data->_u.y._u.y.b1);
              flick_fluke_decode_char8(4, _data->_u.y._u.y.b2);
              flick_fluke_decode_end_chunk(5);
              break;
            }
          default:
            {
              flick_fluke_decode_new_chunk(1);
              flick_fluke_decode_char8(0, _data->_u.y._u.z);
              flick_fluke_decode_end_chunk(1);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_mom_decode_mu_error(return, FLICK_ERROR_STRUCT_UNION, fluke, fluke);
        break;
      }
    }
  flick_fluke_decode_end_glob(13);
}

void flick_marshal_stub_a_astruct(flick_marshal_stream_t _stream, const a_astruct *_data)
{
  flick_fluke_encode_new_glob(33);
  flick_fluke_encode_new_chunk(1);
  flick_fluke_encode_char8(0, _data->a1._d);
  flick_fluke_encode_end_chunk(1);
  switch (_data->a1._d)
    {
    case 'a':
      {
        flick_fluke_encode_new_chunk(7);
        flick_fluke_encode_signed32(3, _data->a1._u.x);
        flick_fluke_encode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_fluke_encode_new_chunk(7);
        flick_fluke_encode_signed32(3, _data->a1._u.y._d);
        flick_fluke_encode_end_chunk(7);
        switch (_data->a1._u.y._d)
          {
          case 1:
            {
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _data->a1._u.y._u.x);
              flick_fluke_encode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_fluke_encode_new_chunk(5);
              flick_fluke_encode_signed32(0, _data->a1._u.y._u.y.b1);
              flick_fluke_encode_char8(4, _data->a1._u.y._u.y.b2);
              flick_fluke_encode_end_chunk(5);
              break;
            }
          default:
            {
              flick_fluke_encode_new_chunk(1);
              flick_fluke_encode_char8(0, _data->a1._u.y._u.z);
              flick_fluke_encode_end_chunk(1);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_mom_encode_mu_error(return, FLICK_ERROR_STRUCT_UNION, fluke, fluke);
        break;
      }
    }
  flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
  flick_fluke_encode_signed32(0, _data->a2._d);
  flick_fluke_encode_end_chunk(4);
  switch (_data->a2._d)
    {
    case 1:
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, _data->a2._u.x);
        flick_fluke_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_fluke_encode_new_chunk(5);
        flick_fluke_encode_signed32(0, _data->a2._u.y.b1);
        flick_fluke_encode_char8(4, _data->a2._u.y.b2);
        flick_fluke_encode_end_chunk(5);
        break;
      }
    default:
      {
        flick_fluke_encode_new_chunk(1);
        flick_fluke_encode_char8(0, _data->a2._u.z);
        flick_fluke_encode_end_chunk(1);
        break;
      }
    }
  flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
  flick_fluke_encode_signed32(0, _data->a3.b1);
  flick_fluke_encode_char8(4, _data->a3.b2);
  flick_fluke_encode_end_chunk(5);
  flick_fluke_encode_end_glob(33);
}

void flick_unmarshal_stub_a_astruct(flick_marshal_stream_t _stream, a_astruct *_data)
{
  flick_fluke_decode_new_glob(33);
  flick_fluke_decode_new_chunk(1);
  flick_fluke_decode_char8(0, _data->a1._d);
  flick_fluke_decode_end_chunk(1);
  switch (_data->a1._d)
    {
    case 'a':
      {
        flick_fluke_decode_new_chunk(7);
        flick_fluke_decode_signed32(3, _data->a1._u.x);
        flick_fluke_decode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_fluke_decode_new_chunk(7);
        flick_fluke_decode_signed32(3, _data->a1._u.y._d);
        flick_fluke_decode_end_chunk(7);
        switch (_data->a1._u.y._d)
          {
          case 1:
            {
              flick_fluke_decode_new_chunk(4);
              flick_fluke_decode_signed32(0, _data->a1._u.y._u.x);
              flick_fluke_decode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_fluke_decode_new_chunk(5);
              flick_fluke_decode_signed32(0, _data->a1._u.y._u.y.b1);
              flick_fluke_decode_char8(4, _data->a1._u.y._u.y.b2);
              flick_fluke_decode_end_chunk(5);
              break;
            }
          default:
            {
              flick_fluke_decode_new_chunk(1);
              flick_fluke_decode_char8(0, _data->a1._u.y._u.z);
              flick_fluke_decode_end_chunk(1);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_mom_decode_mu_error(return, FLICK_ERROR_STRUCT_UNION, fluke, fluke);
        break;
      }
    }
  flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
  flick_fluke_decode_signed32(0, _data->a2._d);
  flick_fluke_decode_end_chunk(4);
  switch (_data->a2._d)
    {
    case 1:
      {
        flick_fluke_decode_new_chunk(4);
        flick_fluke_decode_signed32(0, _data->a2._u.x);
        flick_fluke_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_fluke_decode_new_chunk(5);
        flick_fluke_decode_signed32(0, _data->a2._u.y.b1);
        flick_fluke_decode_char8(4, _data->a2._u.y.b2);
        flick_fluke_decode_end_chunk(5);
        break;
      }
    default:
      {
        flick_fluke_decode_new_chunk(1);
        flick_fluke_decode_char8(0, _data->a2._u.z);
        flick_fluke_decode_end_chunk(1);
        break;
      }
    }
  flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
  flick_fluke_decode_signed32(0, _data->a3.b1);
  flick_fluke_decode_char8(4, _data->a3.b2);
  flick_fluke_decode_end_chunk(5);
  flick_fluke_decode_end_glob(33);
}

Foo2 a_opA(mom_ref_t _obj, const a_astruct *b, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  Foo2 _return;

  memset(&_return, 0, sizeof(Foo2 ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(37);
    flick_fluke_encode_new_chunk(5);
    flick_fluke_encode_unsigned32(0, req_a_opA);
    /* Begin encode phase on parameters */
    flick_fluke_encode_char8(4, b->a1._d);
    flick_fluke_encode_end_chunk(5);
    switch (b->a1._d)
      {
      case 'a':
        {
          flick_fluke_encode_new_chunk(7);
          flick_fluke_encode_signed32(3, b->a1._u.x);
          flick_fluke_encode_end_chunk(7);
          break;
        }
      case 'b':
        {
          flick_fluke_encode_new_chunk(7);
          flick_fluke_encode_signed32(3, b->a1._u.y._d);
          flick_fluke_encode_end_chunk(7);
          switch (b->a1._u.y._d)
            {
            case 1:
              {
                flick_fluke_encode_new_chunk(4);
                flick_fluke_encode_signed32(0, b->a1._u.y._u.x);
                flick_fluke_encode_end_chunk(4);
                break;
              }
            case 2:
              {
                flick_fluke_encode_new_chunk(5);
                flick_fluke_encode_signed32(0, b->a1._u.y._u.y.b1);
                flick_fluke_encode_char8(4, b->a1._u.y._u.y.b2);
                flick_fluke_encode_end_chunk(5);
                break;
              }
            default:
              {
                flick_fluke_encode_new_chunk(1);
                flick_fluke_encode_char8(0, b->a1._u.y._u.z);
                flick_fluke_encode_end_chunk(1);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_mom_encode_client_error(return _return, FLICK_ERROR_STRUCT_UNION, fluke, fluke);
          break;
        }
      }
    flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
    flick_fluke_encode_signed32(0, b->a2._d);
    flick_fluke_encode_end_chunk(4);
    switch (b->a2._d)
      {
      case 1:
        {
          flick_fluke_encode_new_chunk(4);
          flick_fluke_encode_signed32(0, b->a2._u.x);
          flick_fluke_encode_end_chunk(4);
          break;
        }
      case 2:
        {
          flick_fluke_encode_new_chunk(5);
          flick_fluke_encode_signed32(0, b->a2._u.y.b1);
          flick_fluke_encode_char8(4, b->a2._u.y.b2);
          flick_fluke_encode_end_chunk(5);
          break;
        }
      default:
        {
          flick_fluke_encode_new_chunk(1);
          flick_fluke_encode_char8(0, b->a2._u.z);
          flick_fluke_encode_end_chunk(1);
          break;
        }
      }
    flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
    flick_fluke_encode_signed32(0, b->a3.b1);
    flick_fluke_encode_char8(4, b->a3.b2);
    flick_fluke_encode_end_chunk(5);
    flick_fluke_encode_end_glob(37);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(17);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(1);
          flick_fluke_decode_char8(0, _return._d);
          flick_fluke_decode_end_chunk(1);
          switch (_return._d)
            {
            case 'a':
              {
                flick_fluke_decode_new_chunk(7);
                flick_fluke_decode_signed32(3, _return._u.x);
                flick_fluke_decode_end_chunk(7);
                break;
              }
            case 'b':
              {
                flick_fluke_decode_new_chunk(7);
                flick_fluke_decode_signed32(3, _return._u.y._d);
                flick_fluke_decode_end_chunk(7);
                switch (_return._u.y._d)
                  {
                  case 1:
                    {
                      flick_fluke_decode_new_chunk(4);
                      flick_fluke_decode_signed32(0, _return._u.y._u.x);
                      flick_fluke_decode_end_chunk(4);
                      break;
                    }
                  case 2:
                    {
                      flick_fluke_decode_new_chunk(5);
                      flick_fluke_decode_signed32(0, _return._u.y._u.y.b1);
                      flick_fluke_decode_char8(4, _return._u.y._u.y.b2);
                      flick_fluke_decode_end_chunk(5);
                      break;
                    }
                  default:
                    {
                      flick_fluke_decode_new_chunk(1);
                      flick_fluke_decode_char8(0, _return._u.y._u.z);
                      flick_fluke_decode_end_chunk(1);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_mom_decode_client_error(return _return, FLICK_ERROR_STRUCT_UNION, fluke, fluke);
                break;
              }
            }
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(17);
  }
  flick_fluke_client_end_decode();
  return _return;
}

