#include "simple-decl-1-server.h"

void flick_marshal_stub_one_of_each(flick_marshal_stream_t _stream, const struct one_of_each *_data)
{
  flick_iiop_encode_new_glob(44);
  flick_iiop_encode_new_chunk(32);
  flick_cdr_encode_unsigned8(0, _data->my_bool);
  flick_cdr_encode_char8(1, _data->my_char);
  flick_cdr_encode_char8(2, _data->my_unsigned_char);
  flick_cdr_encode_signed32(4, _data->my_int);
  flick_cdr_encode_signed16(8, _data->my_short_int);
  flick_cdr_encode_signed32(12, _data->my_long_int);
  flick_cdr_encode_unsigned32(16, _data->my_unsigned_int);
  flick_cdr_encode_unsigned16(20, _data->my_unsigned_short_int);
  flick_cdr_encode_unsigned32(24, _data->my_unsigned_long_int);
  flick_cdr_encode_float32(28, _data->my_float);
  flick_iiop_encode_end_chunk(32);
  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->my_double);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(44);
  flick_cdr_encode_string(_data->my_bounded_string, null_flick_free, iiop, 256);
  flick_cdr_encode_longstring(_data->my_unbounded_string, null_flick_free, iiop);
  flick_iiop_encode_new_glob(526);
  flick_iiop_encode_new_chunk(256);
  flick_cdr_encode_bcopy(0, _data->my_fixed_opaque, 1 * 256);
  flick_iiop_encode_end_chunk(256);
  flick_iiop_encode_new_chunk_align(4 + 1 * _data->my_bounded_opaque.my_bounded_opaque_len, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->my_bounded_opaque.my_bounded_opaque_len);
  flick_cdr_encode_bcopy(4, _data->my_bounded_opaque.my_bounded_opaque_val, 1 * _data->my_bounded_opaque.my_bounded_opaque_len);
  flick_iiop_encode_end_chunk(4 + 1 * _data->my_bounded_opaque.my_bounded_opaque_len);
  flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->my_unbounded_opaque.my_unbounded_opaque_len);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(526);
  flick_iiop_encode_new_glob(1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
  flick_iiop_encode_new_chunk(1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
  flick_cdr_encode_bcopy(0, _data->my_unbounded_opaque.my_unbounded_opaque_val, 1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
  flick_iiop_encode_end_chunk(1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
  flick_iiop_encode_end_glob(1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
}

void flick_unmarshal_stub_one_of_each(flick_marshal_stream_t _stream, struct one_of_each *_data)
{
  flick_unsigned16_t _t0_array_length;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(32);
  flick_cdr_decode_unsigned8(0, _data->my_bool);
  flick_cdr_decode_char8(1, _data->my_char);
  flick_cdr_decode_char8(2, _data->my_unsigned_char);
  flick_cdr_decode_signed32(4, _data->my_int);
  flick_cdr_decode_signed16(8, _data->my_short_int);
  flick_cdr_decode_signed32(12, _data->my_long_int);
  flick_cdr_decode_unsigned32(16, _data->my_unsigned_int);
  flick_cdr_decode_unsigned16(20, _data->my_unsigned_short_int);
  flick_cdr_decode_unsigned32(24, _data->my_unsigned_long_int);
  flick_cdr_decode_float32(28, _data->my_float);
  flick_iiop_decode_end_chunk(32);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_decode_float64(0, _data->my_double);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(44);
  flick_cdr_decode_string(_data->my_bounded_string, sun_flick_alloc, iiop, 256);
  flick_cdr_decode_longstring(_data->my_unbounded_string, sun_flick_alloc, iiop);
  _t0_array_length = 256;
  flick_iiop_decode_new_glob(526);
  flick_iiop_decode_new_chunk(256);
  flick_cdr_decode_bcopy(0, _data->my_fixed_opaque, 1 * _t0_array_length);
  flick_iiop_decode_end_chunk(256);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_decode_unsigned32(0, _data->my_bounded_opaque.my_bounded_opaque_len);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_new_chunk(1 * _data->my_bounded_opaque.my_bounded_opaque_len);
  _data->my_bounded_opaque.my_bounded_opaque_val = sun_flick_alloc(_data->my_bounded_opaque.my_bounded_opaque_len * sizeof(char ));
  flick_cdr_decode_bcopy(0, _data->my_bounded_opaque.my_bounded_opaque_val, 1 * _data->my_bounded_opaque.my_bounded_opaque_len);
  flick_iiop_decode_end_chunk(1 * _data->my_bounded_opaque.my_bounded_opaque_len);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_decode_unsigned32(0, _data->my_unbounded_opaque.my_unbounded_opaque_len);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(526);
  flick_iiop_decode_new_glob(1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
  flick_iiop_decode_new_chunk(1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
  _data->my_unbounded_opaque.my_unbounded_opaque_val = sun_flick_alloc(_data->my_unbounded_opaque.my_unbounded_opaque_len * sizeof(char ));
  flick_cdr_decode_bcopy(0, _data->my_unbounded_opaque.my_unbounded_opaque_val, 1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
  flick_iiop_decode_end_chunk(1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
  flick_iiop_decode_end_glob(1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
}

void flick_unmarshal_stub_one_of_each_swap(flick_marshal_stream_t _stream, struct one_of_each *_data)
{
  flick_unsigned16_t _t1_array_length;
  flick_unsigned16_t _t2_array_iter;
  unsigned long int _t3_array_iter;
  unsigned long int _t4_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(32);
  flick_cdr_swap_decode_unsigned8(0, _data->my_bool);
  flick_cdr_swap_decode_char8(1, _data->my_char);
  flick_cdr_swap_decode_char8(2, _data->my_unsigned_char);
  flick_cdr_swap_decode_signed32(4, _data->my_int);
  flick_cdr_swap_decode_signed16(8, _data->my_short_int);
  flick_cdr_swap_decode_signed32(12, _data->my_long_int);
  flick_cdr_swap_decode_unsigned32(16, _data->my_unsigned_int);
  flick_cdr_swap_decode_unsigned16(20, _data->my_unsigned_short_int);
  flick_cdr_swap_decode_unsigned32(24, _data->my_unsigned_long_int);
  flick_cdr_swap_decode_float32(28, _data->my_float);
  flick_iiop_decode_end_chunk(32);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_swap_decode_float64(0, _data->my_double);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(44);
  flick_cdr_swap_decode_string(_data->my_bounded_string, sun_flick_alloc, iiop, 256);
  flick_cdr_swap_decode_longstring(_data->my_unbounded_string, sun_flick_alloc, iiop);
  _t1_array_length = 256;
  flick_iiop_decode_new_glob(526);
  for (_t2_array_iter = 0; _t2_array_iter < _t1_array_length; _t2_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->my_fixed_opaque[_t2_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_swap_decode_unsigned32(0, _data->my_bounded_opaque.my_bounded_opaque_len);
  flick_iiop_decode_end_chunk(4);
  _data->my_bounded_opaque.my_bounded_opaque_val = sun_flick_alloc(_data->my_bounded_opaque.my_bounded_opaque_len * sizeof(char ));
  for (_t3_array_iter = 0; _t3_array_iter < _data->my_bounded_opaque.my_bounded_opaque_len; _t3_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->my_bounded_opaque.my_bounded_opaque_val[_t3_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_swap_decode_unsigned32(0, _data->my_unbounded_opaque.my_unbounded_opaque_len);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(526);
  flick_iiop_decode_new_glob(1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
  _data->my_unbounded_opaque.my_unbounded_opaque_val = sun_flick_alloc(_data->my_unbounded_opaque.my_unbounded_opaque_len * sizeof(char ));
  for (_t4_array_iter = 0; _t4_array_iter < _data->my_unbounded_opaque.my_unbounded_opaque_len; _t4_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->my_unbounded_opaque.my_unbounded_opaque_val[_t4_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  flick_iiop_decode_end_glob(1 * _data->my_unbounded_opaque.my_unbounded_opaque_len);
}

