#include "structnest_-client.h"

void flick_marshal_stub_a_b_q(flick_marshal_stream_t _stream, const struct a_b_q *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_unsigned8(0, _data->c);
  flick_cdr_encode_signed32(4, _data->d);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_a_b_q(flick_marshal_stream_t _stream, struct a_b_q *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_unsigned8(0, _data->c);
  flick_cdr_decode_signed32(4, _data->d);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_a_b_q_swap(flick_marshal_stream_t _stream, struct a_b_q *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_unsigned8(0, _data->c);
  flick_cdr_swap_decode_signed32(4, _data->d);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_a_b(flick_marshal_stream_t _stream, const struct a_b *_data)
{
  flick_iiop_encode_new_glob(16);
  flick_iiop_encode_new_chunk(16);
  flick_cdr_encode_signed16(0, _data->c);
  flick_cdr_encode_char8(2, _data->d);
  flick_cdr_encode_unsigned8(3, _data->e.c);
  flick_cdr_encode_signed32(4, _data->e.d);
  flick_cdr_encode_signed16(8, _data->f);
  flick_cdr_encode_unsigned8(10, _data->g.c);
  flick_cdr_encode_signed32(12, _data->g.d);
  flick_iiop_encode_end_chunk(16);
  flick_iiop_encode_end_glob(16);
}

void flick_unmarshal_stub_a_b(flick_marshal_stream_t _stream, struct a_b *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(16);
  flick_cdr_decode_signed16(0, _data->c);
  flick_cdr_decode_char8(2, _data->d);
  flick_cdr_decode_unsigned8(3, _data->e.c);
  flick_cdr_decode_signed32(4, _data->e.d);
  flick_cdr_decode_signed16(8, _data->f);
  flick_cdr_decode_unsigned8(10, _data->g.c);
  flick_cdr_decode_signed32(12, _data->g.d);
  flick_iiop_decode_end_chunk(16);
  flick_iiop_decode_end_glob(16);
}

void flick_unmarshal_stub_a_b_swap(flick_marshal_stream_t _stream, struct a_b *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(16);
  flick_cdr_swap_decode_signed16(0, _data->c);
  flick_cdr_swap_decode_char8(2, _data->d);
  flick_cdr_swap_decode_unsigned8(3, _data->e.c);
  flick_cdr_swap_decode_signed32(4, _data->e.d);
  flick_cdr_swap_decode_signed16(8, _data->f);
  flick_cdr_swap_decode_unsigned8(10, _data->g.c);
  flick_cdr_swap_decode_signed32(12, _data->g.d);
  flick_iiop_decode_end_chunk(16);
  flick_iiop_decode_end_glob(16);
}

void flick_marshal_stub_a_q(flick_marshal_stream_t _stream, const struct a_q *_data)
{
  flick_iiop_encode_new_glob(16);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->a);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_new_chunk_align(8, 3, 2, 2);
  flick_cdr_encode_float64(0, _data->b);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(16);
}

void flick_unmarshal_stub_a_q(flick_marshal_stream_t _stream, struct a_q *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->a);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 2);
  flick_cdr_decode_float64(0, _data->b);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(16);
}

void flick_unmarshal_stub_a_q_swap(flick_marshal_stream_t _stream, struct a_q *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->a);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 2);
  flick_cdr_swap_decode_float64(0, _data->b);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(16);
}

void flick_marshal_stub_a_z_zz(flick_marshal_stream_t _stream, const struct a_z_zz *_data)
{
  flick_iiop_encode_new_glob(16);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->a.a);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_new_chunk_align(8, 3, 2, 2);
  flick_cdr_encode_float64(0, _data->a.b);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(16);
}

void flick_unmarshal_stub_a_z_zz(flick_marshal_stream_t _stream, struct a_z_zz *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->a.a);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 2);
  flick_cdr_decode_float64(0, _data->a.b);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(16);
}

void flick_unmarshal_stub_a_z_zz_swap(flick_marshal_stream_t _stream, struct a_z_zz *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->a.a);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 2);
  flick_cdr_swap_decode_float64(0, _data->a.b);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(16);
}

void flick_marshal_stub_a_z(flick_marshal_stream_t _stream, const struct a_z *_data)
{
  flick_iiop_encode_new_glob(32);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->b.a.a);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_new_chunk_align(24, 3, 2, 2);
  flick_cdr_encode_float64(0, _data->b.a.b);
  flick_cdr_encode_signed16(8, _data->z.a);
  flick_cdr_encode_float64(16, _data->z.b);
  flick_iiop_encode_end_chunk(24);
  flick_iiop_encode_end_glob(32);
}

void flick_unmarshal_stub_a_z(flick_marshal_stream_t _stream, struct a_z *_data)
{
  flick_iiop_decode_new_glob(32);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->b.a.a);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_new_chunk_align(24, 3, 2, 2);
  flick_cdr_decode_float64(0, _data->b.a.b);
  flick_cdr_decode_signed16(8, _data->z.a);
  flick_cdr_decode_float64(16, _data->z.b);
  flick_iiop_decode_end_chunk(24);
  flick_iiop_decode_end_glob(32);
}

void flick_unmarshal_stub_a_z_swap(flick_marshal_stream_t _stream, struct a_z *_data)
{
  flick_iiop_decode_new_glob(32);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->b.a.a);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_new_chunk_align(24, 3, 2, 2);
  flick_cdr_swap_decode_float64(0, _data->b.a.b);
  flick_cdr_swap_decode_signed16(8, _data->z.a);
  flick_cdr_swap_decode_float64(16, _data->z.b);
  flick_iiop_decode_end_chunk(24);
  flick_iiop_decode_end_glob(32);
}

void flick_marshal_stub_a(flick_marshal_stream_t _stream, const struct a *_data)
{
  flick_iiop_encode_new_glob(96);
  flick_iiop_encode_new_chunk(18);
  flick_cdr_encode_signed16(0, _data->e.c);
  flick_cdr_encode_char8(2, _data->e.d);
  flick_cdr_encode_unsigned8(3, _data->e.e.c);
  flick_cdr_encode_signed32(4, _data->e.e.d);
  flick_cdr_encode_signed16(8, _data->e.f);
  flick_cdr_encode_unsigned8(10, _data->e.g.c);
  flick_cdr_encode_signed32(12, _data->e.g.d);
  flick_cdr_encode_signed16(16, _data->h.a);
  flick_iiop_encode_end_chunk(18);
  flick_iiop_encode_new_chunk_align(72, 3, 2, 2);
  flick_cdr_encode_float64(0, _data->h.b);
  flick_cdr_encode_signed16(8, _data->j.b.a.a);
  flick_cdr_encode_float64(16, _data->j.b.a.b);
  flick_cdr_encode_signed16(24, _data->j.z.a);
  flick_cdr_encode_float64(32, _data->j.z.b);
  flick_cdr_encode_float32(40, _data->f);
  flick_cdr_encode_signed16(44, _data->g.c);
  flick_cdr_encode_char8(46, _data->g.d);
  flick_cdr_encode_unsigned8(47, _data->g.e.c);
  flick_cdr_encode_signed32(48, _data->g.e.d);
  flick_cdr_encode_signed16(52, _data->g.f);
  flick_cdr_encode_unsigned8(54, _data->g.g.c);
  flick_cdr_encode_signed32(56, _data->g.g.d);
  flick_cdr_encode_signed16(60, _data->i.a);
  flick_cdr_encode_float64(64, _data->i.b);
  flick_iiop_encode_end_chunk(72);
  flick_iiop_encode_end_glob(96);
}

void flick_unmarshal_stub_a(flick_marshal_stream_t _stream, struct a *_data)
{
  flick_iiop_decode_new_glob(96);
  flick_iiop_decode_new_chunk(18);
  flick_cdr_decode_signed16(0, _data->e.c);
  flick_cdr_decode_char8(2, _data->e.d);
  flick_cdr_decode_unsigned8(3, _data->e.e.c);
  flick_cdr_decode_signed32(4, _data->e.e.d);
  flick_cdr_decode_signed16(8, _data->e.f);
  flick_cdr_decode_unsigned8(10, _data->e.g.c);
  flick_cdr_decode_signed32(12, _data->e.g.d);
  flick_cdr_decode_signed16(16, _data->h.a);
  flick_iiop_decode_end_chunk(18);
  flick_iiop_decode_new_chunk_align(72, 3, 2, 2);
  flick_cdr_decode_float64(0, _data->h.b);
  flick_cdr_decode_signed16(8, _data->j.b.a.a);
  flick_cdr_decode_float64(16, _data->j.b.a.b);
  flick_cdr_decode_signed16(24, _data->j.z.a);
  flick_cdr_decode_float64(32, _data->j.z.b);
  flick_cdr_decode_float32(40, _data->f);
  flick_cdr_decode_signed16(44, _data->g.c);
  flick_cdr_decode_char8(46, _data->g.d);
  flick_cdr_decode_unsigned8(47, _data->g.e.c);
  flick_cdr_decode_signed32(48, _data->g.e.d);
  flick_cdr_decode_signed16(52, _data->g.f);
  flick_cdr_decode_unsigned8(54, _data->g.g.c);
  flick_cdr_decode_signed32(56, _data->g.g.d);
  flick_cdr_decode_signed16(60, _data->i.a);
  flick_cdr_decode_float64(64, _data->i.b);
  flick_iiop_decode_end_chunk(72);
  flick_iiop_decode_end_glob(96);
}

void flick_unmarshal_stub_a_swap(flick_marshal_stream_t _stream, struct a *_data)
{
  flick_iiop_decode_new_glob(96);
  flick_iiop_decode_new_chunk(18);
  flick_cdr_swap_decode_signed16(0, _data->e.c);
  flick_cdr_swap_decode_char8(2, _data->e.d);
  flick_cdr_swap_decode_unsigned8(3, _data->e.e.c);
  flick_cdr_swap_decode_signed32(4, _data->e.e.d);
  flick_cdr_swap_decode_signed16(8, _data->e.f);
  flick_cdr_swap_decode_unsigned8(10, _data->e.g.c);
  flick_cdr_swap_decode_signed32(12, _data->e.g.d);
  flick_cdr_swap_decode_signed16(16, _data->h.a);
  flick_iiop_decode_end_chunk(18);
  flick_iiop_decode_new_chunk_align(72, 3, 2, 2);
  flick_cdr_swap_decode_float64(0, _data->h.b);
  flick_cdr_swap_decode_signed16(8, _data->j.b.a.a);
  flick_cdr_swap_decode_float64(16, _data->j.b.a.b);
  flick_cdr_swap_decode_signed16(24, _data->j.z.a);
  flick_cdr_swap_decode_float64(32, _data->j.z.b);
  flick_cdr_swap_decode_float32(40, _data->f);
  flick_cdr_swap_decode_signed16(44, _data->g.c);
  flick_cdr_swap_decode_char8(46, _data->g.d);
  flick_cdr_swap_decode_unsigned8(47, _data->g.e.c);
  flick_cdr_swap_decode_signed32(48, _data->g.e.d);
  flick_cdr_swap_decode_signed16(52, _data->g.f);
  flick_cdr_swap_decode_unsigned8(54, _data->g.g.c);
  flick_cdr_swap_decode_signed32(56, _data->g.g.d);
  flick_cdr_swap_decode_signed16(60, _data->i.a);
  flick_cdr_swap_decode_float64(64, _data->i.b);
  flick_iiop_decode_end_chunk(72);
  flick_iiop_decode_end_glob(96);
}

void flick_marshal_stub_b(flick_marshal_stream_t _stream, const struct b *_data)
{
  flick_iiop_encode_new_glob(17);
  flick_iiop_encode_new_chunk(17);
  flick_cdr_encode_signed16(0, _data->c.c);
  flick_cdr_encode_char8(2, _data->c.d);
  flick_cdr_encode_unsigned8(3, _data->c.e.c);
  flick_cdr_encode_signed32(4, _data->c.e.d);
  flick_cdr_encode_signed16(8, _data->c.f);
  flick_cdr_encode_unsigned8(10, _data->c.g.c);
  flick_cdr_encode_signed32(12, _data->c.g.d);
  flick_cdr_encode_char8(16, _data->d);
  flick_iiop_encode_end_chunk(17);
  flick_iiop_encode_end_glob(17);
}

void flick_unmarshal_stub_b(flick_marshal_stream_t _stream, struct b *_data)
{
  flick_iiop_decode_new_glob(17);
  flick_iiop_decode_new_chunk(17);
  flick_cdr_decode_signed16(0, _data->c.c);
  flick_cdr_decode_char8(2, _data->c.d);
  flick_cdr_decode_unsigned8(3, _data->c.e.c);
  flick_cdr_decode_signed32(4, _data->c.e.d);
  flick_cdr_decode_signed16(8, _data->c.f);
  flick_cdr_decode_unsigned8(10, _data->c.g.c);
  flick_cdr_decode_signed32(12, _data->c.g.d);
  flick_cdr_decode_char8(16, _data->d);
  flick_iiop_decode_end_chunk(17);
  flick_iiop_decode_end_glob(17);
}

void flick_unmarshal_stub_b_swap(flick_marshal_stream_t _stream, struct b *_data)
{
  flick_iiop_decode_new_glob(17);
  flick_iiop_decode_new_chunk(17);
  flick_cdr_swap_decode_signed16(0, _data->c.c);
  flick_cdr_swap_decode_char8(2, _data->c.d);
  flick_cdr_swap_decode_unsigned8(3, _data->c.e.c);
  flick_cdr_swap_decode_signed32(4, _data->c.e.d);
  flick_cdr_swap_decode_signed16(8, _data->c.f);
  flick_cdr_swap_decode_unsigned8(10, _data->c.g.c);
  flick_cdr_swap_decode_signed32(12, _data->c.g.d);
  flick_cdr_swap_decode_char8(16, _data->d);
  flick_iiop_decode_end_chunk(17);
  flick_iiop_decode_end_glob(17);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_test_swap(flick_marshal_stream_t _stream, test *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

struct b test_CopyAdd(test _obj, struct a *s1, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct b _return;

  _return.c.c = 0, _return.c.d = 0, (_return.c.e.c = 0, _return.c.e.d = 0), _return.c.f = 0, (_return.c.g.c = 0, _return.c.g.d = 0), _return.d = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(112);
    flick_iiop_encode_new_chunk(34);
    flick_cdr_encode_unsigned32(0, 8);
    flick_cdr_encode_char8(4, 'C');
    flick_cdr_encode_char8(5, 'o');
    flick_cdr_encode_char8(6, 'p');
    flick_cdr_encode_char8(7, 'y');
    flick_cdr_encode_char8(8, 'A');
    flick_cdr_encode_char8(9, 'd');
    flick_cdr_encode_char8(10, 'd');
    flick_cdr_encode_char8(11, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(12, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(16, s1->e.c);
    flick_cdr_encode_char8(18, s1->e.d);
    flick_cdr_encode_unsigned8(19, s1->e.e.c);
    flick_cdr_encode_signed32(20, s1->e.e.d);
    flick_cdr_encode_signed16(24, s1->e.f);
    flick_cdr_encode_unsigned8(26, s1->e.g.c);
    flick_cdr_encode_signed32(28, s1->e.g.d);
    flick_cdr_encode_signed16(32, s1->h.a);
    flick_iiop_encode_end_chunk(34);
    flick_iiop_encode_new_chunk_align(72, 3, 2, 2);
    flick_cdr_encode_float64(0, s1->h.b);
    flick_cdr_encode_signed16(8, s1->j.b.a.a);
    flick_cdr_encode_float64(16, s1->j.b.a.b);
    flick_cdr_encode_signed16(24, s1->j.z.a);
    flick_cdr_encode_float64(32, s1->j.z.b);
    flick_cdr_encode_float32(40, s1->f);
    flick_cdr_encode_signed16(44, s1->g.c);
    flick_cdr_encode_char8(46, s1->g.d);
    flick_cdr_encode_unsigned8(47, s1->g.e.c);
    flick_cdr_encode_signed32(48, s1->g.e.d);
    flick_cdr_encode_signed16(52, s1->g.f);
    flick_cdr_encode_unsigned8(54, s1->g.g.c);
    flick_cdr_encode_signed32(56, s1->g.g.d);
    flick_cdr_encode_signed16(60, s1->i.a);
    flick_cdr_encode_float64(64, s1->i.b);
    flick_iiop_encode_end_chunk(72);
    flick_iiop_encode_end_glob(112);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(21);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(17);
            flick_cdr_swap_decode_signed16(0, _return.c.c);
            flick_cdr_swap_decode_char8(2, _return.c.d);
            flick_cdr_swap_decode_unsigned8(3, _return.c.e.c);
            flick_cdr_swap_decode_signed32(4, _return.c.e.d);
            flick_cdr_swap_decode_signed16(8, _return.c.f);
            flick_cdr_swap_decode_unsigned8(10, _return.c.g.c);
            flick_cdr_swap_decode_signed32(12, _return.c.g.d);
            flick_cdr_swap_decode_char8(16, _return.d);
            flick_iiop_decode_end_chunk(17);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
          }
        }
      flick_iiop_decode_end_glob(21);
    }
  } else {
    {
      flick_iiop_decode_new_glob(21);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(17);
            flick_cdr_decode_signed16(0, _return.c.c);
            flick_cdr_decode_char8(2, _return.c.d);
            flick_cdr_decode_unsigned8(3, _return.c.e.c);
            flick_cdr_decode_signed32(4, _return.c.e.d);
            flick_cdr_decode_signed16(8, _return.c.f);
            flick_cdr_decode_unsigned8(10, _return.c.g.c);
            flick_cdr_decode_signed32(12, _return.c.g.d);
            flick_cdr_decode_char8(16, _return.d);
            flick_iiop_decode_end_chunk(17);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
          }
        }
      flick_iiop_decode_end_glob(21);
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

