#include "mig-tests-server.h"

boolean_t test_server(mach_msg_header_t *InHeadP, mach_msg_header_t *OutHeadP)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;

  flick_mach3mig_server_start_decode();
  {
    signed int _t73_switch_tag;

    _t73_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t73_switch_tag)
      {
      case (signed int) 5550001:
        {
          {
            mach_port_t _local_target;
            Iint _local_inInt;
            Iint *_local_inoutInt;
            Iint *_local_outInt;
            kern_return_t _return;
            Iint _t74_storage;
            Iint _t75_storage;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            flick_mach3mig_decode_new_glob(16);
            flick_mach3mig_decode_new_chunk(16);
            flick_mach3mig_decode_signed32(0, _local_inInt);
            _local_inoutInt = &_t74_storage;
            flick_mach3mig_decode_signed32(8, *_local_inoutInt);
            _local_outInt = &_t75_storage;
            flick_mach3mig_decode_end_chunk(16);
            flick_mach3mig_decode_end_glob(16);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_integers(_local_target, _local_inInt, _local_inoutInt, _local_outInt);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(16);
            _stream->msg_buf->Head.msgh_id = 5550101;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_encode_new_chunk(16);
                  flick_mach3mig_encode_signed32(0, *_local_inoutInt);
                  flick_mach3mig_encode_signed32(8, *_local_outInt);
                  flick_mach3mig_encode_end_chunk(16);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(16);
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 5550002:
        {
          {
            mach_port_t _local_target;
            IFstruct _local_inStruct;
            IFstruct *_local_inoutStruct;
            IFstruct *_local_outStruct;
            kern_return_t _return;
            unsigned *_t76_internal;
            flick_unsigned8_t _t77_array_length;
            IFstruct _t78_storage;
            unsigned *_t79_internal;
            flick_unsigned8_t _t80_array_length;
            IFstruct _t81_storage;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            _t76_internal = (unsigned *)(&(_local_inStruct));
            _t77_array_length = 100;
            flick_mach3mig_array_decode_new_glob(808);
            flick_mach3mig_array_decode_new_chunk(808);
            flick_mach3mig_array_decode_signed32_type(0, _t77_array_length, 1, _type);
            flick_mach3mig_array_decode_bcopy(4, _t76_internal, 4 * _t77_array_length);
            _local_inoutStruct = &_t78_storage;
            _t79_internal = (unsigned *)(&(*_local_inoutStruct));
            _t80_array_length = 100;
            flick_mach3mig_array_decode_signed32_type(404, _t80_array_length, 1, _type);
            flick_mach3mig_array_decode_bcopy(408, _t79_internal, 4 * _t80_array_length);
            _local_outStruct = &_t81_storage;
            flick_mach3mig_decode_end_chunk(808);
            flick_mach3mig_decode_end_glob(808);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_fixed_structs(_local_target, _local_inStruct, _local_inoutStruct, _local_outStruct);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(808);
            _stream->msg_buf->Head.msgh_id = 5550102;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  unsigned *_t88_internal;
                  unsigned *_t89_internal;

                  /* Begin encode phase on parameters */
                  _t88_internal = (unsigned *)(&(*_local_inoutStruct));
                  flick_mach3mig_array_encode_new_chunk(808);
                  flick_mach3mig_array_encode_signed32_type(0, 100, 1, _type);
                  flick_mach3mig_array_encode_bcopy(4, _t88_internal, 4 * 100);
                  _t89_internal = (unsigned *)(&(*_local_outStruct));
                  flick_mach3mig_array_encode_signed32_type(404, 100, 1, _type);
                  flick_mach3mig_array_encode_bcopy(408, _t89_internal, 4 * 100);
                  flick_mach3mig_encode_end_chunk(808);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(808);
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 5550003:
        {
          {
            mach_port_t _local_target;
            IFarray _local_inArray;
            IFarray _local_inoutArray;
            IFarray _local_outArray;
            kern_return_t _return;
            unsigned *_t90_internal;
            flick_unsigned16_t _t91_array_length;
            unsigned *_t92_internal;
            flick_unsigned16_t _t93_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            _t90_internal = (unsigned *)_local_inArray;
            _t91_array_length = 300;
            flick_mach3mig_array_decode_new_glob(2408);
            flick_mach3mig_array_decode_new_chunk(2408);
            flick_mach3mig_array_decode_signed32_type(0, _t91_array_length, 1, _type);
            flick_mach3mig_array_decode_bcopy(4, _t90_internal, 4 * _t91_array_length);
            _t92_internal = (unsigned *)_local_inoutArray;
            _t93_array_length = 300;
            flick_mach3mig_array_decode_signed32_type(1204, _t93_array_length, 1, _type);
            flick_mach3mig_array_decode_bcopy(1208, _t92_internal, 4 * _t93_array_length);
            flick_mach3mig_decode_end_chunk(2408);
            flick_mach3mig_decode_end_glob(2408);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_fixed_arrays(_local_target, _local_inArray, _local_inoutArray, _local_outArray);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(2408);
            _stream->msg_buf->Head.msgh_id = 5550103;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  unsigned *_t100_internal;
                  unsigned *_t101_internal;

                  /* Begin encode phase on parameters */
                  _t100_internal = (unsigned *)_local_inoutArray;
                  flick_mach3mig_array_encode_new_chunk(2408);
                  flick_mach3mig_array_encode_signed32_type(0, 300, 1, _type);
                  flick_mach3mig_array_encode_bcopy(4, _t100_internal, 4 * 300);
                  _t101_internal = (unsigned *)_local_outArray;
                  flick_mach3mig_array_encode_signed32_type(1204, 300, 1, _type);
                  flick_mach3mig_array_encode_bcopy(1208, _t101_internal, 4 * 300);
                  flick_mach3mig_encode_end_chunk(2408);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(2408);
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 5550004:
        {
          {
            mach_port_t _local_target;
            IBarray _local_inArray;
            mach_msg_type_number_t _local_inArrayCnt;
            IBarray *_local_outArray;
            mach_msg_type_number_t *_local_outArrayCnt;
            kern_return_t _return;
            IBarray _t102_storage;
            mach_msg_type_number_t _t103_storage;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(2004);
            flick_mach3mig_array_decode_new_chunk(4);
            flick_mach3mig_array_decode_signed32_type(0, _local_inArrayCnt, 1, _type);
            if (_local_inArrayCnt > (unsigned int) 500)
              return MIG_ARRAY_TOO_LARGE;
            flick_mach3mig_array_decode_end_chunk(4);
            flick_mach3mig_array_decode_new_chunk(4 * _local_inArrayCnt);
            flick_mach3mig_array_decode_bcopy(0, _local_inArray, 4 * _local_inArrayCnt);
            flick_mach3mig_array_decode_end_chunk(4 * _local_inArrayCnt);
            _local_outArray = &_t102_storage;
            _local_outArrayCnt = &_t103_storage;
            flick_mach3mig_decode_end_glob(2004);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_bounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_outArray, _local_outArrayCnt);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(2004);
            _stream->msg_buf->Head.msgh_id = 5550104;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_array_encode_new_chunk(4 + 4 * *_local_outArrayCnt);
                  flick_mach3mig_array_encode_signed32_type(0, *_local_outArrayCnt, 1, _type);
                  if (*_local_outArrayCnt > (unsigned int) 500)
                    return MIG_ARRAY_TOO_LARGE;
                  flick_mach3mig_array_encode_bcopy(4, *_local_outArray, 4 * *_local_outArrayCnt);
                  flick_mach3mig_array_encode_end_chunk(4 + 4 * *_local_outArrayCnt);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(2004);
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 5550005:
        {
          {
            mach_port_t _local_target;
            Iarray _local_inArray;
            mach_msg_type_number_t _local_inArrayCnt;
            Iarray *_local_outArray;
            mach_msg_type_number_t *_local_outArrayCnt;
            kern_return_t _return;
            Iarray _t104_storage;
            mach_msg_type_number_t _t105_storage;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(12);
            flick_mach3mig_array_decode_new_chunk(12);
            flick_mach3mig_array_decode_signed32_type(0, _local_inArrayCnt, 1, _long_type);
            flick_mach3mig_array_decode_end_chunk(12);
            flick_mach3mig_array_decode_end_glob(12);
            flick_mach3mig_array_decode_new_glob(4 * _local_inArrayCnt);
            flick_mach3mig_array_decode_new_chunk(4 * _local_inArrayCnt);
            _local_inArray = mach_vm_flick_alloc(_local_inArrayCnt * sizeof(unsigned ));
            flick_mach3mig_array_decode_bcopy(0, _local_inArray, 4 * _local_inArrayCnt);
            flick_mach3mig_array_decode_end_chunk(4 * _local_inArrayCnt);
            flick_mach3mig_array_decode_end_glob(4 * _local_inArrayCnt);
            _local_outArray = &_t104_storage;
            _local_outArrayCnt = &_t105_storage;
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_unbounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_outArray, _local_outArrayCnt);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            _stream->msg_buf->Head.msgh_id = 5550105;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_array_encode_new_glob(12);
                  flick_mach3mig_array_encode_new_chunk(12);
                  flick_mach3mig_array_encode_signed32_type(0, *_local_outArrayCnt, 1, _long_type);
                  flick_mach3mig_array_encode_end_chunk(12);
                  flick_mach3mig_array_encode_end_glob(12);
                  flick_mach3mig_array_encode_new_glob(4 * *_local_outArrayCnt);
                  flick_mach3mig_array_encode_new_chunk(4 * *_local_outArrayCnt);
                  flick_mach3mig_array_encode_bcopy(0, *_local_outArray, 4 * *_local_outArrayCnt);
                  mach_vm_flick_free(*_local_outArray, *_local_outArrayCnt * sizeof(unsigned ));
                  flick_mach3mig_array_encode_end_chunk(4 * *_local_outArrayCnt);
                  flick_mach3mig_array_encode_end_glob(4 * *_local_outArrayCnt);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 5550006:
        {
          {
            mach_port_t _local_target;
            IFstring _local_inString;
            IFstring _local_inoutString;
            IFstring _local_outString;
            kern_return_t _return;
            char *_t106_internal;
            flick_unsigned16_t _t107_array_length;
            char *_t108_internal;
            flick_unsigned16_t _t109_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            _t106_internal = (char *)_local_inString;
            _t107_array_length = 799;
            flick_mach3mig_array_decode_new_glob(1608);
            flick_mach3mig_array_decode_new_chunk(1608);
            flick_mach3mig_array_decode_char8_type(0, _t107_array_length, 1, _type);
            flick_mach3mig_array_decode_bcopy(4, _t106_internal, 1 * _t107_array_length);
            _t108_internal = (char *)_local_inoutString;
            _t109_array_length = 799;
            flick_mach3mig_array_decode_char8_type(804, _t109_array_length, 1, _type);
            flick_mach3mig_array_decode_bcopy(808, _t108_internal, 1 * _t109_array_length);
            flick_mach3mig_decode_end_chunk(1608);
            flick_mach3mig_decode_end_glob(1608);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_fixed_strings(_local_target, _local_inString, _local_inoutString, _local_outString);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(1608);
            _stream->msg_buf->Head.msgh_id = 5550106;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  char *_t116_internal;
                  char *_t117_internal;

                  /* Begin encode phase on parameters */
                  _t116_internal = (char *)_local_inoutString;
                  flick_mach3mig_array_encode_new_chunk(1608);
                  flick_mach3mig_array_encode_char8_type(0, 799, 1, _type);
                  flick_mach3mig_array_encode_bcopy(4, _t116_internal, 1 * 799);
                  _t117_internal = (char *)_local_outString;
                  flick_mach3mig_array_encode_char8_type(804, 799, 1, _type);
                  flick_mach3mig_array_encode_bcopy(808, _t117_internal, 1 * 799);
                  flick_mach3mig_encode_end_chunk(1608);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(1608);
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 5550007:
        {
          {
            mach_port_t _local_target;
            IVstring _local_inString;
            IVstring _local_outString;
            kern_return_t _return;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            flick_mach3mig_decode_string(_local_inString, null_flick_alloc, mach3mig, 997);
            flick_mach3mig_decode_new_glob(3);
            flick_mach3mig_decode_new_chunk_align(0, 2, 0, 0);
            flick_mach3mig_decode_end_chunk(0);
            flick_mach3mig_decode_end_glob(3);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_bounded_strings(_local_target, _local_inString, _local_outString);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            _stream->msg_buf->Head.msgh_id = 5550107;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_encode_string(_local_outString, null_flick_free, mach3mig, 997);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_new_glob(3);
            flick_mach3mig_encode_new_chunk_align(0, 2, 0, 0);
            flick_mach3mig_encode_end_chunk(0);
            flick_mach3mig_encode_end_glob(3);
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 5550008:
        {
          {
            mach_port_t _local_target;
            mach_port_t _local_inRight;
            mach_port_t *_local_inoutRight;
            mach_port_t *_local_outRight;
            kern_return_t _return;
            mach_port_t _t118_storage;
            mach_port_t _t119_storage;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            flick_mach3mig_decode_new_glob(16);
            flick_mach3mig_decode_new_chunk(16);
            flick_mach3mig_decode_port32(0, _local_inRight, 1, MACH_MSG_TYPE_PORT_RECEIVE);
            _local_inoutRight = &_t118_storage;
            flick_mach3mig_decode_port32(8, *_local_inoutRight, 1, MACH_MSG_TYPE_PORT_SEND);
            _local_outRight = &_t119_storage;
            flick_mach3mig_decode_end_chunk(16);
            flick_mach3mig_decode_end_glob(16);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_port_rights(_local_target, _local_inRight, _local_inoutRight, _local_outRight);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(16);
            _stream->msg_buf->Head.msgh_id = 5550108;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_encode_new_chunk(16);
                  flick_mach3mig_encode_port32(0, *_local_inoutRight, 1, MACH_MSG_TYPE_COPY_SEND);
                  flick_mach3mig_encode_port32(8, *_local_outRight, 1, MACH_MSG_TYPE_MOVE_RECEIVE);
                  flick_mach3mig_encode_end_chunk(16);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(16);
            flick_mach3mig_server_end_encode();
            _stream->msg_buf->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
          }
          break;
        }
      case (signed int) 5550009:
        {
          {
            mach_port_t _local_target;
            Imach_port_array_t _local_inRight;
            mach_msg_type_number_t _local_inRightCnt;
            Imach_port_array_t *_local_outRight;
            mach_msg_type_number_t *_local_outRightCnt;
            kern_return_t _return;
            Imach_port_array_t _t120_storage;
            mach_msg_type_number_t _t121_storage;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(12);
            flick_mach3mig_array_decode_new_chunk(12);
            flick_mach3mig_array_decode_port32_type(0, MACH_MSG_TYPE_PORT_RECEIVE, _local_inRightCnt, 1, _long_type);
            flick_mach3mig_array_decode_end_chunk(12);
            flick_mach3mig_array_decode_end_glob(12);
            flick_mach3mig_array_decode_new_glob(4 * _local_inRightCnt);
            flick_mach3mig_array_decode_new_chunk(4 * _local_inRightCnt);
            _local_inRight = mach_vm_flick_alloc(_local_inRightCnt * sizeof(mach_port_t ));
            flick_mach3mig_array_decode_bcopy(0, _local_inRight, 4 * _local_inRightCnt);
            flick_mach3mig_array_decode_end_chunk(4 * _local_inRightCnt);
            flick_mach3mig_array_decode_end_glob(4 * _local_inRightCnt);
            _local_outRight = &_t120_storage;
            _local_outRightCnt = &_t121_storage;
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_port_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_outRight, _local_outRightCnt);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            _stream->msg_buf->Head.msgh_id = 5550109;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_array_encode_new_glob(12);
                  flick_mach3mig_array_encode_new_chunk(12);
                  flick_mach3mig_array_encode_port32_type(0, MACH_MSG_TYPE_MOVE_RECEIVE, *_local_outRightCnt, 1, _long_type);
                  flick_mach3mig_array_encode_end_chunk(12);
                  flick_mach3mig_array_encode_end_glob(12);
                  flick_mach3mig_array_encode_new_glob(4 * *_local_outRightCnt);
                  flick_mach3mig_array_encode_new_chunk(4 * *_local_outRightCnt);
                  flick_mach3mig_array_encode_bcopy(0, *_local_outRight, 4 * *_local_outRightCnt);
                  mach_vm_flick_free(*_local_outRight, *_local_outRightCnt * sizeof(mach_port_t ));
                  flick_mach3mig_array_encode_end_chunk(4 * *_local_outRightCnt);
                  flick_mach3mig_array_encode_end_glob(4 * *_local_outRightCnt);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
            _stream->msg_buf->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
          }
          break;
        }
      case (signed int) 5550011:
        {
          {
            mach_port_t _local_target;
            Oint _local_inInt;
            Oint *_local_inoutInt;
            Oint *_local_outInt;
            kern_return_t _return;
            flick_unsigned8_t _t122_array_length;
            Oint _t123_storage;
            flick_unsigned8_t _t124_array_length;
            Oint _t125_storage;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            _t122_array_length = 1;
            flick_mach3mig_array_decode_new_glob(16);
            flick_mach3mig_array_decode_new_chunk(16);
            flick_mach3mig_array_decode_signed32_type(0, _t122_array_length, 0, _type);
            flick_mach3mig_array_decode_unsigned32(4, _local_inInt);
            _local_inoutInt = &_t123_storage;
            _t124_array_length = 1;
            flick_mach3mig_array_decode_signed32_type(8, _t124_array_length, 0, _type);
            flick_mach3mig_array_decode_unsigned32(12, *_local_inoutInt);
            _local_outInt = &_t125_storage;
            flick_mach3mig_decode_end_chunk(16);
            flick_mach3mig_decode_end_glob(16);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_integers(_local_target, _local_inInt, _local_inoutInt, _local_outInt);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(16);
            _stream->msg_buf->Head.msgh_id = 5550111;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_array_encode_new_chunk(16);
                  flick_mach3mig_array_encode_signed32_type(0, 1, 0, _type);
                  flick_mach3mig_array_encode_unsigned32(4, *_local_inoutInt);
                  flick_mach3mig_array_encode_signed32_type(8, 1, 0, _type);
                  flick_mach3mig_array_encode_unsigned32(12, *_local_outInt);
                  flick_mach3mig_encode_end_chunk(16);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(16);
            flick_mach3mig_server_end_encode();
            _stream->msg_buf->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
          }
          break;
        }
      case (signed int) 5550012:
        {
          {
            mach_port_t _local_target;
            OFstruct _local_inStruct;
            OFstruct *_local_inoutStruct;
            OFstruct *_local_outStruct;
            kern_return_t _return;
            flick_unsigned8_t _t126_array_length;
            OFstruct _t127_storage;
            flick_unsigned8_t _t128_array_length;
            OFstruct _t129_storage;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            _t126_array_length = 1;
            flick_mach3mig_array_decode_new_glob(16);
            flick_mach3mig_array_decode_new_chunk(16);
            _t126_array_length = _t126_array_length * 200;
            flick_mach3mig_array_decode_signed32_type(0, _t126_array_length, 0, _type);
            flick_mach3mig_array_decode_unsigned32(4, _local_inStruct);
            _local_inoutStruct = &_t127_storage;
            _t128_array_length = 1;
            _t128_array_length = _t128_array_length * 200;
            flick_mach3mig_array_decode_signed32_type(8, _t128_array_length, 0, _type);
            flick_mach3mig_array_decode_unsigned32(12, *_local_inoutStruct);
            _local_outStruct = &_t129_storage;
            flick_mach3mig_decode_end_chunk(16);
            flick_mach3mig_decode_end_glob(16);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_fixed_structs(_local_target, _local_inStruct, _local_inoutStruct, _local_outStruct);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(16);
            _stream->msg_buf->Head.msgh_id = 5550112;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_array_encode_new_chunk(16);
                  flick_mach3mig_array_encode_signed32_type(0, 1 * 200, 0, _type);
                  flick_mach3mig_array_encode_unsigned32(4, *_local_inoutStruct);
                  flick_mach3mig_array_encode_signed32_type(8, 1 * 200, 0, _type);
                  flick_mach3mig_array_encode_unsigned32(12, *_local_outStruct);
                  flick_mach3mig_encode_end_chunk(16);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(16);
            flick_mach3mig_server_end_encode();
            _stream->msg_buf->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
          }
          break;
        }
      case (signed int) 5550013:
        {
          {
            mach_port_t _local_target;
            OFarray _local_inArray;
            OFarray *_local_inoutArray;
            OFarray *_local_outArray;
            kern_return_t _return;
            flick_unsigned8_t _t130_array_length;
            OFarray _t131_storage;
            flick_unsigned8_t _t132_array_length;
            OFarray _t133_storage;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            _t130_array_length = 1;
            flick_mach3mig_array_decode_new_glob(16);
            flick_mach3mig_array_decode_new_chunk(16);
            _t130_array_length = _t130_array_length * 400;
            flick_mach3mig_array_decode_signed32_type(0, _t130_array_length, 0, _type);
            flick_mach3mig_array_decode_unsigned32(4, _local_inArray);
            _local_inoutArray = &_t131_storage;
            _t132_array_length = 1;
            _t132_array_length = _t132_array_length * 400;
            flick_mach3mig_array_decode_signed32_type(8, _t132_array_length, 0, _type);
            flick_mach3mig_array_decode_unsigned32(12, *_local_inoutArray);
            _local_outArray = &_t133_storage;
            flick_mach3mig_decode_end_chunk(16);
            flick_mach3mig_decode_end_glob(16);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_fixed_arrays(_local_target, _local_inArray, _local_inoutArray, _local_outArray);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(16);
            _stream->msg_buf->Head.msgh_id = 5550113;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_array_encode_new_chunk(16);
                  flick_mach3mig_array_encode_signed32_type(0, 1 * 400, 0, _type);
                  flick_mach3mig_array_encode_unsigned32(4, *_local_inoutArray);
                  flick_mach3mig_array_encode_signed32_type(8, 1 * 400, 0, _type);
                  flick_mach3mig_array_encode_unsigned32(12, *_local_outArray);
                  flick_mach3mig_encode_end_chunk(16);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(16);
            flick_mach3mig_server_end_encode();
            _stream->msg_buf->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
          }
          break;
        }
      case (signed int) 5550014:
        {
          {
            mach_port_t _local_target;
            Oarray _local_inArray;
            mach_msg_type_number_t _local_inArrayCnt;
            Oarray *_local_inoutArray;
            mach_msg_type_number_t *_local_inoutArrayCnt;
            Oarray *_local_outArray;
            mach_msg_type_number_t *_local_outArrayCnt;
            kern_return_t _return;
            mach_msg_type_number_t _t134_storage;
            Oarray _t135_storage;
            Oarray _t136_storage;
            mach_msg_type_number_t _t137_storage;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(32);
            flick_mach3mig_array_decode_new_chunk(32);
            flick_mach3mig_array_decode_signed32_type(0, _local_inArrayCnt, 0, _long_type);
            flick_mach3mig_array_decode_unsigned32(12, _local_inArray);
            _local_inoutArrayCnt = &_t134_storage;
            _local_inoutArray = &_t135_storage;
            flick_mach3mig_array_decode_signed32_type(16, *_local_inoutArrayCnt, 0, _long_type);
            flick_mach3mig_array_decode_unsigned32(28, *_local_inoutArray);
            _local_outArray = &_t136_storage;
            _local_outArrayCnt = &_t137_storage;
            flick_mach3mig_decode_end_chunk(32);
            flick_mach3mig_decode_end_glob(32);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_unbounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_inoutArray, _local_inoutArrayCnt, _local_outArray, _local_outArrayCnt);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(32);
            _stream->msg_buf->Head.msgh_id = 5550114;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_array_encode_new_chunk(32);
                  flick_mach3mig_array_encode_signed32_type(0, *_local_inoutArrayCnt, 0, _long_type);
                  flick_mach3mig_array_encode_unsigned32(12, *_local_inoutArray);
                  flick_mach3mig_array_encode_signed32_type(16, *_local_outArrayCnt, 0, _long_type);
                  flick_mach3mig_array_encode_unsigned32(28, *_local_outArray);
                  flick_mach3mig_encode_end_chunk(32);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(32);
            flick_mach3mig_server_end_encode();
            _stream->msg_buf->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
          }
          break;
        }
      case (signed int) 5550015:
        {
          {
            mach_port_t _local_target;
            OFstring _local_inString;
            OFstring *_local_inoutString;
            OFstring *_local_outString;
            kern_return_t _return;
            flick_unsigned8_t _t138_array_length;
            OFstring _t139_storage;
            flick_unsigned8_t _t140_array_length;
            OFstring _t141_storage;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            _t138_array_length = 1;
            flick_mach3mig_array_decode_new_glob(16);
            flick_mach3mig_array_decode_new_chunk(16);
            _t138_array_length = _t138_array_length * 800;
            flick_mach3mig_array_decode_char8_type(0, _t138_array_length, 0, _type);
            flick_mach3mig_array_decode_unsigned32(4, _local_inString);
            _local_inoutString = &_t139_storage;
            _t140_array_length = 1;
            _t140_array_length = _t140_array_length * 800;
            flick_mach3mig_array_decode_char8_type(8, _t140_array_length, 0, _type);
            flick_mach3mig_array_decode_unsigned32(12, *_local_inoutString);
            _local_outString = &_t141_storage;
            flick_mach3mig_decode_end_chunk(16);
            flick_mach3mig_decode_end_glob(16);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_fixed_strings(_local_target, _local_inString, _local_inoutString, _local_outString);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(16);
            _stream->msg_buf->Head.msgh_id = 5550115;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_array_encode_new_chunk(16);
                  flick_mach3mig_array_encode_char8_type(0, 1 * 800, 0, _type);
                  flick_mach3mig_array_encode_unsigned32(4, *_local_inoutString);
                  flick_mach3mig_array_encode_char8_type(8, 1 * 800, 0, _type);
                  flick_mach3mig_array_encode_unsigned32(12, *_local_outString);
                  flick_mach3mig_encode_end_chunk(16);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(16);
            flick_mach3mig_server_end_encode();
            _stream->msg_buf->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
          }
          break;
        }
      case (signed int) 5550016:
        {
          {
            mach_port_t _local_target;
            mach_port_array_t _local_inRight;
            mach_msg_type_number_t _local_inRightCnt;
            mach_port_array_t *_local_inoutRight;
            mach_msg_type_number_t *_local_inoutRightCnt;
            mach_port_array_t *_local_outRight;
            mach_msg_type_number_t *_local_outRightCnt;
            kern_return_t _return;
            mach_msg_type_number_t _t142_storage;
            mach_port_array_t _t143_storage;
            mach_port_array_t _t144_storage;
            mach_msg_type_number_t _t145_storage;

            {
              flick_mach3mig_server_decode_target(_local_target, 0, mach3mig);
            }
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(32);
            flick_mach3mig_array_decode_new_chunk(32);
            flick_mach3mig_array_decode_port32_type(0, MACH_MSG_TYPE_PORT_SEND, _local_inRightCnt, 0, _long_type);
            flick_mach3mig_array_decode_unsigned32(12, _local_inRight);
            _local_inoutRightCnt = &_t142_storage;
            _local_inoutRight = &_t143_storage;
            flick_mach3mig_array_decode_port32_type(16, MACH_MSG_TYPE_PORT_SEND, *_local_inoutRightCnt, 0, _long_type);
            flick_mach3mig_array_decode_unsigned32(28, *_local_inoutRight);
            _local_outRight = &_t144_storage;
            _local_outRightCnt = &_t145_storage;
            flick_mach3mig_decode_end_chunk(32);
            flick_mach3mig_decode_end_glob(32);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_port_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_inoutRight, _local_inoutRightCnt, _local_outRight, _local_outRightCnt);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, 0, mach3mig);
            }
            flick_mach3mig_encode_new_glob(32);
            _stream->msg_buf->Head.msgh_id = 5550116;
            _stream->msg_buf->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_array_encode_new_chunk(32);
                  flick_mach3mig_array_encode_port32_type(0, MACH_MSG_TYPE_MAKE_SEND, *_local_inoutRightCnt, 0, _long_type);
                  flick_mach3mig_array_encode_unsigned32(12, *_local_inoutRight);
                  flick_mach3mig_array_encode_port32_type(16, MACH_MSG_TYPE_MAKE_SEND, *_local_outRightCnt, 0, _long_type);
                  flick_mach3mig_array_encode_unsigned32(28, *_local_outRight);
                  flick_mach3mig_encode_end_chunk(32);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_encode_end_glob(32);
            flick_mach3mig_server_end_encode();
            _stream->msg_buf->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
          }
          break;
        }
      default:
        {
          flick_mig_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, mach3mig, mach3mig);
          break;
        }
      }
  }
  return 1;
}
