#include "string_-client.h"

void flick_marshal_stub_str(flick_marshal_stream_t _stream, const struct str *_data)
{
  flick_mach3mig_encode_string(_data->s10, null_flick_free, mach3mig, 10);
  flick_mach3mig_encode_new_glob(11);
  flick_mach3mig_encode_new_chunk_align(8, 2, 0, 0);
  flick_mach3mig_encode_signed32(0, _data->a);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(11);
  flick_mach3mig_encode_longstring(_data->sx, null_flick_free, mach3mig);
  flick_mach3mig_encode_new_glob(11);
  flick_mach3mig_encode_new_chunk_align(8, 2, 0, 0);
  flick_mach3mig_encode_signed16(0, _data->b);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(11);
}

void flick_unmarshal_stub_str(flick_marshal_stream_t _stream, struct str *_data)
{
  flick_mach3mig_decode_string(_data->s10, CORBA_flick_alloc, mach3mig, 10);
  flick_mach3mig_decode_new_glob(11);
  flick_mach3mig_decode_new_chunk_align(8, 2, 0, 0);
  flick_mach3mig_decode_signed32(0, _data->a);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(11);
  flick_mach3mig_decode_longstring(_data->sx, CORBA_flick_alloc, mach3mig);
  flick_mach3mig_decode_new_glob(11);
  flick_mach3mig_decode_new_chunk_align(8, 2, 0, 0);
  flick_mach3mig_decode_signed16(0, _data->b);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(11);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

CORBA_char *test_String(test _obj, CORBA_char *a, CORBA_char **b, CORBA_char **c, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  CORBA_char *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(64);
    flick_mach3mig_encode_new_chunk(64);
    flick_mach3mig_encode_unsigned32(0, 7);
    flick_mach3mig_encode_char8(8, 'S');
    flick_mach3mig_encode_char8(16, 't');
    flick_mach3mig_encode_char8(24, 'r');
    flick_mach3mig_encode_char8(32, 'i');
    flick_mach3mig_encode_char8(40, 'n');
    flick_mach3mig_encode_char8(48, 'g');
    flick_mach3mig_encode_char8(56, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_chunk(64);
    flick_mach3mig_encode_end_glob(64);
    flick_mach3mig_encode_longstring(a, null_flick_free, mach3mig);
    flick_mach3mig_encode_longstring(*b, CORBA_flick_free, mach3mig);
    flick_mach3mig_encode_new_glob(3);
    flick_mach3mig_encode_new_chunk_align(0, 2, 0, 0);
    flick_mach3mig_encode_end_chunk(0);
    flick_mach3mig_encode_end_glob(3);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t9_switch_tag;

    flick_mach3mig_decode_new_glob(80);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t9_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t9_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t10_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t10_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t10_switch_tag)
            {
            case '$':
              {
                char _t11_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t11_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t11_switch_tag)
                  {
                  case 'S':
                    {
                      char _t12_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t12_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t12_switch_tag)
                        {
                        case 't':
                          {
                            char _t13_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t13_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t13_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t14_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t14_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t14_switch_tag)
                                    {
                                    case 'i':
                                      {
                                        char _t15_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t15_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t15_switch_tag)
                                          {
                                          case 'n':
                                            {
                                              char _t16_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t16_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t16_switch_tag)
                                                {
                                                case 'g':
                                                  {
                                                    char _t17_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t17_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t17_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_signed32(0, _ev->_major);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_ev->_major)
                                                            {
                                                            case CORBA_NO_EXCEPTION:
                                                              {
                                                                /* Begin decode phase on parameters */
                                                                flick_mach3mig_decode_end_glob(80);
                                                                flick_mach3mig_decode_longstring(_return, CORBA_flick_alloc, mach3mig);
                                                                flick_mach3mig_decode_longstring(*b, CORBA_flick_alloc, mach3mig);
                                                                flick_mach3mig_decode_longstring(*c, CORBA_flick_alloc, mach3mig);
                                                                break;
                                                              }
                                                            case CORBA_SYSTEM_EXCEPTION:
                                                              {
                                                                flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(80);
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(80);
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(80);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(80);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(80);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(80);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(80);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(80);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(80);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(80);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(80);
          break;
        }
      }
    flick_mach3mig_decode_new_glob(3);
    flick_mach3mig_decode_new_chunk_align(0, 2, 0, 0);
    flick_mach3mig_decode_end_chunk(0);
    flick_mach3mig_decode_end_glob(3);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

struct str *test_Struct(test _obj, struct str *a, struct str *b, struct str **c, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  struct str *_return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(64);
    flick_mach3mig_encode_new_chunk(64);
    flick_mach3mig_encode_unsigned32(0, 7);
    flick_mach3mig_encode_char8(8, 'S');
    flick_mach3mig_encode_char8(16, 't');
    flick_mach3mig_encode_char8(24, 'r');
    flick_mach3mig_encode_char8(32, 'u');
    flick_mach3mig_encode_char8(40, 'c');
    flick_mach3mig_encode_char8(48, 't');
    flick_mach3mig_encode_char8(56, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_chunk(64);
    flick_mach3mig_encode_end_glob(64);
    flick_mach3mig_encode_string(a->s10, null_flick_free, mach3mig, 10);
    flick_mach3mig_encode_new_glob(11);
    flick_mach3mig_encode_new_chunk_align(8, 2, 0, 0);
    flick_mach3mig_encode_signed32(0, a->a);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(11);
    flick_mach3mig_encode_longstring(a->sx, null_flick_free, mach3mig);
    flick_mach3mig_encode_new_glob(11);
    flick_mach3mig_encode_new_chunk_align(8, 2, 0, 0);
    flick_mach3mig_encode_signed16(0, a->b);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(11);
    flick_mach3mig_encode_string(b->s10, null_flick_free, mach3mig, 10);
    flick_mach3mig_encode_new_glob(11);
    flick_mach3mig_encode_new_chunk_align(8, 2, 0, 0);
    flick_mach3mig_encode_signed32(0, b->a);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(11);
    flick_mach3mig_encode_longstring(b->sx, null_flick_free, mach3mig);
    flick_mach3mig_encode_new_glob(11);
    flick_mach3mig_encode_new_chunk_align(8, 2, 0, 0);
    flick_mach3mig_encode_signed16(0, b->b);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(11);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t27_switch_tag;

    flick_mach3mig_decode_new_glob(80);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t27_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t27_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t28_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t28_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t28_switch_tag)
            {
            case '$':
              {
                char _t29_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t29_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t29_switch_tag)
                  {
                  case 'S':
                    {
                      char _t30_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t30_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t30_switch_tag)
                        {
                        case 't':
                          {
                            char _t31_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t31_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t31_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t32_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t32_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t32_switch_tag)
                                    {
                                    case 'u':
                                      {
                                        char _t33_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t33_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t33_switch_tag)
                                          {
                                          case 'c':
                                            {
                                              char _t34_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t34_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t34_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t35_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t35_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t35_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_signed32(0, _ev->_major);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_ev->_major)
                                                            {
                                                            case CORBA_NO_EXCEPTION:
                                                              {
                                                                /* Begin decode phase on parameters */
                                                                _return = CORBA_flick_alloc(sizeof(struct str ));
                                                                flick_mach3mig_decode_end_glob(80);
                                                                flick_mach3mig_decode_string(_return->s10, CORBA_flick_alloc, mach3mig, 10);
                                                                flick_mach3mig_decode_new_glob(11);
                                                                flick_mach3mig_decode_new_chunk_align(8, 2, 0, 0);
                                                                flick_mach3mig_decode_signed32(0, _return->a);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                flick_mach3mig_decode_end_glob(11);
                                                                flick_mach3mig_decode_longstring(_return->sx, CORBA_flick_alloc, mach3mig);
                                                                flick_mach3mig_decode_new_glob(11);
                                                                flick_mach3mig_decode_new_chunk_align(8, 2, 0, 0);
                                                                flick_mach3mig_decode_signed16(0, _return->b);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                flick_mach3mig_decode_end_glob(11);
                                                                flick_mach3mig_decode_string(b->s10, CORBA_flick_alloc, mach3mig, 10);
                                                                flick_mach3mig_decode_new_glob(11);
                                                                flick_mach3mig_decode_new_chunk_align(8, 2, 0, 0);
                                                                flick_mach3mig_decode_signed32(0, b->a);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                flick_mach3mig_decode_end_glob(11);
                                                                flick_mach3mig_decode_longstring(b->sx, CORBA_flick_alloc, mach3mig);
                                                                flick_mach3mig_decode_new_glob(11);
                                                                flick_mach3mig_decode_new_chunk_align(8, 2, 0, 0);
                                                                flick_mach3mig_decode_signed16(0, b->b);
                                                                *c = CORBA_flick_alloc(sizeof(struct str ));
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                flick_mach3mig_decode_end_glob(11);
                                                                flick_mach3mig_decode_string((*c)->s10, CORBA_flick_alloc, mach3mig, 10);
                                                                flick_mach3mig_decode_new_glob(11);
                                                                flick_mach3mig_decode_new_chunk_align(8, 2, 0, 0);
                                                                flick_mach3mig_decode_signed32(0, (*c)->a);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                flick_mach3mig_decode_end_glob(11);
                                                                flick_mach3mig_decode_longstring((*c)->sx, CORBA_flick_alloc, mach3mig);
                                                                flick_mach3mig_decode_new_glob(11);
                                                                flick_mach3mig_decode_new_chunk_align(8, 2, 0, 0);
                                                                flick_mach3mig_decode_signed16(0, (*c)->b);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                flick_mach3mig_decode_end_glob(11);
                                                                break;
                                                              }
                                                            case CORBA_SYSTEM_EXCEPTION:
                                                              {
                                                                flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(80);
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(80);
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(80);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(80);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(80);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(80);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(80);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(80);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(80);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(80);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(80);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

