#include "structnest_-client.h"

void flick_marshal_stub_a_b_q(flick_marshal_stream_t _stream, const struct a_b_q *_data)
{
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(16);
  flick_mach3mig_encode_boolean(0, _data->c);
  flick_mach3mig_encode_signed32(8, _data->d);
  flick_mach3mig_encode_end_chunk(16);
  flick_mach3mig_encode_end_glob(16);
}

void flick_unmarshal_stub_a_b_q(flick_marshal_stream_t _stream, struct a_b_q *_data)
{
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(16);
  flick_mach3mig_decode_boolean(0, _data->c);
  flick_mach3mig_decode_signed32(8, _data->d);
  flick_mach3mig_decode_end_chunk(16);
  flick_mach3mig_decode_end_glob(16);
}

void flick_marshal_stub_a_b(flick_marshal_stream_t _stream, const struct a_b *_data)
{
  flick_mach3mig_encode_new_glob(56);
  flick_mach3mig_encode_new_chunk(56);
  flick_mach3mig_encode_signed16(0, _data->c);
  flick_mach3mig_encode_char8(8, _data->d);
  flick_mach3mig_encode_boolean(16, _data->e.c);
  flick_mach3mig_encode_signed32(24, _data->e.d);
  flick_mach3mig_encode_signed16(32, _data->f);
  flick_mach3mig_encode_boolean(40, _data->g.c);
  flick_mach3mig_encode_signed32(48, _data->g.d);
  flick_mach3mig_encode_end_chunk(56);
  flick_mach3mig_encode_end_glob(56);
}

void flick_unmarshal_stub_a_b(flick_marshal_stream_t _stream, struct a_b *_data)
{
  flick_mach3mig_decode_new_glob(56);
  flick_mach3mig_decode_new_chunk(56);
  flick_mach3mig_decode_signed16(0, _data->c);
  flick_mach3mig_decode_char8(8, _data->d);
  flick_mach3mig_decode_boolean(16, _data->e.c);
  flick_mach3mig_decode_signed32(24, _data->e.d);
  flick_mach3mig_decode_signed16(32, _data->f);
  flick_mach3mig_decode_boolean(40, _data->g.c);
  flick_mach3mig_decode_signed32(48, _data->g.d);
  flick_mach3mig_decode_end_chunk(56);
  flick_mach3mig_decode_end_glob(56);
}

void flick_marshal_stub_a_q(flick_marshal_stream_t _stream, const struct a_q *_data)
{
  flick_mach3mig_encode_new_glob(20);
  flick_mach3mig_encode_new_chunk(20);
  flick_mach3mig_encode_signed16(0, _data->a);
  flick_mach3mig_encode_float64(8, _data->b);
  flick_mach3mig_encode_end_chunk(20);
  flick_mach3mig_encode_end_glob(20);
}

void flick_unmarshal_stub_a_q(flick_marshal_stream_t _stream, struct a_q *_data)
{
  flick_mach3mig_decode_new_glob(20);
  flick_mach3mig_decode_new_chunk(20);
  flick_mach3mig_decode_signed16(0, _data->a);
  flick_mach3mig_decode_float64(8, _data->b);
  flick_mach3mig_decode_end_chunk(20);
  flick_mach3mig_decode_end_glob(20);
}

void flick_marshal_stub_a_z_zz(flick_marshal_stream_t _stream, const struct a_z_zz *_data)
{
  flick_mach3mig_encode_new_glob(20);
  flick_mach3mig_encode_new_chunk(20);
  flick_mach3mig_encode_signed16(0, _data->a.a);
  flick_mach3mig_encode_float64(8, _data->a.b);
  flick_mach3mig_encode_end_chunk(20);
  flick_mach3mig_encode_end_glob(20);
}

void flick_unmarshal_stub_a_z_zz(flick_marshal_stream_t _stream, struct a_z_zz *_data)
{
  flick_mach3mig_decode_new_glob(20);
  flick_mach3mig_decode_new_chunk(20);
  flick_mach3mig_decode_signed16(0, _data->a.a);
  flick_mach3mig_decode_float64(8, _data->a.b);
  flick_mach3mig_decode_end_chunk(20);
  flick_mach3mig_decode_end_glob(20);
}

void flick_marshal_stub_a_z(flick_marshal_stream_t _stream, const struct a_z *_data)
{
  flick_mach3mig_encode_new_glob(40);
  flick_mach3mig_encode_new_chunk(40);
  flick_mach3mig_encode_signed16(0, _data->b.a.a);
  flick_mach3mig_encode_float64(8, _data->b.a.b);
  flick_mach3mig_encode_signed16(20, _data->z.a);
  flick_mach3mig_encode_float64(28, _data->z.b);
  flick_mach3mig_encode_end_chunk(40);
  flick_mach3mig_encode_end_glob(40);
}

void flick_unmarshal_stub_a_z(flick_marshal_stream_t _stream, struct a_z *_data)
{
  flick_mach3mig_decode_new_glob(40);
  flick_mach3mig_decode_new_chunk(40);
  flick_mach3mig_decode_signed16(0, _data->b.a.a);
  flick_mach3mig_decode_float64(8, _data->b.a.b);
  flick_mach3mig_decode_signed16(20, _data->z.a);
  flick_mach3mig_decode_float64(28, _data->z.b);
  flick_mach3mig_decode_end_chunk(40);
  flick_mach3mig_decode_end_glob(40);
}

void flick_marshal_stub_a(flick_marshal_stream_t _stream, const struct a *_data)
{
  flick_mach3mig_encode_new_glob(200);
  flick_mach3mig_encode_new_chunk(200);
  flick_mach3mig_encode_signed16(0, _data->e.c);
  flick_mach3mig_encode_char8(8, _data->e.d);
  flick_mach3mig_encode_boolean(16, _data->e.e.c);
  flick_mach3mig_encode_signed32(24, _data->e.e.d);
  flick_mach3mig_encode_signed16(32, _data->e.f);
  flick_mach3mig_encode_boolean(40, _data->e.g.c);
  flick_mach3mig_encode_signed32(48, _data->e.g.d);
  flick_mach3mig_encode_signed16(56, _data->h.a);
  flick_mach3mig_encode_float64(64, _data->h.b);
  flick_mach3mig_encode_signed16(76, _data->j.b.a.a);
  flick_mach3mig_encode_float64(84, _data->j.b.a.b);
  flick_mach3mig_encode_signed16(96, _data->j.z.a);
  flick_mach3mig_encode_float64(104, _data->j.z.b);
  flick_mach3mig_encode_float32(116, _data->f);
  flick_mach3mig_encode_signed16(124, _data->g.c);
  flick_mach3mig_encode_char8(132, _data->g.d);
  flick_mach3mig_encode_boolean(140, _data->g.e.c);
  flick_mach3mig_encode_signed32(148, _data->g.e.d);
  flick_mach3mig_encode_signed16(156, _data->g.f);
  flick_mach3mig_encode_boolean(164, _data->g.g.c);
  flick_mach3mig_encode_signed32(172, _data->g.g.d);
  flick_mach3mig_encode_signed16(180, _data->i.a);
  flick_mach3mig_encode_float64(188, _data->i.b);
  flick_mach3mig_encode_end_chunk(200);
  flick_mach3mig_encode_end_glob(200);
}

void flick_unmarshal_stub_a(flick_marshal_stream_t _stream, struct a *_data)
{
  flick_mach3mig_decode_new_glob(200);
  flick_mach3mig_decode_new_chunk(200);
  flick_mach3mig_decode_signed16(0, _data->e.c);
  flick_mach3mig_decode_char8(8, _data->e.d);
  flick_mach3mig_decode_boolean(16, _data->e.e.c);
  flick_mach3mig_decode_signed32(24, _data->e.e.d);
  flick_mach3mig_decode_signed16(32, _data->e.f);
  flick_mach3mig_decode_boolean(40, _data->e.g.c);
  flick_mach3mig_decode_signed32(48, _data->e.g.d);
  flick_mach3mig_decode_signed16(56, _data->h.a);
  flick_mach3mig_decode_float64(64, _data->h.b);
  flick_mach3mig_decode_signed16(76, _data->j.b.a.a);
  flick_mach3mig_decode_float64(84, _data->j.b.a.b);
  flick_mach3mig_decode_signed16(96, _data->j.z.a);
  flick_mach3mig_decode_float64(104, _data->j.z.b);
  flick_mach3mig_decode_float32(116, _data->f);
  flick_mach3mig_decode_signed16(124, _data->g.c);
  flick_mach3mig_decode_char8(132, _data->g.d);
  flick_mach3mig_decode_boolean(140, _data->g.e.c);
  flick_mach3mig_decode_signed32(148, _data->g.e.d);
  flick_mach3mig_decode_signed16(156, _data->g.f);
  flick_mach3mig_decode_boolean(164, _data->g.g.c);
  flick_mach3mig_decode_signed32(172, _data->g.g.d);
  flick_mach3mig_decode_signed16(180, _data->i.a);
  flick_mach3mig_decode_float64(188, _data->i.b);
  flick_mach3mig_decode_end_chunk(200);
  flick_mach3mig_decode_end_glob(200);
}

void flick_marshal_stub_b(flick_marshal_stream_t _stream, const struct b *_data)
{
  flick_mach3mig_encode_new_glob(64);
  flick_mach3mig_encode_new_chunk(64);
  flick_mach3mig_encode_signed16(0, _data->c.c);
  flick_mach3mig_encode_char8(8, _data->c.d);
  flick_mach3mig_encode_boolean(16, _data->c.e.c);
  flick_mach3mig_encode_signed32(24, _data->c.e.d);
  flick_mach3mig_encode_signed16(32, _data->c.f);
  flick_mach3mig_encode_boolean(40, _data->c.g.c);
  flick_mach3mig_encode_signed32(48, _data->c.g.d);
  flick_mach3mig_encode_char8(56, _data->d);
  flick_mach3mig_encode_end_chunk(64);
  flick_mach3mig_encode_end_glob(64);
}

void flick_unmarshal_stub_b(flick_marshal_stream_t _stream, struct b *_data)
{
  flick_mach3mig_decode_new_glob(64);
  flick_mach3mig_decode_new_chunk(64);
  flick_mach3mig_decode_signed16(0, _data->c.c);
  flick_mach3mig_decode_char8(8, _data->c.d);
  flick_mach3mig_decode_boolean(16, _data->c.e.c);
  flick_mach3mig_decode_signed32(24, _data->c.e.d);
  flick_mach3mig_decode_signed16(32, _data->c.f);
  flick_mach3mig_decode_boolean(40, _data->c.g.c);
  flick_mach3mig_decode_signed32(48, _data->c.g.d);
  flick_mach3mig_decode_char8(56, _data->d);
  flick_mach3mig_decode_end_chunk(64);
  flick_mach3mig_decode_end_glob(64);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port32(0, *_data, 1, MACH_MSG_TYPE_PORT_NAME);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

struct b test_CopyAdd(test _obj, struct a *s1, CORBA_Environment *_ev)
{
  FLICK_BUFFER _temp;
  FLICK_BUFFER *_stream;
  mach_msg_return_t _rc;
  struct b _return;

  _return = KERN_SUCCESS;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(272);
    flick_mach3mig_encode_new_chunk(272);
    flick_mach3mig_encode_unsigned32(0, 8);
    flick_mach3mig_encode_char8(8, 'C');
    flick_mach3mig_encode_char8(16, 'o');
    flick_mach3mig_encode_char8(24, 'p');
    flick_mach3mig_encode_char8(32, 'y');
    flick_mach3mig_encode_char8(40, 'A');
    flick_mach3mig_encode_char8(48, 'd');
    flick_mach3mig_encode_char8(56, 'd');
    flick_mach3mig_encode_char8(64, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed16(72, s1->e.c);
    flick_mach3mig_encode_char8(80, s1->e.d);
    flick_mach3mig_encode_boolean(88, s1->e.e.c);
    flick_mach3mig_encode_signed32(96, s1->e.e.d);
    flick_mach3mig_encode_signed16(104, s1->e.f);
    flick_mach3mig_encode_boolean(112, s1->e.g.c);
    flick_mach3mig_encode_signed32(120, s1->e.g.d);
    flick_mach3mig_encode_signed16(128, s1->h.a);
    flick_mach3mig_encode_float64(136, s1->h.b);
    flick_mach3mig_encode_signed16(148, s1->j.b.a.a);
    flick_mach3mig_encode_float64(156, s1->j.b.a.b);
    flick_mach3mig_encode_signed16(168, s1->j.z.a);
    flick_mach3mig_encode_float64(176, s1->j.z.b);
    flick_mach3mig_encode_float32(188, s1->f);
    flick_mach3mig_encode_signed16(196, s1->g.c);
    flick_mach3mig_encode_char8(204, s1->g.d);
    flick_mach3mig_encode_boolean(212, s1->g.e.c);
    flick_mach3mig_encode_signed32(220, s1->g.e.d);
    flick_mach3mig_encode_signed16(228, s1->g.f);
    flick_mach3mig_encode_boolean(236, s1->g.g.c);
    flick_mach3mig_encode_signed32(244, s1->g.g.d);
    flick_mach3mig_encode_signed16(252, s1->i.a);
    flick_mach3mig_encode_float64(260, s1->i.b);
    flick_mach3mig_encode_end_chunk(272);
    flick_mach3mig_encode_end_glob(272);
  }
  flick_mach3mig_client_end_encode();
  _stream->msg_buf->Head.msgh_bits = MACH_MSGH_BITS(19, MACH_MSG_TYPE_MAKE_SEND_ONCE);
  _rc = flick_mach3mig_rpc(_stream);
  if (_rc != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t10_switch_tag;

    flick_mach3mig_decode_new_glob(152);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t10_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t10_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t11_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t11_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t11_switch_tag)
            {
            case '$':
              {
                char _t12_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t12_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t12_switch_tag)
                  {
                  case 'C':
                    {
                      char _t13_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t13_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t13_switch_tag)
                        {
                        case 'o':
                          {
                            char _t14_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t14_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t14_switch_tag)
                              {
                              case 'p':
                                {
                                  char _t15_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t15_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t15_switch_tag)
                                    {
                                    case 'y':
                                      {
                                        char _t16_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t16_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t16_switch_tag)
                                          {
                                          case 'A':
                                            {
                                              char _t17_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t17_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t17_switch_tag)
                                                {
                                                case 'd':
                                                  {
                                                    char _t18_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t18_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t18_switch_tag)
                                                      {
                                                      case 'd':
                                                        {
                                                          char _t19_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t19_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t19_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_ev->_major)
                                                                  {
                                                                  case CORBA_NO_EXCEPTION:
                                                                    {
                                                                      /* Begin decode phase on parameters */
                                                                      flick_mach3mig_decode_new_chunk(64);
                                                                      flick_mach3mig_decode_signed16(0, _return.c.c);
                                                                      flick_mach3mig_decode_char8(8, _return.c.d);
                                                                      flick_mach3mig_decode_boolean(16, _return.c.e.c);
                                                                      flick_mach3mig_decode_signed32(24, _return.c.e.d);
                                                                      flick_mach3mig_decode_signed16(32, _return.c.f);
                                                                      flick_mach3mig_decode_boolean(40, _return.c.g.c);
                                                                      flick_mach3mig_decode_signed32(48, _return.c.g.d);
                                                                      flick_mach3mig_decode_char8(56, _return.d);
                                                                      flick_mach3mig_decode_end_chunk(64);
                                                                      break;
                                                                    }
                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                    {
                                                                      flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return KERN_FAILURE, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(152);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

