#include "typedef_-client.h"

void flick_marshal_stub_a(flick_marshal_stream_t _stream, const a *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed16(0, *_data);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_a(flick_marshal_stream_t _stream, a *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed16(0, *_data);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void flick_marshal_stub_c(flick_marshal_stream_t _stream, const c *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_char8(0, *_data);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_c(flick_marshal_stream_t _stream, c *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_char8(0, *_data);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void flick_marshal_stub_d(flick_marshal_stream_t _stream, const d *_data)
{
  flick_mach3mig_encode_string(*_data, null_flick_free, mach3mig, 256);
}

void flick_unmarshal_stub_d(flick_marshal_stream_t _stream, d *_data)
{
  flick_mach3mig_decode_string(*_data, CORBA_flick_alloc, mach3mig, 256);
}

void flick_marshal_stub_e(flick_marshal_stream_t _stream, const e *_data)
{
  flick_mach3mig_encode_new_glob(20);
  flick_mach3mig_encode_new_chunk(20);
  flick_mach3mig_encode_unsigned32(0, _data->_length);
  flick_mach3mig_array_encode_signed16_type(8, _data->_length, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(20);
  flick_mach3mig_array_encode_end_glob(20);
  flick_mach3mig_array_encode_new_glob(2 * _data->_length);
  flick_mach3mig_array_encode_new_chunk(2 * _data->_length);
  flick_mach3mig_array_encode_bcopy(0, _data->_buffer, 2 * _data->_length);
  flick_mach3mig_array_encode_end_chunk(2 * _data->_length);
  flick_mach3mig_array_encode_end_glob(2 * _data->_length);
  flick_mach3mig_encode_new_glob(2);
  flick_mach3mig_encode_new_chunk_align(0, 2, 1, 0);
  flick_mach3mig_encode_end_chunk(0);
  flick_mach3mig_encode_end_glob(2);
}

void flick_unmarshal_stub_e(flick_marshal_stream_t _stream, e *_data)
{
  flick_mach3mig_decode_new_glob(20);
  flick_mach3mig_decode_new_chunk(20);
  flick_mach3mig_decode_unsigned32(0, _data->_length);
  flick_mach3mig_array_decode_signed16_type(8, _data->_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(20);
  flick_mach3mig_array_decode_end_glob(20);
  flick_mach3mig_array_decode_new_glob(2 * _data->_length);
  flick_mach3mig_array_decode_new_chunk(2 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_short ));
  flick_mach3mig_array_decode_bcopy(0, _data->_buffer, 2 * _data->_length);
  flick_mach3mig_array_decode_end_chunk(2 * _data->_length);
  flick_mach3mig_array_decode_end_glob(2 * _data->_length);
  flick_mach3mig_decode_new_glob(2);
  flick_mach3mig_decode_new_chunk_align(0, 2, 1, 0);
  flick_mach3mig_decode_end_chunk(0);
  flick_mach3mig_decode_end_glob(2);
}

void flick_marshal_stub_f(flick_marshal_stream_t _stream, const f *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_float32(0, *_data);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_f(flick_marshal_stream_t _stream, f *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_float32(0, *_data);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void flick_marshal_stub_g(flick_marshal_stream_t _stream, const g *_data)
{
  flick_mach3mig_array_encode_new_glob(16);
  flick_mach3mig_array_encode_new_chunk(16);
  flick_mach3mig_array_encode_signed16_type(0, 5, 1, _type);
  flick_mach3mig_array_encode_bcopy(4, *_data, 2 * 5);
  flick_mach3mig_encode_end_chunk(16);
  flick_mach3mig_encode_end_glob(16);
}

void flick_unmarshal_stub_g(flick_marshal_stream_t _stream, g *_data)
{
  flick_unsigned8_t _t0_array_length;

  _t0_array_length = 5;
  flick_mach3mig_array_decode_new_glob(16);
  flick_mach3mig_array_decode_new_chunk(16);
  flick_mach3mig_array_decode_signed16_type(0, _t0_array_length, 1, _type);
  flick_mach3mig_array_decode_bcopy(4, *_data, 2 * _t0_array_length);
  flick_mach3mig_decode_end_chunk(16);
  flick_mach3mig_decode_end_glob(16);
}

void flick_marshal_stub_h(flick_marshal_stream_t _stream, const h *_data)
{
  flick_mach3mig_encode_new_glob(24);
  flick_mach3mig_encode_new_chunk(12 + 2 * _data->_length);
  flick_mach3mig_encode_unsigned32(0, _data->_length);
  flick_mach3mig_array_encode_signed16_type(8, _data->_length, 1, _type);
  if (_data->_length > (unsigned int) 5)
    return MIG_ARRAY_TOO_LARGE;
  flick_mach3mig_array_encode_bcopy(12, _data->_buffer, 2 * _data->_length);
  flick_mach3mig_array_encode_end_chunk(12 + 2 * _data->_length);
  flick_mach3mig_encode_new_chunk_align(0, 2, 1, 0);
  flick_mach3mig_encode_end_chunk(0);
  flick_mach3mig_encode_end_glob(24);
}

void flick_unmarshal_stub_h(flick_marshal_stream_t _stream, h *_data)
{
  flick_mach3mig_decode_new_glob(24);
  flick_mach3mig_decode_new_chunk(12);
  flick_mach3mig_decode_unsigned32(0, _data->_length);
  flick_mach3mig_array_decode_signed16_type(8, _data->_length, 1, _type);
  if (_data->_length > (unsigned int) 5)
    return MIG_ARRAY_TOO_LARGE;
  flick_mach3mig_array_decode_end_chunk(12);
  flick_mach3mig_array_decode_new_chunk(2 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_short ));
  flick_mach3mig_array_decode_bcopy(0, _data->_buffer, 2 * _data->_length);
  flick_mach3mig_array_decode_end_chunk(2 * _data->_length);
  flick_mach3mig_decode_new_chunk_align(0, 2, 1, 0);
  flick_mach3mig_decode_end_chunk(0);
  flick_mach3mig_decode_end_glob(24);
}

