#include "optional-7-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = prog;
	s.vers_num = vers;

	reg_success = flick_server_register(s, &prog_2);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_int_list(flick_marshal_stream_t _stream, const int_list *_data)
{
  flick_unsigned8_t _t0_array_len;

  _t0_array_len = *_data != 0;
  flick_suntcp_encode_new_glob(12);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _t0_array_len);
  flick_suntcp_encode_end_chunk(4);
  if (_t0_array_len)
    {
      flick_unsigned8_t _t2_array_len;

      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_signed32(0, (*_data)->value);
      _t2_array_len = (*_data)->next != 0;
      flick_xdr_encode_unsigned32(4, _t2_array_len);
      flick_suntcp_encode_end_chunk(8);
      if (_t2_array_len)
        {
          flick_suntcp_encode_end_glob(12);
          flick_marshal_stub_int_node(_stream, (*_data)->next);
        }
      else
        {
          flick_suntcp_encode_end_glob(12);
        }
    }
  else
    {
      flick_suntcp_encode_end_glob(12);
    }
}

void flick_unmarshal_stub_int_list(flick_marshal_stream_t _stream, int_list *_data)
{
  flick_unsigned8_t _t3_array_len;

  flick_suntcp_decode_new_glob(12);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _t3_array_len);
  flick_suntcp_decode_end_chunk(4);
  if (_t3_array_len)
    {
      flick_unsigned8_t _t5_array_len;

      *_data = sun_flick_alloc(_t3_array_len * sizeof(struct int_node ));
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_signed32(0, (*_data)->value);
      flick_xdr_decode_unsigned32(4, _t5_array_len);
      flick_suntcp_decode_end_chunk(8);
      if (_t5_array_len)
        {
          (*_data)->next = sun_flick_alloc(_t5_array_len * sizeof(struct int_node ));
          flick_suntcp_decode_end_glob(12);
          flick_unmarshal_stub_int_node(_stream, (*_data)->next);
        }
      else
        {
          (*_data)->next = 0;
          flick_suntcp_decode_end_glob(12);
        }
    }
  else
    {
      *_data = 0;
      flick_suntcp_decode_end_glob(12);
    }
}

void flick_marshal_stub_int_node(flick_marshal_stream_t _stream, const struct int_node *_data)
{
  flick_unsigned8_t _t6_array_len;

  flick_suntcp_encode_new_glob(12);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->value);
  _t6_array_len = _data->next != 0;
  flick_xdr_encode_unsigned32(4, _t6_array_len);
  flick_suntcp_encode_end_chunk(8);
  if (_t6_array_len)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->next->value);
      flick_suntcp_encode_end_chunk(4);
      flick_suntcp_encode_end_glob(12);
      flick_marshal_stub_int_list(_stream, &_data->next->next);
    }
  else
    {
      flick_suntcp_encode_end_glob(12);
    }
}

void flick_unmarshal_stub_int_node(flick_marshal_stream_t _stream, struct int_node *_data)
{
  flick_unsigned8_t _t7_array_len;

  flick_suntcp_decode_new_glob(12);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->value);
  flick_xdr_decode_unsigned32(4, _t7_array_len);
  flick_suntcp_decode_end_chunk(8);
  if (_t7_array_len)
    {
      _data->next = sun_flick_alloc(_t7_array_len * sizeof(struct int_node ));
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->next->value);
      flick_suntcp_decode_end_chunk(4);
      flick_suntcp_decode_end_glob(12);
      flick_unmarshal_stub_int_list(_stream, &_data->next->next);
    }
  else
    {
      _data->next = 0;
      flick_suntcp_decode_end_glob(12);
    }
}

flick_operation_success_t prog_2(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    signed int _t14_switch_tag;

    flick_suntcp_decode_new_glob(28);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_signed32(0, _t14_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t14_switch_tag)
      {
      case (signed int) 1:
        {
          {
            int_list *_local_arg;
            struct svc_req *_obj;
            int_list *_return = 0;
            unsigned int _t15_ignore;
            int_list _t16_storage;
            flick_unsigned8_t _t17_array_len;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t15_ignore);
            flick_xdr_decode_unsigned32(4, _t15_ignore);
            flick_xdr_decode_unsigned32(8, _t15_ignore);
            flick_xdr_decode_unsigned32(12, _t15_ignore);
            _local_arg = &_t16_storage;
            flick_xdr_decode_unsigned32(16, _t17_array_len);
            flick_suntcp_decode_end_chunk(20);
            if (_t17_array_len)
              {
                *_local_arg = auto_flick_alloc(_t17_array_len * sizeof(struct int_node ));
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, (*_local_arg)->value);
                flick_suntcp_decode_end_chunk(4);
                flick_suntcp_decode_end_glob(28);
                flick_unmarshal_stub_int_list(_stream, &(*_local_arg)->next);
              }
            else
              {
                *_local_arg = 0;
                flick_suntcp_decode_end_glob(28);
              }
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = op_2(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(12);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_unsigned8_t _t19_array_len;

                  _t19_array_len = *_return != 0;
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_unsigned32(0, _t19_array_len);
                  flick_suntcp_encode_end_chunk(4);
                  if (_t19_array_len)
                    {
                      flick_suntcp_encode_new_chunk(4);
                      flick_xdr_encode_signed32(0, (*_return)->value);
                      flick_suntcp_encode_end_chunk(4);
                      flick_suntcp_encode_end_glob(12);
                      flick_marshal_stub_int_list(_stream, &(*_return)->next);
                    }
                  else
                    {
                      flick_suntcp_encode_end_glob(12);
                    }
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  flick_suntcp_encode_end_glob(12);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                  flick_suntcp_encode_end_glob(12);
                }
              }
            flick_suntcp_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return 0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(28);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
